%--------------------------------------------------------------------------
% File     : CAT004-0 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Category Theory
% Axioms   : Substitution axioms for category theory axioms
% Version  : [Sco79] axioms.
% English  : 

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   0 unit;   5 RR)
%            Number of literals   :   17 (  11 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    3 (   0 constant; 1-2 arity)
%            Number of variables  :   18 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : The dependent axioms have been removed.
%--------------------------------------------------------------------------
%-----Equality substitution axioms (Quaife uses paramodulation) 
input_clause(there_exists_substitution,axiom,
    [--equal(X,Y),
     --there_exists(X),
     ++there_exists(Y)]).

input_clause(equivalent_substitution1,axiom,
    [--equal(X,Y),
     --equivalent(X,Z),
     ++equivalent(Y,Z)]).

input_clause(equivalent_substitution2,axiom,
    [--equal(X,Y),
     --equivalent(Z,X),
     ++equivalent(Z,Y)]).

input_clause(domain_substitution,axiom,
    [--equal(X,Y),
     ++equal(domain(X),domain(Y))]).

input_clause(codomain_substitution,axiom,
    [--equal(X,Y),
     ++equal(codomain(X),codomain(Y))]).

input_clause(compose_substitution1,axiom,
    [--equal(X,Y),
     ++equal(compose(X,Z),compose(Y,Z))]).

input_clause(compose_substitution2,axiom,
    [--equal(X,Y),
     ++equal(compose(Z,X),compose(Z,Y))]).
%--------------------------------------------------------------------------
