%--------------------------------------------------------------------------
% File     : LCL004-0 : TPTP v2.6.0. Released v2.3.0.
% Domain   : Logic Calculi (Propositional)
% Axioms   : Equality axioms for propositional logic deduction axioms
% Version  : [WR27] axioms.
% English  : 

% Refs     : [WR27]  Whitehead & Russell (1927), Principia Mathematica
% Source   : [WR27]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   0 unit;   3 RR)
%            Number of literals   :   16 (  12 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    3 (   0 constant; 1-2 arity)
%            Number of variables  :   18 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(implies_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(implies(A, C), implies(B, C))]).

input_clause(implies_substitution_2,axiom,
    [-- equal(A, B),
     ++ equal(implies(C, A), implies(C, B))]).

input_clause(not_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(not(A), not(B))]).

input_clause(or_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(or(A, C), or(B, C))]).

input_clause(or_substitution_2,axiom,
    [-- equal(A, B),
     ++ equal(or(C, A), or(C, B))]).

input_clause(axiom_substitution_1,axiom,
    [-- equal(A, B),
     -- axiom(A),
     ++ axiom(B)]).

input_clause(theorem_substitution_1,axiom,
    [-- equal(A, B),
     -- theorem(A),
     ++ theorem(B)]).
%--------------------------------------------------------------------------
