%--------------------------------------------------------------------------
% File     : MGT001-0 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Axioms   : Substitution axioms for inequalities.
% Version  : [Han98] axioms.
% English  : 

% Refs     : [Kam00] Kamps (2000), Email to G. Sutcliffe
%            [CH00]  Carroll & Hannan (2000), The Demography of Corporation
%            [Han98] Hannan (1998), Rethinking Age Dependence in Organizati
% Source   : [Kam00]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   0 unit;   8 RR)
%            Number of literals   :   24 (   8 equality)
%            Maximal clause size  :    3 (   3 average)
%            Number of predicates :    5 (   0 propositional; 2-2 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT001+0.eq 
%--------------------------------------------------------------------------
input_clause(greater_substitution_1_1,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_2,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_3,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_4,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(smaller_substitution_1_5,axiom,
    [--equal(A,B),
     --smaller(A,C),
     ++smaller(B,C)]).

input_clause(smaller_substitution_2_6,axiom,
    [--equal(A,B),
     --smaller(C,A),
     ++smaller(C,B)]).

input_clause(smaller_or_equal_substitution_1_7,axiom,
    [--equal(A,B),
     --smaller_or_equal(A,C),
     ++smaller_or_equal(B,C)]).

input_clause(smaller_or_equal_substitution_2_8,axiom,
    [--equal(A,B),
     --smaller_or_equal(C,A),
     ++smaller_or_equal(C,B)]).
%--------------------------------------------------------------------------
