%--------------------------------------------------------------------------
% File     : BOO005-4 : TPTP v2.6.0. Bugfixed v1.2.1.
% Domain   : Boolean Algebra
% Problem  : Addition is bounded (X + 1 = 1)
% Version  : [Ver94] (equality) axioms.
% English  : 

% Refs     : [Ver94] Veroff (1994), Problem Set
% Source   : [Ver94]
% Names    : TB [Ver94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   17 (   0 non-Horn;  10 unit;   4 RR)
%            Number of literals   :   25 (  25 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   34 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause prove_a_plus_1_is_a fixed.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO004-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_a_plus_1_is_a,conjecture,
    [--equal(add(a,multiplicative_identity),multiplicative_identity)]).
%--------------------------------------------------------------------------
