%--------------------------------------------------------------------------
% File     : BOO073-1 : TPTP v2.6.0. Released v2.6.0.
% Domain   : Boolean Algebra
% Problem  : DN-1 is a single axiom for Boolean algebra, part 2
% Version  : [EF+02] axioms.
% English  : 

% Refs     : [EF+02] Ernst et al. (2002), More First-order Test Problems in
%          : [MV+02] McCune et al. (2002), Short Single Axioms for Boolean
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.36 v2.6.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   3 unit;   4 RR)
%            Number of literals   :   14 (  14 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   18 (   2 singleton)
%            Maximal term depth   :    9 (   1 average)

% Comments : A UEQ part of BOO038-1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(add_substitution_1,axiom,
    [--equal(A,B),
     ++equal(add(A,C),add(B,C))]).

input_clause(add_substitution_2,axiom,
    [--equal(A,B),
     ++equal(add(C,A),add(C,B))]).

input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(dn1,axiom,
    [++equal(inverse(add(inverse(add(inverse(add(A,B)),C)),inverse(add(A,inverse(add(inverse(C),inverse(add(C,D)))))))),C)]).

input_clause(huntinton_2,conjecture,
    [--equal(add(add(a,b),c),add(a,add(b,c)))]).
%--------------------------------------------------------------------------
