%--------------------------------------------------------------------------
% File     : CAT009-3 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : If xy is defined, then domain(xy) = domain(y)
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : 

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : p9.ver3.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.42 v2.6.0, 0.40 v2.5.0, 0.42 v2.4.0, 0.22 v2.3.0, 0.33 v2.2.1, 0.44 v2.2.0, 0.67 v2.1.0, 0.78 v2.0.0
% Syntax   : Number of clauses    :   31 (   2 non-Horn;   6 unit;  21 RR)
%            Number of literals   :   66 (  37 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    6 (   2 constant; 0-2 arity)
%            Number of variables  :   61 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Axioms simplified by Art Quaife. The ANL version has been 
%            extended to use all axioms.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
include('Axioms/CAT003-0.eq').
%--------------------------------------------------------------------------
input_clause(ab_exists,hypothesis,
    [++there_exists(compose(a,b))]).

input_clause(prove_domain_of_ab_equals_domain_of_b,conjecture,
    [--equal(domain(compose(a,b)),domain(b))]).
%--------------------------------------------------------------------------
