%--------------------------------------------------------------------------
% File     : FLD010-1 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : In the multiplicative group inverse(identity)=identity
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0, 0.20 v2.3.0, 0.00 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses    :   29 (   3 non-Horn;   5 unit;  29 RR)
%            Number of literals   :   75 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    6 (   2 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(additive_id_not_equal_to_multiplicative_id_1,conjecture,
    [--equalish(additive_identity,multiplicative_identity)]).

input_clause(multiplicative_inv_not_equal_to_multiplicative_id_2,conjecture,
    [--equalish(multiplicative_inverse(multiplicative_identity),
multiplicative_identity)]).
%--------------------------------------------------------------------------
