%--------------------------------------------------------------------------
% File     : FLD050-3 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 4
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.88 v2.6.0, 0.67 v2.5.0, 0.60 v2.4.0, 1.00 v2.1.0
% Syntax   : Number of clauses    :   34 (   3 non-Horn;  11 unit;  34 RR)
%            Number of literals   :   85 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(not_sum_5,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(not_sum_6,conjecture,
    [--sum(additive_identity,d,additive_identity)]).

input_clause(product_7,conjecture,
    [++product(a,d,multiply(b,c))]).

input_clause(not_product_8,conjecture,
    [--product(a,multiplicative_inverse(b),multiply(c,
multiplicative_inverse(d)))]).
%--------------------------------------------------------------------------
