%--------------------------------------------------------------------------
% File     : FLD054-1 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 8
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   32 (   3 non-Horn;   8 unit;  32 RR)
%            Number of literals   :   78 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(a_not_equal_to_additive_identity_3,conjecture,
    [--equalish(a,additive_identity)]).

input_clause(b_not_equal_to_additive_identity_4,conjecture,
    [--equalish(b,additive_identity)]).

input_clause(add_not_equal_to_multiply_5,conjecture,
    [--equalish(add(multiplicative_inverse(a),multiplicative_inverse(b)),
multiply(add(a,b),multiplicative_inverse(multiply(a,b))))]).
%--------------------------------------------------------------------------
