%--------------------------------------------------------------------------
% File     : FLD070-2 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : One-sided addition of two order relations
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0, 0.33 v2.5.0, 0.20 v2.4.0, 0.00 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses    :   34 (   3 non-Horn;  10 unit;  34 RR)
%            Number of literals   :   80 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(add_equals_c_4,conjecture,
    [++equalish(add(a,b),c)]).

input_clause(less_or_equal_5,conjecture,
    [++less_or_equal(additive_identity,a)]).

input_clause(less_or_equal_6,conjecture,
    [++less_or_equal(additive_identity,b)]).

input_clause(not_less_or_equal_7,conjecture,
    [--less_or_equal(additive_identity,c)]).
%--------------------------------------------------------------------------
