%--------------------------------------------------------------------------
% File     : FLD099-2 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Difficult inequality
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   36 (   3 non-Horn;  12 unit;  36 RR)
%            Number of literals   :   82 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(less_or_equal_4,conjecture,
    [++less_or_equal(additive_identity,a)]).

input_clause(less_or_equal_5,conjecture,
    [++less_or_equal(a,multiplicative_identity)]).

input_clause(a_not_equal_to_multiplicative_identity_6,conjecture,
    [--equalish(a,multiplicative_identity)]).

input_clause(add_equals_u_7,conjecture,
    [++equalish(add(multiplicative_identity,a),u)]).

input_clause(add_equals_v_8,conjecture,
    [++equalish(add(multiplicative_identity,additive_inverse(a)),v)]).

input_clause(not_less_or_equal_9,conjecture,
    [--less_or_equal(u,multiplicative_inverse(v))]).
%--------------------------------------------------------------------------
