%--------------------------------------------------------------------------
% File     : GEO080+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Reflexivity of part_of
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 2.5 [KE99] 

% Status   : theorem
% Rating   : 0.00 v2.4.0
% Syntax   : Number of formulae    :   35 (   3 unit)
%            Number of atoms       :  117 (  33 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   86 (   4 ~  ;   9  |;  35  &)
%                                         (   9 <=>;  29 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  106 (   0 singleton;  97 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(prove_reflexivity,conjecture,(
    ! [C] : part_of(C,C)   )).
%--------------------------------------------------------------------------
