%--------------------------------------------------------------------------
% File     : GEO085-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Every open curve has at least two endpoints
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.08 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   68 (  21 non-Horn;   3 unit;  60 RR)
%            Number of literals   :  207 (  45 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   15 (   1 constant; 0-3 arity)
%            Number of variables  :  180 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO085+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(theorem_2_7_1_67,conjecture,
    [++open(sk14)]).

input_clause(theorem_2_7_1_68,conjecture,
    [++equal(A,B),
     --end_point(A,sk14),
     --end_point(B,sk14)]).
%--------------------------------------------------------------------------
