%--------------------------------------------------------------------------
% File     : GEO159+1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Betweenness for simple curves
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    :

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of formulae    :   39 (   2 unit)
%            Number of atoms       :  134 (  38 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  100 (   5 ~  ;   9  |;  43  &)
%                                         (  10 <=>;  33 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 1-4 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  130 (   0 singleton; 120 !;  10 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001+0.ax').
%----Include Simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include Betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
