%--------------------------------------------------------------------------
% File     : GRP392-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Group theory (Monoids)
% Problem  : Monoid axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Ver93] Veroff (1993), Email to G. Sutcliffe
% Source   : [MOW76]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   4 unit;   5 RR)
%            Number of literals   :   20 (   7 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    2 (   1 constant; 0-2 arity)
%            Number of variables  :   26 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Monoid axioms
include('Axioms/GRP001-0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
