%--------------------------------------------------------------------------
% File     : GRP394+3 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Group Theory
% Problem  : Group theory (equality) axioms
% Version  : [MOW76] (equality) axioms : 
%            Reduced > Complete.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.33 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of formulae    :    9 (   4 unit)
%            Number of atoms       :   15 (  15 equality)
%            Maximal formula depth :    4 (   2 average)
%            Number of connectives :    6 (   0 ~  ;   0  |;   1  &)
%                                         (   0 <=>;   5 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    3 (   1 constant; 0-2 arity)
%            Number of variables   :   19 (   0 singleton;  19 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001+0.ax').
%----Include Group theory (equality) axioms
include('Axioms/GRP004+0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
