%--------------------------------------------------------------------------
% File     : GRP394-3 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Group Theory
% Problem  : Group theory (equality) axioms
% Version  : [MOW76] (equality) axioms : 
%            Reduced > Complete.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [ANL]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   4 unit;   3 RR)
%            Number of literals   :   15 (  15 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   1 constant; 0-2 arity)
%            Number of variables  :   19 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Group theory (equality) axioms
include('Axioms/GRP004-0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
