%--------------------------------------------------------------------------
% File     : HEN013-2 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Henkin Models
% Problem  : Henkin model axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   14 (   0 non-Horn;   5 unit;   7 RR)
%            Number of literals   :   27 (  15 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   31 (   3 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms
include('Axioms/HEN002-0.ax').
include('Axioms/HEN002-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
