%--------------------------------------------------------------------------
% File     : HWV010-3 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Hardware Verification
% Problem  : Safelogic VHDL design verification obligation
% Version  : [Mar02] axioms : Especial.
% English  : 

% Refs     : [CHM02] Claessen et al. (2002), Verification of Hardware Systems
%          : [Mar02] Martensson (2002), Email to G. Sutcliffe
% Source   : [Mar02]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.08 v2.6.0, 0.00 v2.5.0
% Syntax   : Number of clauses    :  201 (  62 non-Horn;  28 unit; 120 RR)
%            Number of literals   :  554 ( 208 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-2 arity)
%            Number of functors   :   46 (   8 constant; 0-3 arity)
%            Number of variables  :  403 (  20 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality
include('Axioms/EQU001-0.ax').
%----Include VHDL design axioms
include('Axioms/HWV004-0.ax').
include('Axioms/HWV004-0.eq').
%--------------------------------------------------------------------------
input_clause(quest_1,conjecture,
    [++equal(fwork_DOTfifo_DOTrtl_DOTlevel_(t_206),0)]).

input_clause(quest_2,conjecture,
    [--p__pred_(fwork_DOTfifo_DOTrtl_DOTempty_(t_206))]).
%--------------------------------------------------------------------------
