%--------------------------------------------------------------------------
% File     : HWV033-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Hardware Verification
% Problem  : Safelogic VHDL design verification obligation
% Version  : [Mar02] axioms : Especial.
% English  : 

% Refs     : [CHM02] Claessen et al. (2002), Verification of Hardware Systems
%          : [Mar02] Martensson (2002), Email to G. Sutcliffe
% Source   : [Mar02]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.67 v2.6.0, 0.88 v2.5.0
% Syntax   : Number of clauses    :  123 (  64 non-Horn;  10 unit; 109 RR)
%            Number of literals   :  450 (  92 equality)
%            Maximal clause size  :    7 (   3 average)
%            Number of predicates :   13 (   0 propositional; 1-3 arity)
%            Number of functors   :   11 (   4 constant; 0-2 arity)
%            Number of variables  :  217 (   5 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality
include('Axioms/EQU001-0.ax').
%----Include VHDL design axioms
include('Axioms/HWV003-0.ax').
include('Axioms/HWV003-0.eq').
%--------------------------------------------------------------------------
input_clause(quest_1,conjecture,
    [--gt(rd_level(t_139),minus(fifo_length,1))]).

input_clause(quest_2,conjecture,
    [++gt(rd_level(plus(t_139,1)),minus(fifo_length,1))]).

input_clause(quest_3,conjecture,
    [++gt(fifo_length,0)]).
%--------------------------------------------------------------------------
