%--------------------------------------------------------------------------
% File     : HWV033-2 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Hardware Verification
% Problem  : Safelogic VHDL design verification obligation
% Version  : [Mar02] axioms : Especial.
% English  : 

% Refs     : [CHM02] Claessen et al. (2002), Verification of Hardware Systems
%          : [Mar02] Martensson (2002), Email to G. Sutcliffe
% Source   : [Mar02]
% Names    : 

% Status   : unsatisfiable
% Rating   : 1.00 v2.5.0
% Syntax   : Number of clauses    :  202 (  62 non-Horn;  29 unit; 121 RR)
%            Number of literals   :  555 ( 207 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-2 arity)
%            Number of functors   :   46 (   8 constant; 0-3 arity)
%            Number of variables  :  403 (  20 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality
include('Axioms/EQU001-0.ax').
%----Include VHDL design axioms
include('Axioms/HWV004-0.ax').
include('Axioms/HWV004-0.eq').
%--------------------------------------------------------------------------
input_clause(quest_1,conjecture,
    [++p_LES_EQU_(fwork_DOTfifo_DOTrtl_DOTrd__level_(t_206),
f_SUB_(fwork_DOTfifo_DOTrtl_DOTfifo__length_,1))]).

input_clause(quest_2,conjecture,
    [--p_LES_EQU_(fwork_DOTfifo_DOTrtl_DOTrd__level_(f_ADD_(t_206,1)),
f_SUB_(fwork_DOTfifo_DOTrtl_DOTfifo__length_,1))]).

input_clause(quest_3,conjecture,
    [--p_LES_EQU_(fwork_DOTfifo_DOTrtl_DOTfifo__length_,0)]).
%--------------------------------------------------------------------------
