%--------------------------------------------------------------------------
% File     : HWV037-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Hardware Verification
% Problem  : Axioms from a VHDL design description
% Version  : [Mar02] axioms : Especial.
% English  : 

% Refs     : [CHM02] Claessen et al. (2002), Verification of Hardware Systems
%          : [Mar02] Martensson (2002), Email to G. Sutcliffe
% Source   : [Mar02]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of clauses    :  120 (  64 non-Horn;   7 unit; 106 RR)
%            Number of literals   :  447 (  92 equality)
%            Maximal clause size  :    7 (   3 average)
%            Number of predicates :   13 (   0 propositional; 1-3 arity)
%            Number of functors   :   10 (   3 constant; 0-2 arity)
%            Number of variables  :  217 (   5 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Axioms from a VHDL design description
include('Axioms/HWV003-0.ax').
include('Axioms/HWV003-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
