%--------------------------------------------------------------------------
% File     : LAT031-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Lattice Theory
% Problem  : Distributivity of meet implies distributivity of join
% Version  : [McC88] (equality) axioms.
% English  :

% Refs     : [DeN00] DeNivelle (2000), Email to G. Sutcliffe
%            [McC88] McCune (1988), Challenge Equality Problems in Lattice
% Source   : [DeN00]
% Names    : dist_join [DeN00]

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   17 (   0 non-Horn;  11 unit;   3 RR)
%            Number of literals   :   24 (  24 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   37 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include lattice theory axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
input_clause(dist_meet,hypothesis,
    [++equal(meet(X,join(Y,Z)),join(meet(X,Y),meet(X,Z)))]).

input_clause(dist_join,conjecture,
    [--equal(join(xx,meet(yy,zz)),meet(join(xx,yy),join(xx,zz)))]).
%--------------------------------------------------------------------------
