%--------------------------------------------------------------------------
% File     : LAT056-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Lattice theory modularity (equality) axioms
% Version  : [McC88] (equality) axioms.
% English  : 

% Refs     : [Bum65] Bumcroft (1965), Proceedings of the Glasgow Mathematic
%          : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [McC88]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;  13 unit;   2 RR)
%            Number of literals   :   28 (  28 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   41 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%----Include Lattice theory modularity (equality) axioms
include('Axioms/LAT001-1.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
