%--------------------------------------------------------------------------
% File     : LAT060-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Lattice Theory (Quasilattices)
% Problem  : Quasilattice theory (equality) axioms
% Version  : [McC98b] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   15 (   0 non-Horn;   9 unit;   2 RR)
%            Number of literals   :   22 (  22 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   0 constant; 2-2 arity)
%            Number of variables  :   36 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Quasilattice theory (equality) axioms
include('Axioms/LAT004-0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
