%--------------------------------------------------------------------------
% File     : MGT066-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Management (Organisation Theory)
% Problem  : Inequalities.
% Version  : [Han98] axioms.
% English  : 

% Refs     : [Kam00] Kamps (2000), Email to G. Sutcliffe
%            [CH00]  Carroll & Hannan (2000), The Demography of Corporation
%            [Han98] Hannan (1998), Rethinking Age Dependence in Organizati
% Source   : [Kam00]
% Names    : 

% Status   : satisfiable
% Rating   : 0.50 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   22 (   3 non-Horn;   1 unit;  20 RR)
%            Number of literals   :   56 (  19 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    5 (   0 propositional; 2-2 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :   53 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Inequalities.
include('Axioms/MGT001-0.ax').
include('Axioms/MGT001-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
