%--------------------------------------------------------------------------
% File     : NLP117-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 4
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "An old dirty white chevy barrels down a lonely street in 
%            hollywood."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   36 (  16 non-Horn;   2 unit;  36 RR)
%            Number of literals   :  102 (   0 equality)
%            Maximal clause size  :   18 (   2 average)
%            Number of predicates :   18 (   1 propositional; 0-3 arity)
%            Number of functors   :   12 (  12 constant; 0-0 arity)
%            Number of variables  :   12 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Created from NLP117+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc18)]).

input_clause(clause2,conjecture,
    [++actual_world(skc12)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++old(skc18,skc23)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++dirty(skc18,skc23)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++white(skc18,skc23)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++chevy(skc18,skc23)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++barrel(skc18,skc19)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++present(skc18,skc19)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++event(skc18,skc19)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++hollywood_placename(skc18,skc21)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++placename(skc18,skc21)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++city(skc18,skc22)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++street(skc18,skc20)]).

input_clause(clause14,conjecture,
    [++ssSkC0,
     ++lonely(skc18,skc20)]).

input_clause(clause15,conjecture,
    [--ssSkC0,
     ++lonely(skc12,skc17)]).

input_clause(clause16,conjecture,
    [--ssSkC0,
     ++street(skc12,skc17)]).

input_clause(clause17,conjecture,
    [--ssSkC0,
     ++barrel(skc12,skc13)]).

input_clause(clause18,conjecture,
    [--ssSkC0,
     ++present(skc12,skc13)]).

input_clause(clause19,conjecture,
    [--ssSkC0,
     ++event(skc12,skc13)]).

input_clause(clause20,conjecture,
    [--ssSkC0,
     ++hollywood_placename(skc12,skc15)]).

input_clause(clause21,conjecture,
    [--ssSkC0,
     ++placename(skc12,skc15)]).

input_clause(clause22,conjecture,
    [--ssSkC0,
     ++city(skc12,skc16)]).

input_clause(clause23,conjecture,
    [--ssSkC0,
     ++chevy(skc12,skc14)]).

input_clause(clause24,conjecture,
    [--ssSkC0,
     ++white(skc12,skc14)]).

input_clause(clause25,conjecture,
    [--ssSkC0,
     ++dirty(skc12,skc14)]).

input_clause(clause26,conjecture,
    [--ssSkC0,
     ++old(skc12,skc14)]).

input_clause(clause27,conjecture,
    [++ssSkC0,
     ++agent(skc18,skc19,skc23)]).

input_clause(clause28,conjecture,
    [++ssSkC0,
     ++in(skc18,skc19,skc22)]).

input_clause(clause29,conjecture,
    [++ssSkC0,
     ++of(skc18,skc21,skc22)]).

input_clause(clause30,conjecture,
    [++ssSkC0,
     ++down(skc18,skc19,skc20)]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++down(skc12,skc13,skc17)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++in(skc12,skc13,skc16)]).

input_clause(clause33,conjecture,
    [--ssSkC0,
     ++of(skc12,skc15,skc16)]).

input_clause(clause34,conjecture,
    [--ssSkC0,
     ++agent(skc12,skc13,skc14)]).

input_clause(clause35,conjecture,
    [--down(U,V,W),
     --lonely(U,W),
     --street(U,W),
     --barrel(U,V),
     --present(U,V),
     --event(U,V),
     --hollywood_placename(U,X),
     --placename(U,X),
     --in(U,V,Y),
     --city(U,Y),
     --of(U,X,Y),
     --chevy(U,Z),
     --white(U,Z),
     --dirty(U,Z),
     --old(U,Z),
     --agent(U,V,Z),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause36,conjecture,
    [--agent(U,V,W),
     --old(U,W),
     --dirty(U,W),
     --white(U,W),
     --chevy(U,W),
     --barrel(U,V),
     --present(U,V),
     --event(U,V),
     --hollywood_placename(U,X),
     --placename(U,X),
     --in(U,V,Y),
     --city(U,Y),
     --of(U,X,Y),
     --street(U,Z),
     --lonely(U,Z),
     --down(U,V,Z),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
