%--------------------------------------------------------------------------
% File     : NLP137-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 24
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   60 (  25 non-Horn;   2 unit;  51 RR)
%            Number of literals   :  219 (   0 equality)
%            Maximal clause size  :   23 (   3 average)
%            Number of predicates :   28 (   1 propositional; 0-4 arity)
%            Number of functors   :   21 (  13 constant; 0-2 arity)
%            Number of variables  :   74 (  11 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP137+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc43)]).

input_clause(clause2,conjecture,
    [++actual_world(skc13)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++old(skc43,skc49)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++dirty(skc43,skc49)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++white(skc43,skc49)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++chevy(skc43,skc49)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++barrel(skc43,skc45)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++present(skc43,skc45)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++event(skc43,skc45)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++hollywood_placename(skc43,skc47)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++placename(skc43,skc47)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++city(skc43,skc48)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++street(skc43,skc46)]).

input_clause(clause14,conjecture,
    [++ssSkC0,
     ++lonely(skc43,skc46)]).

input_clause(clause15,conjecture,
    [++ssSkC0,
     ++ssSkP0(skc44,skc43)]).

input_clause(clause16,conjecture,
    [++ssSkC0,
     ++two(skc43,skc44)]).

input_clause(clause17,conjecture,
    [++ssSkC0,
     ++group(skc43,skc44)]).

input_clause(clause18,conjecture,
    [--ssSkC0,
     ++event(skc13,skc15)]).

input_clause(clause19,conjecture,
    [--ssSkC0,
     ++present(skc13,skc15)]).

input_clause(clause20,conjecture,
    [--ssSkC0,
     ++barrel(skc13,skc15)]).

input_clause(clause21,conjecture,
    [--ssSkC0,
     ++old(skc13,skc18)]).

input_clause(clause22,conjecture,
    [--ssSkC0,
     ++dirty(skc13,skc18)]).

input_clause(clause23,conjecture,
    [--ssSkC0,
     ++white(skc13,skc18)]).

input_clause(clause24,conjecture,
    [--ssSkC0,
     ++chevy(skc13,skc18)]).

input_clause(clause25,conjecture,
    [--ssSkC0,
     ++lonely(skc13,skc16)]).

input_clause(clause26,conjecture,
    [--ssSkC0,
     ++street(skc13,skc16)]).

input_clause(clause27,conjecture,
    [--ssSkC0,
     ++city(skc13,skc16)]).

input_clause(clause28,conjecture,
    [--ssSkC0,
     ++hollywood_placename(skc13,skc17)]).

input_clause(clause29,conjecture,
    [--ssSkC0,
     ++placename(skc13,skc17)]).

input_clause(clause30,conjecture,
    [--ssSkC0,
     ++group(skc13,skc14)]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++two(skc13,skc14)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++ssSkP1(skc14,skc13)]).

input_clause(clause33,conjecture,
    [++ssSkC0,
     ++agent(skc43,skc45,skc49)]).

input_clause(clause34,conjecture,
    [++ssSkC0,
     ++in(skc43,skc45,skc48)]).

input_clause(clause35,conjecture,
    [++ssSkC0,
     ++of(skc43,skc47,skc48)]).

input_clause(clause36,conjecture,
    [++ssSkC0,
     ++down(skc43,skc45,skc46)]).

input_clause(clause37,conjecture,
    [--ssSkC0,
     ++agent(skc13,skc15,skc18)]).

input_clause(clause38,conjecture,
    [--ssSkC0,
     ++in(skc13,skc15,skc16)]).

input_clause(clause39,conjecture,
    [--ssSkC0,
     ++down(skc13,skc15,skc16)]).

input_clause(clause40,conjecture,
    [--ssSkC0,
     ++of(skc13,skc17,skc16)]).

input_clause(clause41,conjecture,
    [++ssSkP0(U,V),
     ++frontseat(V,skf14(V,W))]).

input_clause(clause42,conjecture,
    [++ssSkP0(U,V),
     ++member(V,skf14(V,U),U)]).

input_clause(clause43,conjecture,
    [++ssSkP1(U,V),
     ++member(V,skf19(V,U),U)]).

input_clause(clause44,conjecture,
    [--member(skc43,U,skc44),
     ++ssSkC0,
     ++fellow(skc43,U)]).

input_clause(clause45,conjecture,
    [--member(skc43,U,skc44),
     ++ssSkC0,
     ++young(skc43,U)]).

input_clause(clause46,conjecture,
    [--member(skc13,U,skc14),
     --ssSkC0,
     ++fellow(skc13,U)]).

input_clause(clause47,conjecture,
    [--member(skc13,U,skc14),
     --ssSkC0,
     ++young(skc13,U)]).

input_clause(clause48,conjecture,
    [--member(U,V,W),
     --ssSkP1(W,U),
     ++state(U,skf16(U,X))]).

input_clause(clause49,conjecture,
    [--member(U,V,W),
     --ssSkP1(W,U),
     ++frontseat(U,skf15(U,X))]).

input_clause(clause50,conjecture,
    [--member(U,V,W),
     --ssSkP1(W,U),
     ++in(U,skf15(U,X),skf15(U,X))]).

input_clause(clause51,conjecture,
    [--member(U,V,W),
     --frontseat(U,V),
     --ssSkP0(W,U),
     ++state(U,skf11(U,X))]).

input_clause(clause52,conjecture,
    [--member(U,V,W),
     --ssSkP1(W,U),
     ++be(U,skf16(U,V),V,skf15(U,V))]).

input_clause(clause53,conjecture,
    [--member(U,V,W),
     --frontseat(U,V),
     --ssSkP0(W,U),
     ++in(U,skf10(V,U),V)]).

input_clause(clause54,conjecture,
    [--member(U,V,W),
     --frontseat(U,V),
     --ssSkP0(W,U),
     ++be(U,skf11(U,V),V,skf10(V,U))]).

input_clause(clause55,conjecture,
    [--in(U,V,skf14(U,W)),
     --be(U,X,skf14(U,W),V),
     --state(U,X),
     ++ssSkP0(Y,U)]).

input_clause(clause56,conjecture,
    [--frontseat(U,V),
     --in(U,V,V),
     --be(U,W,skf19(U,X),V),
     --state(U,W),
     ++ssSkP1(Y,U)]).

input_clause(clause57,conjecture,
    [--event(U,V),
     --present(U,V),
     --barrel(U,V),
     --agent(U,V,W),
     --old(U,W),
     --dirty(U,W),
     --white(U,W),
     --chevy(U,W),
     --in(U,V,X),
     --down(U,V,X),
     --lonely(U,X),
     --street(U,X),
     --city(U,X),
     --of(U,Y,X),
     --hollywood_placename(U,Y),
     --placename(U,Y),
     --group(U,Z),
     --two(U,Z),
     --ssSkP1(Z,U),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf21(U,Z),Z)]).

input_clause(clause58,conjecture,
    [--agent(U,V,W),
     --old(U,W),
     --dirty(U,W),
     --white(U,W),
     --chevy(U,W),
     --barrel(U,V),
     --present(U,V),
     --event(U,V),
     --hollywood_placename(U,X),
     --placename(U,X),
     --in(U,V,Y),
     --city(U,Y),
     --of(U,X,Y),
     --street(U,Z),
     --lonely(U,Z),
     --down(U,V,Z),
     --ssSkP0(X1,U),
     --two(U,X1),
     --group(U,X1),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf9(U,X1),X1)]).

input_clause(clause59,conjecture,
    [--event(U,V),
     --present(U,V),
     --barrel(U,V),
     --agent(U,V,W),
     --old(U,W),
     --dirty(U,W),
     --white(U,W),
     --chevy(U,W),
     --in(U,V,X),
     --down(U,V,X),
     --lonely(U,X),
     --street(U,X),
     --city(U,X),
     --of(U,Y,X),
     --hollywood_placename(U,Y),
     --placename(U,Y),
     --young(U,skf21(U,Z)),
     --fellow(U,skf21(U,Z)),
     --group(U,X1),
     --two(U,X1),
     --ssSkP1(X1,U),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause60,conjecture,
    [--agent(U,V,W),
     --old(U,W),
     --dirty(U,W),
     --white(U,W),
     --chevy(U,W),
     --barrel(U,V),
     --present(U,V),
     --event(U,V),
     --hollywood_placename(U,X),
     --placename(U,X),
     --in(U,V,Y),
     --city(U,Y),
     --of(U,X,Y),
     --street(U,Z),
     --lonely(U,Z),
     --down(U,V,Z),
     --ssSkP0(X1,U),
     --two(U,X1),
     --group(U,X1),
     --young(U,skf9(U,X2)),
     --fellow(U,skf9(U,X2)),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
