%--------------------------------------------------------------------------
% File     : NLP138-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 25
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :   54 (  24 non-Horn;   2 unit;  50 RR)
%            Number of literals   :  200 (   0 equality)
%            Maximal clause size  :   23 (   3 average)
%            Number of predicates :   27 (   1 propositional; 0-4 arity)
%            Number of functors   :   18 (  13 constant; 0-2 arity)
%            Number of variables  :   52 (   4 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP138+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc33)]).

input_clause(clause2,conjecture,
    [++actual_world(skc13)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++old(skc33,skc39)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++dirty(skc33,skc39)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++white(skc33,skc39)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++chevy(skc33,skc39)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++barrel(skc33,skc35)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++present(skc33,skc35)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++event(skc33,skc35)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++hollywood_placename(skc33,skc37)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++placename(skc33,skc37)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++city(skc33,skc38)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++street(skc33,skc36)]).

input_clause(clause14,conjecture,
    [++ssSkC0,
     ++lonely(skc33,skc36)]).

input_clause(clause15,conjecture,
    [++ssSkC0,
     ++ssSkP0(skc34,skc33)]).

input_clause(clause16,conjecture,
    [++ssSkC0,
     ++two(skc33,skc34)]).

input_clause(clause17,conjecture,
    [++ssSkC0,
     ++group(skc33,skc34)]).

input_clause(clause18,conjecture,
    [--ssSkC0,
     ++city(skc13,skc17)]).

input_clause(clause19,conjecture,
    [--ssSkC0,
     ++chevy(skc13,skc17)]).

input_clause(clause20,conjecture,
    [--ssSkC0,
     ++white(skc13,skc17)]).

input_clause(clause21,conjecture,
    [--ssSkC0,
     ++dirty(skc13,skc17)]).

input_clause(clause22,conjecture,
    [--ssSkC0,
     ++old(skc13,skc17)]).

input_clause(clause23,conjecture,
    [--ssSkC0,
     ++placename(skc13,skc18)]).

input_clause(clause24,conjecture,
    [--ssSkC0,
     ++hollywood_placename(skc13,skc18)]).

input_clause(clause25,conjecture,
    [--ssSkC0,
     ++event(skc13,skc15)]).

input_clause(clause26,conjecture,
    [--ssSkC0,
     ++present(skc13,skc15)]).

input_clause(clause27,conjecture,
    [--ssSkC0,
     ++barrel(skc13,skc15)]).

input_clause(clause28,conjecture,
    [--ssSkC0,
     ++lonely(skc13,skc16)]).

input_clause(clause29,conjecture,
    [--ssSkC0,
     ++street(skc13,skc16)]).

input_clause(clause30,conjecture,
    [--ssSkC0,
     ++group(skc13,skc14)]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++two(skc13,skc14)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++ssSkP0(skc14,skc13)]).

input_clause(clause33,conjecture,
    [++ssSkC0,
     ++agent(skc33,skc35,skc39)]).

input_clause(clause34,conjecture,
    [++ssSkC0,
     ++in(skc33,skc35,skc38)]).

input_clause(clause35,conjecture,
    [++ssSkC0,
     ++of(skc33,skc37,skc38)]).

input_clause(clause36,conjecture,
    [++ssSkC0,
     ++down(skc33,skc35,skc36)]).

input_clause(clause37,conjecture,
    [--ssSkC0,
     ++agent(skc13,skc15,skc17)]).

input_clause(clause38,conjecture,
    [--ssSkC0,
     ++in(skc13,skc15,skc17)]).

input_clause(clause39,conjecture,
    [--ssSkC0,
     ++of(skc13,skc18,skc17)]).

input_clause(clause40,conjecture,
    [--ssSkC0,
     ++down(skc13,skc15,skc16)]).

input_clause(clause41,conjecture,
    [++ssSkP0(U,V),
     ++frontseat(V,skf11(V,W))]).

input_clause(clause42,conjecture,
    [++ssSkP0(U,V),
     ++member(V,skf11(V,U),U)]).

input_clause(clause43,conjecture,
    [--member(skc33,U,skc34),
     ++ssSkC0,
     ++fellow(skc33,U)]).

input_clause(clause44,conjecture,
    [--member(skc33,U,skc34),
     ++ssSkC0,
     ++young(skc33,U)]).

input_clause(clause45,conjecture,
    [--member(skc13,U,skc14),
     --ssSkC0,
     ++fellow(skc13,U)]).

input_clause(clause46,conjecture,
    [--member(skc13,U,skc14),
     --ssSkC0,
     ++young(skc13,U)]).

input_clause(clause47,conjecture,
    [--member(U,V,W),
     --frontseat(U,V),
     --ssSkP0(W,U),
     ++state(U,skf8(U,X))]).

input_clause(clause48,conjecture,
    [--member(U,V,W),
     --frontseat(U,V),
     --ssSkP0(W,U),
     ++in(U,skf7(V,U),V)]).

input_clause(clause49,conjecture,
    [--member(U,V,W),
     --frontseat(U,V),
     --ssSkP0(W,U),
     ++be(U,skf8(U,V),V,skf7(V,U))]).

input_clause(clause50,conjecture,
    [--in(U,V,skf11(U,W)),
     --be(U,X,skf11(U,W),V),
     --state(U,X),
     ++ssSkP0(Y,U)]).

input_clause(clause51,conjecture,
    [--city(U,V),
     --chevy(U,V),
     --white(U,V),
     --dirty(U,V),
     --old(U,V),
     --agent(U,W,V),
     --in(U,W,V),
     --placename(U,X),
     --hollywood_placename(U,X),
     --of(U,X,V),
     --event(U,W),
     --present(U,W),
     --barrel(U,W),
     --down(U,W,Y),
     --lonely(U,Y),
     --street(U,Y),
     --group(U,Z),
     --two(U,Z),
     --ssSkP0(Z,U),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf13(U,Z),Z)]).

input_clause(clause52,conjecture,
    [--agent(U,V,W),
     --old(U,W),
     --dirty(U,W),
     --white(U,W),
     --chevy(U,W),
     --barrel(U,V),
     --present(U,V),
     --event(U,V),
     --hollywood_placename(U,X),
     --placename(U,X),
     --in(U,V,Y),
     --city(U,Y),
     --of(U,X,Y),
     --street(U,Z),
     --lonely(U,Z),
     --down(U,V,Z),
     --ssSkP0(X1,U),
     --two(U,X1),
     --group(U,X1),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf6(U,X1),X1)]).

input_clause(clause53,conjecture,
    [--city(U,V),
     --chevy(U,V),
     --white(U,V),
     --dirty(U,V),
     --old(U,V),
     --agent(U,W,V),
     --in(U,W,V),
     --placename(U,X),
     --hollywood_placename(U,X),
     --of(U,X,V),
     --event(U,W),
     --present(U,W),
     --barrel(U,W),
     --down(U,W,Y),
     --lonely(U,Y),
     --street(U,Y),
     --young(U,skf13(U,Z)),
     --fellow(U,skf13(U,Z)),
     --group(U,X1),
     --two(U,X1),
     --ssSkP0(X1,U),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause54,conjecture,
    [--agent(U,V,W),
     --old(U,W),
     --dirty(U,W),
     --white(U,W),
     --chevy(U,W),
     --barrel(U,V),
     --present(U,V),
     --event(U,V),
     --hollywood_placename(U,X),
     --placename(U,X),
     --in(U,V,Y),
     --city(U,Y),
     --of(U,X,Y),
     --street(U,Z),
     --lonely(U,Z),
     --down(U,V,Z),
     --ssSkP0(X1,U),
     --two(U,X1),
     --group(U,X1),
     --young(U,skf6(U,X2)),
     --fellow(U,skf6(U,X2)),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
