%--------------------------------------------------------------------------
% File     : NUM286-3 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Number Theory
% Problem  : Number theory axioms, based on Godel set theory
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of clauses    :  405 (  59 non-Horn;  12 unit; 257 RR)
%            Number of literals   : 1046 ( 409 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   20 (   0 propositional; 1-5 arity)
%            Number of functors   :   91 (  12 constant; 0-5 arity)
%            Number of variables  : 1092 (  32 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.eq').
%----Include Number theory axioms, based on Godel set theory
include('Axioms/NUM003-0.ax').
include('Axioms/NUM003-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
