%--------------------------------------------------------------------------
% File     : PUZ009-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Puzzles
% Problem  : Looking for Oona
% Version  : Especial.
% English  : In another curious incident, when the husband arrived on an
%            island looking for Oona, he met 5 natives A,B,C,D,E who all
%            guessed his purpose and grinned at meeting him. They said:
%            A: Oona is on this island. B: Oona is not on this island.
%            C: Oona was here yesterday. D: Oona is not here today, and she
%            was not here yesterday. E: Either D is a knave or C is a knight.
%            The logician thought for a while, but could get nowhere. `Won't
%            one of you please make another statement?' the logician pleaded.
%            At this point A said: Either E is a knave or C is a knight. Is
%            Oona on the island?"

% Refs     : [Smu87] Smullyan (1987), Forever Undecided - A Puzzle Guide to
% Source   : [ANL]
% Names    : oona.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   18 (   6 non-Horn;   1 unit;  18 RR)
%            Number of literals   :   40 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    5 (   5 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(c1,axiom,
    [--a_is_a_knight,--b_is_a_knight]).

input_clause(c2,axiom,
    [--a_is_a_knight,--d_is_a_knight]).

input_clause(c3,axiom,
    [--b_is_a_knight,--a_is_a_knight]).

input_clause(c4,axiom,
    [++b_is_a_knight,++a_is_a_knight]).

input_clause(c5,axiom,
    [--b_is_a_knight,++c_is_a_knight,++d_is_a_knight]).

input_clause(c6,axiom,
    [--c_is_a_knight,--d_is_a_knight]).

input_clause(c7,axiom,
    [--d_is_a_knight,--a_is_a_knight]).

input_clause(c8,axiom,
    [--d_is_a_knight,++b_is_a_knight]).

input_clause(c9,axiom,
    [--d_is_a_knight,--c_is_a_knight]).

input_clause(c10,axiom,
    [--e_is_a_knight,--d_is_a_knight,++c_is_a_knight]).

input_clause(c11,axiom,
    [++e_is_a_knight,++d_is_a_knight]).

input_clause(c12,axiom,
    [++e_is_a_knight,--c_is_a_knight]).

input_clause(c13,axiom,
    [++d_is_a_knight,++a_is_a_knight,++c_is_a_knight]).

input_clause(c14,axiom,
    [++d_is_a_knight,--b_is_a_knight,++c_is_a_knight]).

input_clause(c15,axiom,
    [--a_is_a_knight,--e_is_a_knight,++c_is_a_knight]).

input_clause(c16,axiom,
    [++a_is_a_knight,++e_is_a_knight]).

input_clause(c17,axiom,
    [++a_is_a_knight,--c_is_a_knight]).

input_clause(c18,conjecture,
    [++b_is_a_knight]).
%--------------------------------------------------------------------------
