%--------------------------------------------------------------------------
% File     : RNG043-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Alternative ring theory (equality) axioms
% Version  : [Ste87] (equality) axioms.
% English  : 

% Refs     : [Ste87] Stevens (1987), Some Experiments in Nonassociative Rin
% Source   : [Ste87]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   28 (   0 non-Horn;  16 unit;   3 RR)
%            Number of literals   :   41 (  41 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   1 constant; 0-3 arity)
%            Number of variables  :   65 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Alternative ring theory (equality) axioms
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
