%--------------------------------------------------------------------------
% File     : SET019-4 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Two sets that contain one another are equal
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Lemma 4 [BL+86]

% Status   : unsatisfiable
% Rating   : 0.33 v2.6.0, 0.30 v2.5.0, 0.42 v2.4.0, 0.33 v2.2.1, 0.33 v2.2.0, 0.22 v2.1.0, 0.44 v2.0.0
% Syntax   : Number of clauses    :  269 (  20 non-Horn;  15 unit; 167 RR)
%            Number of literals   :  632 ( 274 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-5 arity)
%            Number of functors   :   61 (   8 constant; 0-5 arity)
%            Number of variables  :  732 (  28 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_contains_b,hypothesis,
    [++subset(b,a)]).

input_clause(b_contains_a,hypothesis,
    [++subset(a,b)]).

input_clause(prove__a_equals_b,conjecture,
    [--equal(a,b)]).
%--------------------------------------------------------------------------
