%--------------------------------------------------------------------------
% File     : SET020-6 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : 1st is unique when x is an ordered pair of sets
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.67 v2.6.0, 0.56 v2.5.0, 0.73 v2.4.0, 0.75 v2.3.0, 0.88 v2.2.1, 0.83 v2.2.0, 0.67 v2.1.0
% Syntax   : Number of clauses    :  161 (   8 non-Horn;  32 unit;  96 RR)
%            Number of literals   :  334 ( 161 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   40 (  10 constant; 0-3 arity)
%            Number of variables  :  378 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_unique_1st_and_2nd_in_pair_of_sets1_1,conjecture,
    [++member(ordered_pair(u,v),cross_product(universal_class,
universal_class))]).

input_clause(prove_unique_1st_and_2nd_in_pair_of_sets1_2,conjecture,
    [--equal(first(ordered_pair(u,v)),u)]).
%--------------------------------------------------------------------------
