%--------------------------------------------------------------------------
% File     : SET061-6 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Existence of the null class
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.6.0, 0.00 v2.5.0, 0.18 v2.4.0, 0.12 v2.2.1, 0.00 v2.1.0
% Syntax   : Number of clauses    :  160 (   8 non-Horn;  31 unit;  95 RR)
%            Number of literals   :  333 ( 160 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   39 (   9 constant; 0-3 arity)
%            Number of variables  :  378 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_existence_of_null_class_1,conjecture,
    [++member(z,null_class)]).
%--------------------------------------------------------------------------
