%--------------------------------------------------------------------------
% File     : SET085-6 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Unordered pair that is a singleton
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.6.0, 0.11 v2.5.0, 0.27 v2.4.0, 0.00 v2.3.0, 0.12 v2.2.1, 0.33 v2.2.0, 0.33 v2.1.0
% Syntax   : Number of clauses    :  163 (   8 non-Horn;  34 unit;  98 RR)
%            Number of literals   :  336 ( 163 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   41 (  11 constant; 0-3 arity)
%            Number of variables  :  378 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Qua92].
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_singleton_in_unordered_pair3_1,conjecture,
    [++equal(unordered_pair(y,z),singleton(x))]).

input_clause(prove_singleton_in_unordered_pair3_2,conjecture,
    [++member(x,universal_class)]).

input_clause(prove_singleton_in_unordered_pair3_3,conjecture,
    [--equal(x,y)]).

input_clause(prove_singleton_in_unordered_pair3_4,conjecture,
    [--equal(x,z)]).
%--------------------------------------------------------------------------
