%--------------------------------------------------------------------------
% File     : SET781-3 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Set Theory
% Problem  : Set theory axioms based on NBG set theory
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Qua92]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of clauses    :  159 (   8 non-Horn;  30 unit;  94 RR)
%            Number of literals   :  332 ( 160 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   38 (   8 constant; 0-3 arity)
%            Number of variables  :  378 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Set theory axioms based on NBG set theory
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
