%--------------------------------------------------------------------------
% File     : SET783+1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Set Theory
% Problem  : Naive set theory axioms based on Goedel's set theory
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of formulae    :   32 (   2 unit)
%            Number of atoms       :   77 (  39 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   47 (   2 ~  ;   2  |;  11  &)
%                                         (  10 <=>;  22 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :   84 (   0 singleton;  83 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001+0.ax').
%----Include Naive set theory axioms based on Goedel's set theory
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
