%--------------------------------------------------------------------------
% File     : SWV020-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Software Verification
% Problem  : Program verification axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of clauses    :   18 (   1 non-Horn;   6 unit;  12 RR)
%            Number of literals   :   35 (  21 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   0 constant; 1-1 arity)
%            Number of variables  :   34 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Program verification axioms
include('Axioms/SWV001-0.ax').
include('Axioms/SWV001-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
