%--------------------------------------------------------------------------
% File     : SYN009-2 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : A problem to demonstrate the usefulness of relevancy testing
% Version  : Especial.
% English  : 

% Refs     : [HC+98] A-SATCHMORE: SATCHMORE with Availability Checking
% Source   : [HC+98]
% Names    : Example 6.1 [HC+98]

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :    8 (   1 non-Horn;   4 unit;   8 RR)
%            Number of literals   :   16 (   0 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    5 (   0 propositional; 1-3 arity)
%            Number of functors   :    3 (   3 constant; 0-0 arity)
%            Number of variables  :   12 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--p(X,Y,Z),
     --t(X,Y,Z)]).

input_clause(clause_2,conjecture,
    [--q(X,Y,Z),
     --t(Y,Z,X)]).

input_clause(clause_3,conjecture,
    [--r(X,Y,Z),
     --t(Z,X,Y)]).

input_clause(clause_4,conjecture,
    [++s(a)]).

input_clause(clause_5,conjecture,
    [++s(b)]).

input_clause(clause_6,conjecture,
    [++s(c)]).

input_clause(clause_7,conjecture,
    [++t(c,c,c)]).

input_clause(clause_8,conjecture,
    [--s(X),
     --s(Y),
     --s(Z),
     ++p(X,Y,Z),
     ++q(Y,Z,X),
     ++r(Z,X,Y)]).
%--------------------------------------------------------------------------
