%--------------------------------------------------------------------------
% File     : SYN009-4 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : A problem to demonstrate the usefulness of relevancy testing
% Version  : Especial.
% English  : 

% Refs     : [He01]  UNSEARCHMO: Eliminating Redundant Search Space on Back
% Source   : [He01]
% Names    : Example 5.3 [He01]

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :    9 (   2 non-Horn;   4 unit;   9 RR)
%            Number of literals   :   21 (   0 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    6 (   0 propositional; 1-3 arity)
%            Number of functors   :    3 (   3 constant; 0-0 arity)
%            Number of variables  :   15 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--p(X,Y,Z),
     --m(X,Y,Z)]).

input_clause(clause_2,conjecture,
    [--q(X,Y,Z),
     --m(X,Y,Z)]).

input_clause(clause_3,conjecture,
    [--r(X,Y,Z),
     --m(X,Y,Z)]).

input_clause(clause_4,conjecture,
    [++s(a)]).

input_clause(clause_5,conjecture,
    [++s(b)]).

input_clause(clause_6,conjecture,
    [++s(c)]).

input_clause(clause_7,conjecture,
    [--n(c,c,c)]).

input_clause(clause_8,conjecture,
    [--s(X),
     --s(Y),
     --s(Z),
     ++p(X,Y,Z),
     ++q(X,Y,Z),
     ++r(X,Y,Z)]).

input_clause(clause_9,conjecture,
    [--s(X),
     --s(Y),
     --s(Z),
     ++m(X,Y,Z),
     ++n(X,Y,Z)]).
%--------------------------------------------------------------------------
