%--------------------------------------------------------------------------
% File     : SYN081+1 : TPTP v2.6.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 59
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Hah94] Haehnle (1994), Email to G. Sutcliffe
% Source   : [Hah94]
% Names    : Pelletier 59 [Pel86]

% Status   : theorem
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :    2 (   0 unit)
%            Number of atoms       :    4 (   0 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    4 (   2 ~  ;   0  |;   1  &)
%                                         (   1 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 1-1 arity)
%            Number of functors    :    1 (   0 constant; 1-1 arity)
%            Number of variables   :    2 (   0 singleton;   1 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel59_1,axiom,(
    ! [X] : 
      ( big_f(X)
    <=> ~ big_f(f(X)) )   )).

input_formula(pel59,conjecture,(
    ? [X] : 
      ( big_f(X)
      & ~ big_f(f(X)) )   )).
%--------------------------------------------------------------------------
