%--------------------------------------------------------------------------
% File     : SYN315-1 : TPTP v2.6.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.2 (1)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch2N1 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   1 non-Horn;   0 unit;   2 RR)
%            Number of literals   :    8 (   0 equality)
%            Maximal clause size  :    2 (   2 average)
%            Number of predicates :    2 (   0 propositional; 1-1 arity)
%            Number of functors   :    2 (   1 constant; 0-1 arity)
%            Number of variables  :    4 (   4 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--f(X),
     ++p(a)]).

input_clause(clause2,conjecture,
    [--p(a),
     ++f(X)]).

input_clause(clause3,conjecture,
    [--f(y(X)),
     --p(a)]).

input_clause(clause4,conjecture,
    [++p(a),
     ++f(y(X))]).
%--------------------------------------------------------------------------
