%--------------------------------------------------------------------------
% File     : SYN319-1 : TPTP v2.6.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.2 (5)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch2N5 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   1 non-Horn;   1 unit;   6 RR)
%            Number of literals   :   13 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-1 arity)
%            Number of functors   :    3 (   1 constant; 0-2 arity)
%            Number of variables  :   11 (   6 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(Y),
     ++g(X)]).

input_clause(clause2,conjecture,
    [++f(Y),
     --f(z1(X,Y))]).

input_clause(clause3,conjecture,
    [--g(z1(X,y)),
     ++g(X)]).

input_clause(clause4,conjecture,
    [--g(z1(X,y)),
     --f(z1(X,Y))]).

input_clause(clause5,conjecture,
    [--f(X),
     ++h(X)]).

input_clause(clause6,conjecture,
    [--g(X),
     ++h(X)]).

input_clause(clause7,conjecture,
    [--h(z2(X,Y))]).
%--------------------------------------------------------------------------
