%--------------------------------------------------------------------------
% File     : SYN328-1 : TPTP v2.6.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.12 (3)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch12N3 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   11 (   4 non-Horn;   0 unit;   9 RR)
%            Number of literals   :   28 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-1 arity)
%            Number of functors   :    2 (   0 constant; 1-1 arity)
%            Number of variables  :   11 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--f(y(X)),
     ++g(y(X)),
     --f(X)]).

input_clause(clause2,conjecture,
    [++f(y(X)),
     ++f(X)]).

input_clause(clause3,conjecture,
    [--g(y(X)),
     ++f(X)]).

input_clause(clause4,conjecture,
    [--f(y(X)),
     ++h(y(X)),
     --g(X)]).

input_clause(clause5,conjecture,
    [++f(y(X)),
     ++g(X)]).

input_clause(clause6,conjecture,
    [--h(y(X)),
     ++g(X)]).

input_clause(clause7,conjecture,
    [++f(y(X)),
     ++h(y(X)),
     --h(X)]).

input_clause(clause8,conjecture,
    [--g(y(X)),
     ++h(y(X)),
     --h(X)]).

input_clause(clause9,conjecture,
    [--f(y(X)),
     ++g(y(X)),
     ++h(X)]).

input_clause(clause10,conjecture,
    [--h(y(X)),
     ++h(X)]).

input_clause(clause11,conjecture,
    [--f(z(X)),
     --g(z(X)),
     --h(z(X))]).
%--------------------------------------------------------------------------
