%--------------------------------------------------------------------------
% File     : SYN577-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 3300
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.25 v2.6.0, 0.17 v2.5.0
% Syntax   : Number of clauses    :   22 (   0 non-Horn;  12 unit;  21 RR)
%            Number of literals   :   59 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-2 arity)
%            Number of functors   :   16 (  12 constant; 0-2 arity)
%            Number of variables  :   43 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p2_1,conjecture,
    [++p2(X0,X0)]).

input_clause(p8_2,conjecture,
    [++p8(c14,c13)]).

input_clause(p7_3,conjecture,
    [++p7(c11,c12)]).

input_clause(p7_4,conjecture,
    [++p7(c13,c12)]).

input_clause(p7_5,conjecture,
    [++p7(c9,c10)]).

input_clause(p8_6,conjecture,
    [++p8(c14,c11)]).

input_clause(p2_7,conjecture,
    [++p2(f3(c12,c11),c15)]).

input_clause(p2_8,conjecture,
    [++p2(f4(c16,c14),c18)]).

input_clause(p2_9,conjecture,
    [++p2(f4(c15,c14),c17)]).

input_clause(p2_10,conjecture,
    [++p2(f3(c12,c13),c16)]).

input_clause(p2_11,conjecture,
    [++p2(f5(f6(c9),c19),c17)]).

input_clause(p2_12,conjecture,
    [++p2(f5(f6(c9),c20),c18)]).

input_clause(p2_13,conjecture,
    [++p2(f6(X22),f6(X23)),
     --p2(X22,X23)]).

input_clause(p2_14,conjecture,
    [++p2(X1,X2),
     --p2(X0,X1),
     --p2(X0,X2)]).

input_clause(p8_15,conjecture,
    [++p8(X28,X29),
     --p2(X31,X29),
     --p8(X30,X31),
     --p2(X30,X28)]).

input_clause(p7_16,conjecture,
    [++p7(X24,X25),
     --p2(X27,X25),
     --p7(X26,X27),
     --p2(X26,X24)]).

input_clause(p2_17,conjecture,
    [++p2(f3(X10,X11),f3(X12,X13)),
     --p2(X10,X12),
     --p2(X11,X13)]).

input_clause(p2_18,conjecture,
    [++p2(f5(X18,X19),f5(X20,X21)),
     --p2(X19,X21),
     --p2(X18,X20)]).

input_clause(p2_19,conjecture,
    [++p2(f4(X14,X15),f4(X16,X17)),
     --p2(X14,X16),
     --p2(X15,X17)]).

input_clause(not_p7_20,conjecture,
    [--p7(X34,c10),
     --p2(c15,X32),
     --p2(c16,X33),
     --p2(f4(X32,c14),f5(f6(X34),c19)),
     --p2(f4(X33,c14),f5(f6(X34),c20))]).

input_clause(p2_21,conjecture,
    [++p2(X3,X4),
     --p7(X7,c10),
     --p7(X3,c12),
     --p7(X4,c12),
     --p8(c14,X4),
     --p8(c14,X3),
     --p2(f3(c12,X4),X6),
     --p2(f3(c12,X3),X5),
     --p2(f4(X5,c14),f5(f6(X7),X8)),
     --p2(f4(X6,c14),f5(f6(X7),X9))]).

input_clause(p2_22,conjecture,
    [++p2(X8,X9),
     --p7(X7,c10),
     --p7(X3,c12),
     --p7(X4,c12),
     --p8(c14,X4),
     --p8(c14,X3),
     --p2(f3(c12,X4),X6),
     --p2(f3(c12,X3),X5),
     --p2(f4(X5,c14),f5(f6(X7),X8)),
     --p2(f4(X6,c14),f5(f6(X7),X9))]).
%--------------------------------------------------------------------------
