%--------------------------------------------------------------------------
% File     : SYN625-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4030
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   35 (   6 non-Horn;   8 unit;  27 RR)
%            Number of literals   :   91 (   0 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   10 (   3 constant; 0-5 arity)
%            Number of variables  :  104 (   2 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(c21_is_p15_1,conjecture,
    [++p15(c21)]).

input_clause(p10_2,conjecture,
    [++p10(X0,X0)]).

input_clause(p8_3,conjecture,
    [++p8(X71,X71)]).

input_clause(p6_4,conjecture,
    [++p6(X68,X68)]).

input_clause(p5_5,conjecture,
    [++p5(X47,X47)]).

input_clause(p3_6,conjecture,
    [++p3(X40,X40)]).

input_clause(p2_7,conjecture,
    [++p2(X33,X33)]).

input_clause(f4_is_not_p15_8,conjecture,
    [--p15(f4(f7(c19,c20),c21))]).

input_clause(p16_9,conjecture,
    [++p16(X14,X15,X16),
     --p5(X15,X16)]).

input_clause(not_p15_10,conjecture,
    [--p15(X7),
     --p18(f9(X7),X76,X76)]).

input_clause(p15_11,conjecture,
    [++p15(X5),
     --p15(X6),
     --p3(X6,X5)]).

input_clause(p10_12,conjecture,
    [++p10(f11(X3),f11(X4)),
     --p6(X3,X4)]).

input_clause(p8_13,conjecture,
    [++p8(f9(X74),f9(X75)),
     --p3(X74,X75)]).

input_clause(p5_14,conjecture,
    [++p5(f14(X66),f14(X67)),
     --p3(X66,X67)]).

input_clause(p15_15,conjecture,
    [++p15(X7),
     ++p18(f9(X7),f14(X7),f14(X7))]).

input_clause(not_p17_16,conjecture,
    [--p17(X77,f11(c20)),
     --p16(f9(c21),X77,c19)]).

input_clause(p10_17,conjecture,
    [++p10(X1,X2),
     --p10(X0,X1),
     --p10(X0,X2)]).

input_clause(p8_18,conjecture,
    [++p8(X72,X73),
     --p8(X71,X72),
     --p8(X71,X73)]).

input_clause(p6_19,conjecture,
    [++p6(X69,X70),
     --p6(X68,X69),
     --p6(X68,X70)]).

input_clause(p5_20,conjecture,
    [++p5(X48,X49),
     --p5(X47,X48),
     --p5(X47,X49)]).

input_clause(p3_21,conjecture,
    [++p3(X41,X42),
     --p3(X40,X41),
     --p3(X40,X42)]).

input_clause(p2_22,conjecture,
    [++p2(X34,X35),
     --p2(X33,X34),
     --p2(X33,X35)]).

input_clause(p16_23,conjecture,
    [++p16(X14,X15,X16),
     --p16(X14,X15,X17),
     --p16(X14,X17,X16)]).

input_clause(p17_24,conjecture,
    [++p17(X23,X24),
     --p17(X26,X25),
     --p5(X26,X23),
     --p10(X25,X24)]).

input_clause(p3_25,conjecture,
    [++p3(f4(X43,X44),f4(X45,X46)),
     --p2(X43,X45),
     --p3(X44,X46)]).

input_clause(p2_26,conjecture,
    [++p2(f7(X36,X37),f7(X38,X39)),
     --p5(X36,X38),
     --p6(X37,X39)]).

input_clause(p5_27,conjecture,
    [++p5(X15,X16),
     ++p16(X14,X15,f13(X14,X15,X16)),
     --p16(X14,X15,X16)]).

input_clause(p5_28,conjecture,
    [++p5(X15,X16),
     ++p16(X14,f13(X14,X15,X16),X16),
     --p16(X14,X15,X16)]).

input_clause(p16_29,conjecture,
    [++p16(X8,X9,X10),
     --p8(X11,X8),
     --p5(X13,X10),
     --p5(X12,X9),
     --p16(X11,X12,X13)]).

input_clause(p18_30,conjecture,
    [++p18(X27,X28,X29),
     --p8(X30,X27),
     --p5(X32,X29),
     --p5(X31,X28),
     --p18(X30,X31,X32)]).

input_clause(p5_31,conjecture,
    [++p5(f13(X60,X61,X62),f13(X63,X64,X65)),
     --p5(X62,X65),
     --p8(X60,X63),
     --p5(X61,X64)]).

input_clause(p16_32,conjecture,
    [++p16(f9(X18),X19,X20),
     ++p18(f9(X18),X19,X21),
     --p18(f9(f4(f7(X20,X22),X18)),X19,X21)]).

input_clause(p18_33,conjecture,
    [++p18(f9(X18),X19,X21),
     ++p17(f12(X18,X20,X22,X19,X21),f11(X22)),
     --p18(f9(f4(f7(X20,X22),X18)),X19,X21)]).

input_clause(p18_34,conjecture,
    [++p18(f9(X18),X19,X21),
     ++p16(f9(X18),f12(X18,X20,X22,X19,X21),X21),
     --p18(f9(f4(f7(X20,X22),X18)),X19,X21)]).

input_clause(p5_35,conjecture,
    [++p5(f12(X50,X51,X52,X53,X54),f12(X55,X56,X57,X58,X59)),
     --p5(X54,X59),
     --p6(X52,X57),
     --p3(X50,X55),
     --p5(X51,X56),
     --p5(X53,X58)]).
%--------------------------------------------------------------------------
