%--------------------------------------------------------------------------
% File     : SYN631-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4139
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.50 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   38 (   0 non-Horn;  13 unit;  28 RR)
%            Number of literals   :   84 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   11 (   0 propositional; 2-2 arity)
%            Number of functors   :   17 (   6 constant; 0-3 arity)
%            Number of variables  :   90 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p10_1,conjecture,
    [++p10(X0,X0)]).

input_clause(p9_2,conjecture,
    [++p9(X74,X74)]).

input_clause(p7_3,conjecture,
    [++p7(X65,X65)]).

input_clause(p6_4,conjecture,
    [++p6(X62,X62)]).

input_clause(p5_5,conjecture,
    [++p5(X37,X37)]).

input_clause(p3_6,conjecture,
    [++p3(X32,X32)]).

input_clause(p2_7,conjecture,
    [++p2(X12,X12)]).

input_clause(p12_8,conjecture,
    [++p12(X5,X5)]).

input_clause(p22_9,conjecture,
    [++p22(c25,c28)]).

input_clause(p5_10,conjecture,
    [++p5(f17(f18(X48,X49)),X48)]).

input_clause(p5_11,conjecture,
    [++p5(f16(f18(X44,X45)),X45)]).

input_clause(p23_12,conjecture,
    [++p23(f13(c27,f14(c28)),f11(f15(c24)))]).

input_clause(not_p23_13,conjecture,
    [--p23(f13(f16(c27),f14(c28)),f11(c24))]).

input_clause(p9_14,conjecture,
    [++p9(f15(X77),f15(X78)),
     --p9(X77,X78)]).

input_clause(p10_15,conjecture,
    [++p10(f11(X3),f11(X4)),
     --p9(X3,X4)]).

input_clause(p3_16,conjecture,
    [++p3(f4(X35),f4(X36)),
     --p2(X35,X36)]).

input_clause(p5_17,conjecture,
    [++p5(f14(X40),f14(X41)),
     --p6(X40,X41)]).

input_clause(p5_18,conjecture,
    [++p5(f16(X42),f16(X43)),
     --p5(X42,X43)]).

input_clause(p5_19,conjecture,
    [++p5(f17(X46),f17(X47)),
     --p5(X46,X47)]).

input_clause(p5_20,conjecture,
    [++p5(f20(X60),f20(X61)),
     --p5(X60,X61)]).

input_clause(p10_21,conjecture,
    [++p10(X1,X2),
     --p10(X0,X1),
     --p10(X0,X2)]).

input_clause(p9_22,conjecture,
    [++p9(X75,X76),
     --p9(X74,X75),
     --p9(X74,X76)]).

input_clause(p7_23,conjecture,
    [++p7(X66,X67),
     --p7(X65,X66),
     --p7(X65,X67)]).

input_clause(p6_24,conjecture,
    [++p6(X63,X64),
     --p6(X62,X63),
     --p6(X62,X64)]).

input_clause(p5_25,conjecture,
    [++p5(X38,X39),
     --p5(X37,X38),
     --p5(X37,X39)]).

input_clause(p3_26,conjecture,
    [++p3(X33,X34),
     --p3(X32,X33),
     --p3(X32,X34)]).

input_clause(p2_27,conjecture,
    [++p2(X13,X14),
     --p2(X12,X13),
     --p2(X12,X14)]).

input_clause(p12_28,conjecture,
    [++p12(X6,X7),
     --p12(X5,X6),
     --p12(X5,X7)]).

input_clause(p23_29,conjecture,
    [++p23(X25,X26),
     --p12(X28,X25),
     --p23(X28,X27),
     --p10(X27,X26)]).

input_clause(p21_30,conjecture,
    [++p21(X15,X16),
     --p3(X18,X16),
     --p7(X17,X15),
     --p21(X17,X18)]).

input_clause(p22_31,conjecture,
    [++p22(X21,X22),
     --p3(X23,X21),
     --p6(X24,X22),
     --p22(X23,X24)]).

input_clause(p12_32,conjecture,
    [++p12(f13(X8,X9),f13(X10,X11)),
     --p5(X8,X10),
     --p5(X9,X11)]).

input_clause(p5_33,conjecture,
    [++p5(f18(X50,X51),f18(X52,X53)),
     --p5(X50,X52),
     --p5(X51,X53)]).

input_clause(p5_34,conjecture,
    [++p5(X30,f18(f20(c29),f19(X29,X30,X31))),
     --p23(f13(X30,X31),f11(f15(X29)))]).

input_clause(p23_35,conjecture,
    [++p23(f13(f19(X29,X30,X31),X31),f11(X29)),
     --p23(f13(X30,X31),f11(f15(X29)))]).

input_clause(p21_36,conjecture,
    [++p21(f8(c26,X19,X20),f4(c26)),
     --p22(c25,X20),
     --p23(f13(X19,f14(X20)),f11(c24))]).

input_clause(p7_37,conjecture,
    [++p7(f8(X68,X69,X70),f8(X71,X72,X73)),
     --p5(X69,X72),
     --p6(X70,X73),
     --p2(X68,X71)]).

input_clause(p5_38,conjecture,
    [++p5(f19(X54,X55,X56),f19(X57,X58,X59)),
     --p5(X56,X59),
     --p9(X54,X57),
     --p5(X55,X58)]).
%--------------------------------------------------------------------------
