%--------------------------------------------------------------------------
% File     : SYN646-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4391
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.38 v2.6.0, 0.17 v2.5.0
% Syntax   : Number of clauses    :   44 (   0 non-Horn;  22 unit;  39 RR)
%            Number of literals   :   85 (   0 equality)
%            Maximal clause size  :    5 (   1 average)
%            Number of predicates :    9 (   0 propositional; 1-2 arity)
%            Number of functors   :   15 (   4 constant; 0-2 arity)
%            Number of variables  :   64 (   0 singleton)
%            Maximal term depth   :   27 (   2 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(c22_is_p18_1,conjecture,
    [++p18(c22)]).

input_clause(p10_2,conjecture,
    [++p10(X0,X0)]).

input_clause(p4_3,conjecture,
    [++p4(X48,X48)]).

input_clause(p3_4,conjecture,
    [++p3(X41,X41)]).

input_clause(p2_5,conjecture,
    [++p2(X16,X16)]).

input_clause(p16_6,conjecture,
    [++p16(X5,X5)]).

input_clause(not_p21_7,conjecture,
    [--p21(f17(c25),f17(c22))]).

input_clause(not_p21_8,conjecture,
    [--p21(f17(c22),f17(c23))]).

input_clause(p2_9,conjecture,
    [++p2(f12(f11(c22)),f7(c24))]).

input_clause(p2_10,conjecture,
    [++p2(f12(f11(c25)),f7(c24))]).

input_clause(p2_11,conjecture,
    [++p2(f12(f11(c23)),f7(c24))]).

input_clause(p20_12,conjecture,
    [++p20(f14(f11(c25)),f14(f11(c22)))]).

input_clause(p19_13,conjecture,
    [++p19(f14(f11(c23)),f14(f11(c22)))]).

input_clause(p2_14,conjecture,
    [++p2(f13(f11(c23)),f13(f11(c22)))]).

input_clause(p18_15,conjecture,
    [++p18(X10),
     --p18(X11),
     --p10(X11,X10)]).

input_clause(p4_16,conjecture,
    [++p4(f11(X51),f11(X52)),
     --p10(X51,X52)]).

input_clause(p10_17,conjecture,
    [++p10(f15(X3),f15(X4)),
     --p4(X3,X4)]).

input_clause(p16_18,conjecture,
    [++p16(f17(X8),f17(X9)),
     --p10(X8,X9)]).

input_clause(p2_19,conjecture,
    [++p2(f12(X19),f12(X20)),
     --p4(X19,X20)]).

input_clause(p2_20,conjecture,
    [++p2(f13(X21),f13(X22)),
     --p4(X21,X22)]).

input_clause(p2_21,conjecture,
    [++p2(f14(X23),f14(X24)),
     --p4(X23,X24)]).

input_clause(p2_22,conjecture,
    [++p2(f7(X25),f7(X26)),
     --p2(X25,X26)]).

input_clause(p2_23,conjecture,
    [++p2(f8(X27),f8(X28)),
     --p2(X27,X28)]).

input_clause(p2_24,conjecture,
    [++p2(f9(X29),f9(X30)),
     --p2(X29,X30)]).

input_clause(p10_25,conjecture,
    [++p10(X1,X2),
     --p10(X0,X1),
     --p10(X0,X2)]).

input_clause(p4_26,conjecture,
    [++p4(X49,X50),
     --p4(X48,X49),
     --p4(X48,X50)]).

input_clause(p3_27,conjecture,
    [++p3(X42,X43),
     --p3(X41,X42),
     --p3(X41,X43)]).

input_clause(p2_28,conjecture,
    [++p2(X17,X18),
     --p2(X16,X17),
     --p2(X16,X18)]).

input_clause(p16_29,conjecture,
    [++p16(X6,X7),
     --p16(X5,X6),
     --p16(X5,X7)]).

input_clause(p19_30,conjecture,
    [++p19(X12,X13),
     --p2(X14,X12),
     --p2(X15,X13),
     --p19(X14,X15)]).

input_clause(p21_31,conjecture,
    [++p21(X35,X36),
     --p16(X38,X36),
     --p21(X37,X38),
     --p16(X37,X35)]).

input_clause(p20_32,conjecture,
    [++p20(X31,X32),
     --p2(X34,X32),
     --p20(X33,X34),
     --p2(X33,X31)]).

input_clause(p4_33,conjecture,
    [++p4(f5(X53,X54),f5(X55,X56)),
     --p2(X53,X55),
     --p3(X54,X56)]).

input_clause(p3_34,conjecture,
    [++p3(f6(X44,X45),f6(X46,X47)),
     --p2(X44,X46),
     --p2(X45,X47)]).

input_clause(p2_35,conjecture,
    [++p2(f13(f11(c23)),f7(f8(f9(f8(f9(f9(f9(f9(f8(c24))))))))))]).

input_clause(p2_36,conjecture,
    [++p2(f13(f11(c25)),f7(f8(f9(f8(f9(f9(f9(f9(f8(c24))))))))))]).

input_clause(p21_37,conjecture,
    [++p21(f17(X39),f17(X40)),
     --p2(f12(f11(X40)),f7(c24)),
     --p2(f12(f11(X39)),f7(c24)),
     --p19(f13(f11(X39)),f13(f11(X40)))]).

input_clause(p2_38,conjecture,
    [++p2(f14(f11(c23)),
f7(f8(f8(f8(f8(f9(f9(f8(f9(f9(f9(f8(f8(f9(f8(f9(f8(f9(f8(f8(f8(f9(f8(c24))))))))))))))))))))))))]).

input_clause(p2_39,conjecture,
    [++p2(f14(f11(c25)),
f7(f9(f9(f9(f9(f8(f9(f8(f9(f9(f9(f8(f8(f9(f8(f9(f8(f9(f8(f8(f8(f9(f8(c24))))))))))))))))))))))))]).

input_clause(p21_40,conjecture,
    [++p21(f17(X39),f17(X40)),
     --p2(f12(f11(X39)),f7(c24)),
     --p2(f12(f11(X40)),f7(c24)),
     --p2(f13(f11(X39)),f13(f11(X40))),
     --p20(f14(f11(X39)),f14(f11(X40)))]).

input_clause(p4_41,conjecture,
    [++p4(f11(c25),f5(f7(c24),f6(f7(f8(f9(f8(f9(f9(f9(f9(f8(c24))))))))),
f7(f9(f9(f9(f9(f8(f9(f8(f9(f9(f9(f8(f8(f9(f8(f9(f8(f9(f8(f8(f8(f9(f8(c24))))))))))))))))))))))))))]).

input_clause(p4_42,conjecture,
    [++p4(f11(c23),f5(f7(c24),f6(f7(f8(f9(f8(f9(f9(f9(f9(f8(c24))))))))),
f7(f8(f8(f8(f8(f9(f9(f8(f9(f9(f9(f8(f8(f9(f8(f9(f8(f9(f8(f8(f8(f9(f8(c24))))))))))))))))))))))))))]).

input_clause(p10_43,conjecture,
    [++p10(f15(f5(f7(c24),f6(f7(f8(f9(f8(f9(f9(f9(f9(f8(c24))))))))),
f7(f8(f8(f8(f8(f9(f9(f8(f9(f9(f9(f8(f8(f9(f8(f9(f8(f9(f8(f8(f8(f9(f8(c24)))))))))))))))))))))))))),c23)]).

input_clause(p10_44,conjecture,
    [++p10(f15(f5(f7(c24),f6(f7(f8(f9(f8(f9(f9(f9(f9(f8(c24))))))))),
f7(f9(f9(f9(f9(f8(f9(f8(f9(f9(f9(f8(f8(f9(f8(f9(f8(f9(f8(f8(f8(f9(f8(c24)))))))))))))))))))))))))),c25)]).
%--------------------------------------------------------------------------
