%--------------------------------------------------------------------------
% File     : SYN906-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : QBF converse PDL, SSS - K=4 C=20 V=4 D=4.5
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-qbf-cpdl-cnfSSS-K4-C20-V4-D4.5 [Sch01]

% Status   : satisfiable
% Rating   : 0.80 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of clauses    :  578 (  52 non-Horn;  21 unit; 578 RR)
%            Number of literals   : 2146 (   0 equality)
%            Maximal clause size  :    5 (   3 average)
%            Number of predicates :  526 (  21 propositional; 0-2 arity)
%            Number of functors   :   56 (  21 constant; 0-1 arity)
%            Number of variables  : 1529 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Relational translation with renaming on the *-free converse
%            PDL formula.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--ssSkC20]).

input_clause(clause2,conjecture,
    [--ssSkC19]).

input_clause(clause3,conjecture,
    [--ssSkC18]).

input_clause(clause4,conjecture,
    [--ssSkC17]).

input_clause(clause5,conjecture,
    [--ssSkC16]).

input_clause(clause6,conjecture,
    [--ssSkC15]).

input_clause(clause7,conjecture,
    [--ssSkC14]).

input_clause(clause8,conjecture,
    [--ssSkC13]).

input_clause(clause9,conjecture,
    [--ssSkC12]).

input_clause(clause10,conjecture,
    [--ssSkC11]).

input_clause(clause11,conjecture,
    [--ssSkC10]).

input_clause(clause12,conjecture,
    [--ssSkC9]).

input_clause(clause13,conjecture,
    [--ssSkC8]).

input_clause(clause14,conjecture,
    [--ssSkC7]).

input_clause(clause15,conjecture,
    [--ssSkC6]).

input_clause(clause16,conjecture,
    [--ssSkC5]).

input_clause(clause17,conjecture,
    [--ssSkC4]).

input_clause(clause18,conjecture,
    [--ssSkC3]).

input_clause(clause19,conjecture,
    [--ssSkC2]).

input_clause(clause20,conjecture,
    [--ssSkC1]).

input_clause(clause21,conjecture,
    [--ssSkC0]).

input_clause(clause22,conjecture,
    [++ssSkP484(skc41),
     ++ssSkC20]).

input_clause(clause23,conjecture,
    [++ssSkP411(skc40),
     ++ssSkC19]).

input_clause(clause24,conjecture,
    [++ssSkP386(skc39),
     ++ssSkC18]).

input_clause(clause25,conjecture,
    [++ssSkP361(skc38),
     ++ssSkC17]).

input_clause(clause26,conjecture,
    [++ssSkP339(skc37),
     ++ssSkC16]).

input_clause(clause27,conjecture,
    [++ssSkP316(skc36),
     ++ssSkC15]).

input_clause(clause28,conjecture,
    [++ssSkP291(skc35),
     ++ssSkC14]).

input_clause(clause29,conjecture,
    [++ssSkP267(skc34),
     ++ssSkC13]).

input_clause(clause30,conjecture,
    [++ssSkP242(skc33),
     ++ssSkC12]).

input_clause(clause31,conjecture,
    [++ssSkP218(skc32),
     ++ssSkC11]).

input_clause(clause32,conjecture,
    [++ssSkP198(skc31),
     ++ssSkC10]).

input_clause(clause33,conjecture,
    [++ssSkP183(skc30),
     ++ssSkC9]).

input_clause(clause34,conjecture,
    [++ssSkP159(skc29),
     ++ssSkC8]).

input_clause(clause35,conjecture,
    [++ssSkP146(skc28),
     ++ssSkC7]).

input_clause(clause36,conjecture,
    [++ssSkP134(skc27),
     ++ssSkC6]).

input_clause(clause37,conjecture,
    [++ssSkP114(skc26),
     ++ssSkC5]).

input_clause(clause38,conjecture,
    [++ssSkP102(skc25),
     ++ssSkC4]).

input_clause(clause39,conjecture,
    [++ssSkP78(skc24),
     ++ssSkC3]).

input_clause(clause40,conjecture,
    [++ssSkP60(skc23),
     ++ssSkC2]).

input_clause(clause41,conjecture,
    [++ssSkP40(skc22),
     ++ssSkC1]).

input_clause(clause42,conjecture,
    [++ssSkP19(skc21),
     ++ssSkC0]).

input_clause(clause43,conjecture,
    [--ssSkP431(U),
     ++ssSkP423(U)]).

input_clause(clause44,conjecture,
    [--ssSkP431(U),
     ++ssPv16(U)]).

input_clause(clause45,conjecture,
    [--ssSkP433(U),
     ++ssSkP426(U)]).

input_clause(clause46,conjecture,
    [--ssSkP433(U),
     ++ssPv15(U)]).

input_clause(clause47,conjecture,
    [--ssSkP434(U),
     ++ssSkP428(U)]).

input_clause(clause48,conjecture,
    [--ssSkP434(U),
     ++ssPv7(U)]).

input_clause(clause49,conjecture,
    [--ssSkP435(U),
     ++ssSkP429(U)]).

input_clause(clause50,conjecture,
    [--ssSkP435(U),
     ++ssPv14(U)]).

input_clause(clause51,conjecture,
    [--ssSkP436(U),
     ++ssSkP427(U)]).

input_clause(clause52,conjecture,
    [--ssSkP436(U),
     ++ssPv5(U)]).

input_clause(clause53,conjecture,
    [--ssSkP437(U),
     ++ssSkP425(U)]).

input_clause(clause54,conjecture,
    [--ssSkP437(U),
     ++ssPv13(U)]).

input_clause(clause55,conjecture,
    [--ssSkP438(U),
     ++ssSkP424(U)]).

input_clause(clause56,conjecture,
    [--ssSkP438(U),
     ++ssPv6(U)]).

input_clause(clause57,conjecture,
    [--ssSkP439(U),
     ++ssSkP430(U)]).

input_clause(clause58,conjecture,
    [--ssSkP439(U),
     ++ssPv8(U)]).

input_clause(clause59,conjecture,
    [--ssSkP440(U),
     ++ssSkP412(U)]).

input_clause(clause60,conjecture,
    [--ssSkP440(U),
     ++ssSkP432(U)]).

input_clause(clause61,conjecture,
    [--ssSkP450(U),
     ++ssSkP449(U)]).

input_clause(clause62,conjecture,
    [--ssSkP452(U),
     ++ssSkP451(U)]).

input_clause(clause63,conjecture,
    [--ssSkP454(U),
     ++ssSkP448(U)]).

input_clause(clause64,conjecture,
    [--ssSkP454(U),
     ++ssSkP453(U)]).

input_clause(clause65,conjecture,
    [--ssSkP456(U),
     ++ssSkP447(U)]).

input_clause(clause66,conjecture,
    [--ssSkP456(U),
     ++ssSkP455(U)]).

input_clause(clause67,conjecture,
    [--ssSkP458(U),
     ++ssSkP446(U)]).

input_clause(clause68,conjecture,
    [--ssSkP458(U),
     ++ssSkP457(U)]).

input_clause(clause69,conjecture,
    [--ssSkP460(U),
     ++ssSkP445(U)]).

input_clause(clause70,conjecture,
    [--ssSkP460(U),
     ++ssSkP459(U)]).

input_clause(clause71,conjecture,
    [--ssSkP462(U),
     ++ssSkP461(U)]).

input_clause(clause72,conjecture,
    [--ssSkP464(U),
     ++ssSkP463(U)]).

input_clause(clause73,conjecture,
    [--ssSkP466(U),
     ++ssSkP465(U)]).

input_clause(clause74,conjecture,
    [--ssSkP468(U),
     ++ssSkP467(U)]).

input_clause(clause75,conjecture,
    [--ssSkP470(U),
     ++ssSkP444(U)]).

input_clause(clause76,conjecture,
    [--ssSkP470(U),
     ++ssSkP469(U)]).

input_clause(clause77,conjecture,
    [--ssSkP472(U),
     ++ssSkP443(U)]).

input_clause(clause78,conjecture,
    [--ssSkP472(U),
     ++ssSkP471(U)]).

input_clause(clause79,conjecture,
    [--ssSkP474(U),
     ++ssSkP442(U)]).

input_clause(clause80,conjecture,
    [--ssSkP474(U),
     ++ssSkP473(U)]).

input_clause(clause81,conjecture,
    [--ssSkP476(U),
     ++ssSkP441(U)]).

input_clause(clause82,conjecture,
    [--ssSkP476(U),
     ++ssSkP475(U)]).

input_clause(clause83,conjecture,
    [--ssSkP478(U),
     ++ssSkP477(U)]).

input_clause(clause84,conjecture,
    [--ssSkP480(U),
     ++ssSkP479(U)]).

input_clause(clause85,conjecture,
    [--ssSkP482(U),
     ++ssSkP481(U)]).

input_clause(clause86,conjecture,
    [--ssSkP484(U),
     ++ssSkP483(U)]).

input_clause(clause87,conjecture,
    [--ssSkP423(U),
     ++ssSkP414(skf44(U))]).

input_clause(clause88,conjecture,
    [--ssSkP424(U),
     ++ssSkP417(skf45(U))]).

input_clause(clause89,conjecture,
    [--ssSkP425(U),
     ++ssSkP420(skf46(U))]).

input_clause(clause90,conjecture,
    [--ssSkP426(U),
     ++ssSkP418(skf47(U))]).

input_clause(clause91,conjecture,
    [--ssSkP427(U),
     ++ssSkP416(skf48(U))]).

input_clause(clause92,conjecture,
    [--ssSkP428(U),
     ++ssSkP421(skf49(U))]).

input_clause(clause93,conjecture,
    [--ssSkP429(U),
     ++ssSkP415(skf50(U))]).

input_clause(clause94,conjecture,
    [--ssSkP430(U),
     ++ssSkP419(skf51(U))]).

input_clause(clause95,conjecture,
    [--ssSkP441(U),
     ++ssSkP431(skf52(U))]).

input_clause(clause96,conjecture,
    [--ssSkP442(U),
     ++ssSkP433(skf53(U))]).

input_clause(clause97,conjecture,
    [--ssSkP443(U),
     ++ssSkP435(skf54(U))]).

input_clause(clause98,conjecture,
    [--ssSkP444(U),
     ++ssSkP437(skf55(U))]).

input_clause(clause99,conjecture,
    [--ssSkP445(U),
     ++ssSkP439(skf56(U))]).

input_clause(clause100,conjecture,
    [--ssSkP446(U),
     ++ssSkP434(skf57(U))]).

input_clause(clause101,conjecture,
    [--ssSkP447(U),
     ++ssSkP438(skf58(U))]).

input_clause(clause102,conjecture,
    [--ssSkP448(U),
     ++ssSkP436(skf59(U))]).

input_clause(clause103,conjecture,
    [--ssSkP412(U),
     ++ssRr(U,skf35(U))]).

input_clause(clause104,conjecture,
    [--ssPv16(skf36(U)),
     --ssSkP414(U)]).

input_clause(clause105,conjecture,
    [--ssSkP414(U),
     ++ssRr(U,skf36(U))]).

input_clause(clause106,conjecture,
    [--ssPv14(skf37(U)),
     --ssSkP415(U)]).

input_clause(clause107,conjecture,
    [--ssSkP415(U),
     ++ssRr(U,skf37(U))]).

input_clause(clause108,conjecture,
    [--ssPv5(skf38(U)),
     --ssSkP416(U)]).

input_clause(clause109,conjecture,
    [--ssSkP416(U),
     ++ssRr(U,skf38(U))]).

input_clause(clause110,conjecture,
    [--ssPv6(skf39(U)),
     --ssSkP417(U)]).

input_clause(clause111,conjecture,
    [--ssSkP417(U),
     ++ssRr(U,skf39(U))]).

input_clause(clause112,conjecture,
    [--ssPv15(skf40(U)),
     --ssSkP418(U)]).

input_clause(clause113,conjecture,
    [--ssSkP418(U),
     ++ssRr(U,skf40(U))]).

input_clause(clause114,conjecture,
    [--ssPv8(skf41(U)),
     --ssSkP419(U)]).

input_clause(clause115,conjecture,
    [--ssSkP419(U),
     ++ssRr(U,skf41(U))]).

input_clause(clause116,conjecture,
    [--ssPv13(skf42(U)),
     --ssSkP420(U)]).

input_clause(clause117,conjecture,
    [--ssSkP420(U),
     ++ssRr(U,skf42(U))]).

input_clause(clause118,conjecture,
    [--ssPv7(skf43(U)),
     --ssSkP421(U)]).

input_clause(clause119,conjecture,
    [--ssSkP421(U),
     ++ssRr(U,skf43(U))]).

input_clause(clause120,conjecture,
    [--ssSkP423(U),
     ++ssRr(skf44(U),U)]).

input_clause(clause121,conjecture,
    [--ssSkP424(U),
     ++ssRr(skf45(U),U)]).

input_clause(clause122,conjecture,
    [--ssSkP425(U),
     ++ssRr(skf46(U),U)]).

input_clause(clause123,conjecture,
    [--ssSkP426(U),
     ++ssRr(skf47(U),U)]).

input_clause(clause124,conjecture,
    [--ssSkP427(U),
     ++ssRr(skf48(U),U)]).

input_clause(clause125,conjecture,
    [--ssSkP428(U),
     ++ssRr(skf49(U),U)]).

input_clause(clause126,conjecture,
    [--ssSkP429(U),
     ++ssRr(skf50(U),U)]).

input_clause(clause127,conjecture,
    [--ssSkP430(U),
     ++ssRr(skf51(U),U)]).

input_clause(clause128,conjecture,
    [--ssSkP441(U),
     ++ssRr(U,skf52(U))]).

input_clause(clause129,conjecture,
    [--ssSkP442(U),
     ++ssRr(U,skf53(U))]).

input_clause(clause130,conjecture,
    [--ssSkP443(U),
     ++ssRr(U,skf54(U))]).

input_clause(clause131,conjecture,
    [--ssSkP444(U),
     ++ssRr(U,skf55(U))]).

input_clause(clause132,conjecture,
    [--ssSkP445(U),
     ++ssRr(U,skf56(U))]).

input_clause(clause133,conjecture,
    [--ssSkP446(U),
     ++ssRr(U,skf57(U))]).

input_clause(clause134,conjecture,
    [--ssSkP447(U),
     ++ssRr(U,skf58(U))]).

input_clause(clause135,conjecture,
    [--ssSkP448(U),
     ++ssRr(U,skf59(U))]).

input_clause(clause136,conjecture,
    [--ssSkP450(U),
     ++ssRr(U,skf60(U))]).

input_clause(clause137,conjecture,
    [--ssSkP452(U),
     ++ssRr(U,skf61(U))]).

input_clause(clause138,conjecture,
    [--ssSkP462(U),
     ++ssRr(U,skf62(U))]).

input_clause(clause139,conjecture,
    [--ssSkP464(U),
     ++ssRr(U,skf63(U))]).

input_clause(clause140,conjecture,
    [--ssSkP466(U),
     ++ssRr(U,skf64(U))]).

input_clause(clause141,conjecture,
    [--ssSkP468(U),
     ++ssRr(U,skf65(U))]).

input_clause(clause142,conjecture,
    [--ssSkP478(U),
     ++ssRr(U,skf66(U))]).

input_clause(clause143,conjecture,
    [--ssSkP480(U),
     ++ssRr(U,skf67(U))]).

input_clause(clause144,conjecture,
    [--ssSkP482(U),
     ++ssRr(U,skf68(U))]).

input_clause(clause145,conjecture,
    [--ssSkP484(U),
     ++ssRr(U,skf69(U))]).

input_clause(clause146,conjecture,
    [--ssSkP394(U),
     ++ssPv5(U),
     ++ssSkP393(U)]).

input_clause(clause147,conjecture,
    [--ssSkP372(U),
     ++ssPv8(U),
     ++ssSkP371(U)]).

input_clause(clause148,conjecture,
    [--ssSkP368(U),
     ++ssPv5(U),
     ++ssSkP367(U)]).

input_clause(clause149,conjecture,
    [--ssSkP346(U),
     ++ssPv8(U),
     ++ssSkP345(U)]).

input_clause(clause150,conjecture,
    [--ssSkP331(U),
     ++ssPv13(U),
     ++ssSkP330(U)]).

input_clause(clause151,conjecture,
    [--ssSkP295(U),
     ++ssPv2(U),
     ++ssSkP294(U)]).

input_clause(clause152,conjecture,
    [--ssSkP284(U),
     ++ssPv14(U),
     ++ssSkP283(U)]).

input_clause(clause153,conjecture,
    [--ssSkP276(U),
     ++ssPv8(U),
     ++ssSkP275(U)]).

input_clause(clause154,conjecture,
    [--ssSkP261(U),
     ++ssPv15(U),
     ++ssSkP260(U)]).

input_clause(clause155,conjecture,
    [--ssSkP259(U),
     ++ssPv14(U),
     ++ssSkP258(U)]).

input_clause(clause156,conjecture,
    [--ssSkP215(U),
     ++ssPv18(U),
     ++ssSkP214(U)]).

input_clause(clause157,conjecture,
    [--ssSkP190(U),
     ++ssPv14(U),
     ++ssSkP189(U)]).

input_clause(clause158,conjecture,
    [--ssSkP181(U),
     ++ssPv19(U),
     ++ssSkP180(U)]).

input_clause(clause159,conjecture,
    [--ssSkP175(U),
     ++ssPv14(U),
     ++ssSkP174(U)]).

input_clause(clause160,conjecture,
    [--ssSkP167(U),
     ++ssPv7(U),
     ++ssSkP166(U)]).

input_clause(clause161,conjecture,
    [--ssSkP157(U),
     ++ssPv19(U),
     ++ssSkP156(U)]).

input_clause(clause162,conjecture,
    [--ssSkP154(U),
     ++ssPv17(U),
     ++ssSkP153(U)]).

input_clause(clause163,conjecture,
    [--ssSkP152(U),
     ++ssPv16(U),
     ++ssSkP151(U)]).

input_clause(clause164,conjecture,
    [--ssSkP144(U),
     ++ssPv19(U),
     ++ssSkP143(U)]).

input_clause(clause165,conjecture,
    [--ssSkP126(U),
     ++ssPv14(U),
     ++ssSkP125(U)]).

input_clause(clause166,conjecture,
    [--ssSkP106(U),
     ++ssPv15(U),
     ++ssSkP105(U)]).

input_clause(clause167,conjecture,
    [--ssSkP101(U),
     ++ssPv20(U),
     ++ssSkP100(U)]).

input_clause(clause168,conjecture,
    [--ssSkP77(U),
     ++ssPv20(U),
     ++ssSkP76(U)]).

input_clause(clause169,conjecture,
    [--ssSkP71(U),
     ++ssPv15(U),
     ++ssSkP70(U)]).

input_clause(clause170,conjecture,
    [--ssSkP59(U),
     ++ssPv20(U),
     ++ssSkP58(U)]).

input_clause(clause171,conjecture,
    [--ssSkP55(U),
     ++ssPv17(U),
     ++ssSkP54(U)]).

input_clause(clause172,conjecture,
    [--ssSkP53(U),
     ++ssPv16(U),
     ++ssSkP52(U)]).

input_clause(clause173,conjecture,
    [--ssSkP39(U),
     ++ssPv20(U),
     ++ssSkP38(U)]).

input_clause(clause174,conjecture,
    [--ssSkP36(U),
     ++ssPv18(U),
     ++ssSkP35(U)]).

input_clause(clause175,conjecture,
    [--ssSkP18(U),
     ++ssPv20(U),
     ++ssSkP17(U)]).

input_clause(clause176,conjecture,
    [--ssSkP12(U),
     ++ssPv16(U),
     ++ssSkP11(U)]).

input_clause(clause177,conjecture,
    [--ssSkP396(U),
     --ssPv6(U),
     ++ssSkP395(U)]).

input_clause(clause178,conjecture,
    [--ssSkP390(U),
     --ssPv2(U),
     ++ssSkP389(U)]).

input_clause(clause179,conjecture,
    [--ssSkP377(U),
     --ssPv12(U),
     ++ssSkP376(U)]).

input_clause(clause180,conjecture,
    [--ssSkP353(U),
     --ssPv13(U),
     ++ssSkP352(U)]).

input_clause(clause181,conjecture,
    [--ssSkP351(U),
     --ssPv12(U),
     ++ssSkP350(U)]).

input_clause(clause182,conjecture,
    [--ssSkP326(U),
     --ssPv9(U),
     ++ssSkP325(U)]).

input_clause(clause183,conjecture,
    [--ssSkP323(U),
     --ssPv7(U),
     ++ssSkP322(U)]).

input_clause(clause184,conjecture,
    [--ssSkP309(U),
     --ssPv14(U),
     ++ssSkP308(U)]).

input_clause(clause185,conjecture,
    [--ssSkP307(U),
     --ssPv13(U),
     ++ssSkP306(U)]).

input_clause(clause186,conjecture,
    [--ssSkP280(U),
     --ssPv11(U),
     ++ssSkP279(U)]).

input_clause(clause187,conjecture,
    [--ssSkP246(U),
     --ssPv2(U),
     ++ssSkP245(U)]).

input_clause(clause188,conjecture,
    [--ssSkP238(U),
     --ssPv17(U),
     ++ssSkP237(U)]).

input_clause(clause189,conjecture,
    [--ssSkP233(U),
     --ssPv13(U),
     ++ssSkP232(U)]).

input_clause(clause190,conjecture,
    [--ssSkP225(U),
     --ssPv6(U),
     ++ssSkP224(U)]).

input_clause(clause191,conjecture,
    [--ssSkP213(U),
     --ssPv17(U),
     ++ssSkP212(U)]).

input_clause(clause192,conjecture,
    [--ssSkP208(U),
     --ssPv13(U),
     ++ssSkP207(U)]).

input_clause(clause193,conjecture,
    [--ssSkP196(U),
     --ssPv19(U),
     ++ssSkP195(U)]).

input_clause(clause194,conjecture,
    [--ssSkP188(U),
     --ssPv13(U),
     ++ssSkP187(U)]).

input_clause(clause195,conjecture,
    [--ssSkP142(U),
     --ssPv18(U),
     ++ssSkP141(U)]).

input_clause(clause196,conjecture,
    [--ssSkP138(U),
     --ssPv15(U),
     ++ssSkP137(U)]).

input_clause(clause197,conjecture,
    [--ssSkP133(U),
     --ssPv20(U),
     ++ssSkP132(U)]).

input_clause(clause198,conjecture,
    [--ssSkP120(U),
     --ssPv9(U),
     ++ssSkP119(U)]).

input_clause(clause199,conjecture,
    [--ssSkP113(U),
     --ssPv20(U),
     ++ssSkP112(U)]).

input_clause(clause200,conjecture,
    [--ssSkP110(U),
     --ssPv18(U),
     ++ssSkP109(U)]).

input_clause(clause201,conjecture,
    [--ssSkP93(U),
     --ssPv13(U),
     ++ssSkP92(U)]).

input_clause(clause202,conjecture,
    [--ssSkP85(U),
     --ssPv6(U),
     ++ssSkP84(U)]).

input_clause(clause203,conjecture,
    [--ssSkP66(U),
     --ssPv11(U),
     ++ssSkP65(U)]).

input_clause(clause204,conjecture,
    [--ssSkP23(U),
     --ssPv6(U),
     ++ssSkP22(U)]).

input_clause(clause205,conjecture,
    [--ssSkP16(U),
     --ssPv19(U),
     ++ssSkP15(U)]).

input_clause(clause206,conjecture,
    [--ssSkP422(U,V),
     --ssSkP483(V),
     ++ssSkP482(U)]).

input_clause(clause207,conjecture,
    [--ssSkP422(U,V),
     --ssSkP481(V),
     ++ssSkP480(U)]).

input_clause(clause208,conjecture,
    [--ssSkP388(U,V),
     --ssSkP411(V),
     ++ssSkP410(U)]).

input_clause(clause209,conjecture,
    [--ssSkP388(U,V),
     --ssSkP410(V),
     ++ssSkP409(U)]).

input_clause(clause210,conjecture,
    [--ssSkP363(U,V),
     --ssSkP386(V),
     ++ssSkP385(U)]).

input_clause(clause211,conjecture,
    [--ssSkP363(U,V),
     --ssSkP385(V),
     ++ssSkP384(U)]).

input_clause(clause212,conjecture,
    [--ssSkP341(U,V),
     --ssSkP361(V),
     ++ssSkP360(U)]).

input_clause(clause213,conjecture,
    [--ssSkP341(U,V),
     --ssSkP360(V),
     ++ssSkP359(U)]).

input_clause(clause214,conjecture,
    [--ssSkP318(U,V),
     --ssSkP339(V),
     ++ssSkP338(U)]).

input_clause(clause215,conjecture,
    [--ssSkP318(U,V),
     --ssSkP338(V),
     ++ssSkP337(U)]).

input_clause(clause216,conjecture,
    [--ssSkP293(U,V),
     --ssSkP316(V),
     ++ssSkP315(U)]).

input_clause(clause217,conjecture,
    [--ssSkP293(U,V),
     --ssSkP315(V),
     ++ssSkP314(U)]).

input_clause(clause218,conjecture,
    [--ssSkP269(U,V),
     --ssSkP291(V),
     ++ssSkP290(U)]).

input_clause(clause219,conjecture,
    [--ssSkP269(U,V),
     --ssSkP290(V),
     ++ssSkP289(U)]).

input_clause(clause220,conjecture,
    [--ssSkP244(U,V),
     --ssSkP267(V),
     ++ssSkP266(U)]).

input_clause(clause221,conjecture,
    [--ssSkP244(U,V),
     --ssSkP266(V),
     ++ssSkP265(U)]).

input_clause(clause222,conjecture,
    [--ssSkP220(U,V),
     --ssSkP242(V),
     ++ssSkP241(U)]).

input_clause(clause223,conjecture,
    [--ssSkP220(U,V),
     --ssSkP241(V),
     ++ssSkP240(U)]).

input_clause(clause224,conjecture,
    [--ssSkP200(U,V),
     --ssSkP218(V),
     ++ssSkP217(U)]).

input_clause(clause225,conjecture,
    [--ssSkP200(U,V),
     --ssSkP217(V),
     ++ssSkP216(U)]).

input_clause(clause226,conjecture,
    [--ssSkP185(U,V),
     --ssSkP198(V),
     ++ssSkP197(U)]).

input_clause(clause227,conjecture,
    [--ssSkP185(U,V),
     --ssSkP197(V),
     ++ssSkP196(U)]).

input_clause(clause228,conjecture,
    [--ssSkP161(U,V),
     --ssSkP183(V),
     ++ssSkP182(U)]).

input_clause(clause229,conjecture,
    [--ssSkP161(U,V),
     --ssSkP182(V),
     ++ssSkP181(U)]).

input_clause(clause230,conjecture,
    [--ssSkP148(U,V),
     --ssSkP159(V),
     ++ssSkP158(U)]).

input_clause(clause231,conjecture,
    [--ssSkP148(U,V),
     --ssSkP158(V),
     ++ssSkP157(U)]).

input_clause(clause232,conjecture,
    [--ssSkP136(U,V),
     --ssSkP146(V),
     ++ssSkP145(U)]).

input_clause(clause233,conjecture,
    [--ssSkP136(U,V),
     --ssSkP145(V),
     ++ssSkP144(U)]).

input_clause(clause234,conjecture,
    [--ssSkP116(U,V),
     --ssSkP134(V),
     ++ssSkP133(U)]).

input_clause(clause235,conjecture,
    [--ssSkP116(U,V),
     --ssSkP132(V),
     ++ssSkP131(U)]).

input_clause(clause236,conjecture,
    [--ssSkP104(U,V),
     --ssSkP114(V),
     ++ssSkP113(U)]).

input_clause(clause237,conjecture,
    [--ssSkP104(U,V),
     --ssSkP112(V),
     ++ssSkP111(U)]).

input_clause(clause238,conjecture,
    [--ssSkP80(U,V),
     --ssSkP102(V),
     ++ssSkP101(U)]).

input_clause(clause239,conjecture,
    [--ssSkP80(U,V),
     --ssSkP100(V),
     ++ssSkP99(U)]).

input_clause(clause240,conjecture,
    [--ssSkP62(U,V),
     --ssSkP78(V),
     ++ssSkP77(U)]).

input_clause(clause241,conjecture,
    [--ssSkP62(U,V),
     --ssSkP76(V),
     ++ssSkP75(U)]).

input_clause(clause242,conjecture,
    [--ssSkP42(U,V),
     --ssSkP60(V),
     ++ssSkP59(U)]).

input_clause(clause243,conjecture,
    [--ssSkP42(U,V),
     --ssSkP58(V),
     ++ssSkP57(U)]).

input_clause(clause244,conjecture,
    [--ssSkP21(U,V),
     --ssSkP40(V),
     ++ssSkP39(U)]).

input_clause(clause245,conjecture,
    [--ssSkP21(U,V),
     --ssSkP38(V),
     ++ssSkP37(U)]).

input_clause(clause246,conjecture,
    [--ssSkP1(U,V),
     --ssSkP19(V),
     ++ssSkP18(U)]).

input_clause(clause247,conjecture,
    [--ssSkP1(U,V),
     --ssSkP17(V),
     ++ssSkP16(U)]).

input_clause(clause248,conjecture,
    [--ssRr(U,V),
     --ssSkP413(W,V),
     ++ssSkP422(W,U)]).

input_clause(clause249,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP413(W,V)]).

input_clause(clause250,conjecture,
    [--ssRr(U,V),
     --ssSkP387(W,V),
     ++ssSkP388(W,U)]).

input_clause(clause251,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP387(W,V)]).

input_clause(clause252,conjecture,
    [--ssRr(U,V),
     --ssSkP362(W,V),
     ++ssSkP363(W,U)]).

input_clause(clause253,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP362(W,V)]).

input_clause(clause254,conjecture,
    [--ssRr(U,V),
     --ssSkP340(W,V),
     ++ssSkP341(W,U)]).

input_clause(clause255,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP340(W,V)]).

input_clause(clause256,conjecture,
    [--ssRr(U,V),
     --ssSkP317(W,V),
     ++ssSkP318(W,U)]).

input_clause(clause257,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP317(W,V)]).

input_clause(clause258,conjecture,
    [--ssRr(U,V),
     --ssSkP292(W,V),
     ++ssSkP293(W,U)]).

input_clause(clause259,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP292(W,V)]).

input_clause(clause260,conjecture,
    [--ssRr(U,V),
     --ssSkP268(W,V),
     ++ssSkP269(W,U)]).

input_clause(clause261,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP268(W,V)]).

input_clause(clause262,conjecture,
    [--ssRr(U,V),
     --ssSkP243(W,V),
     ++ssSkP244(W,U)]).

input_clause(clause263,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP243(W,V)]).

input_clause(clause264,conjecture,
    [--ssRr(U,V),
     --ssSkP219(W,V),
     ++ssSkP220(W,U)]).

input_clause(clause265,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP219(W,V)]).

input_clause(clause266,conjecture,
    [--ssRr(U,V),
     --ssSkP199(W,V),
     ++ssSkP200(W,U)]).

input_clause(clause267,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP199(W,V)]).

input_clause(clause268,conjecture,
    [--ssRr(U,V),
     --ssSkP184(W,V),
     ++ssSkP185(W,U)]).

input_clause(clause269,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP184(W,V)]).

input_clause(clause270,conjecture,
    [--ssRr(U,V),
     --ssSkP160(W,V),
     ++ssSkP161(W,U)]).

input_clause(clause271,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP160(W,V)]).

input_clause(clause272,conjecture,
    [--ssRr(U,V),
     --ssSkP147(W,V),
     ++ssSkP148(W,U)]).

input_clause(clause273,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP147(W,V)]).

input_clause(clause274,conjecture,
    [--ssRr(U,V),
     --ssSkP135(W,V),
     ++ssSkP136(W,U)]).

input_clause(clause275,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP135(W,V)]).

input_clause(clause276,conjecture,
    [--ssRr(U,V),
     --ssSkP115(W,V),
     ++ssSkP116(W,U)]).

input_clause(clause277,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP115(W,V)]).

input_clause(clause278,conjecture,
    [--ssRr(U,V),
     --ssSkP103(W,V),
     ++ssSkP104(W,U)]).

input_clause(clause279,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP103(W,V)]).

input_clause(clause280,conjecture,
    [--ssRr(U,V),
     --ssSkP79(W,V),
     ++ssSkP80(W,U)]).

input_clause(clause281,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP79(W,V)]).

input_clause(clause282,conjecture,
    [--ssRr(U,V),
     --ssSkP61(W,V),
     ++ssSkP62(W,U)]).

input_clause(clause283,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP61(W,V)]).

input_clause(clause284,conjecture,
    [--ssRr(U,V),
     --ssSkP41(W,V),
     ++ssSkP42(W,U)]).

input_clause(clause285,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP41(W,V)]).

input_clause(clause286,conjecture,
    [--ssRr(U,V),
     --ssSkP20(W,V),
     ++ssSkP21(W,U)]).

input_clause(clause287,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP20(W,V)]).

input_clause(clause288,conjecture,
    [--ssRr(U,V),
     --ssSkP0(W,V),
     ++ssSkP1(W,U)]).

input_clause(clause289,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP0(W,V)]).

input_clause(clause290,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP479(X),
     ++ssSkP478(W)]).

input_clause(clause291,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP477(X),
     ++ssSkP476(W)]).

input_clause(clause292,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP475(X),
     ++ssSkP474(W)]).

input_clause(clause293,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP473(X),
     ++ssSkP472(W)]).

input_clause(clause294,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP471(X),
     ++ssSkP470(W)]).

input_clause(clause295,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP469(X),
     ++ssSkP468(W)]).

input_clause(clause296,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP467(X),
     ++ssSkP466(W)]).

input_clause(clause297,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP465(X),
     ++ssSkP464(W)]).

input_clause(clause298,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP463(X),
     ++ssSkP462(W)]).

input_clause(clause299,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP461(X),
     ++ssSkP460(W)]).

input_clause(clause300,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP459(X),
     ++ssSkP458(W)]).

input_clause(clause301,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP457(X),
     ++ssSkP456(W)]).

input_clause(clause302,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP455(X),
     ++ssSkP454(W)]).

input_clause(clause303,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP453(X),
     ++ssSkP452(W)]).

input_clause(clause304,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP451(X),
     ++ssSkP450(W)]).

input_clause(clause305,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP449(X),
     ++ssSkP440(W)]).

input_clause(clause306,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP432(X),
     ++ssSkP412(W)]).

input_clause(clause307,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP409(X),
     ++ssSkP408(W)]).

input_clause(clause308,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP408(X),
     ++ssSkP407(W)]).

input_clause(clause309,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP407(X),
     ++ssSkP406(W)]).

input_clause(clause310,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP406(X),
     ++ssSkP405(W)]).

input_clause(clause311,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP405(X),
     ++ssSkP404(W)]).

input_clause(clause312,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP404(X),
     ++ssSkP403(W)]).

input_clause(clause313,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP403(X),
     ++ssSkP402(W)]).

input_clause(clause314,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP402(X),
     ++ssSkP401(W)]).

input_clause(clause315,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP401(X),
     ++ssSkP400(W)]).

input_clause(clause316,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP400(X),
     ++ssSkP399(W)]).

input_clause(clause317,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP399(X),
     ++ssSkP398(W)]).

input_clause(clause318,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP398(X),
     ++ssSkP397(W)]).

input_clause(clause319,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP397(X),
     ++ssSkP396(W)]).

input_clause(clause320,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP395(X),
     ++ssSkP394(W)]).

input_clause(clause321,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP393(X),
     ++ssSkP392(W)]).

input_clause(clause322,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP392(X),
     ++ssSkP391(W)]).

input_clause(clause323,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP391(X),
     ++ssSkP390(W)]).

input_clause(clause324,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP384(X),
     ++ssSkP383(W)]).

input_clause(clause325,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP383(X),
     ++ssSkP382(W)]).

input_clause(clause326,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP382(X),
     ++ssSkP381(W)]).

input_clause(clause327,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP381(X),
     ++ssSkP380(W)]).

input_clause(clause328,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP380(X),
     ++ssSkP379(W)]).

input_clause(clause329,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP379(X),
     ++ssSkP378(W)]).

input_clause(clause330,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP378(X),
     ++ssSkP377(W)]).

input_clause(clause331,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP376(X),
     ++ssSkP375(W)]).

input_clause(clause332,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP375(X),
     ++ssSkP374(W)]).

input_clause(clause333,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP374(X),
     ++ssSkP373(W)]).

input_clause(clause334,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP373(X),
     ++ssSkP372(W)]).

input_clause(clause335,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP371(X),
     ++ssSkP370(W)]).

input_clause(clause336,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP370(X),
     ++ssSkP369(W)]).

input_clause(clause337,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP369(X),
     ++ssSkP368(W)]).

input_clause(clause338,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP367(X),
     ++ssSkP366(W)]).

input_clause(clause339,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP366(X),
     ++ssSkP365(W)]).

input_clause(clause340,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP365(X),
     ++ssSkP364(W)]).

input_clause(clause341,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP364(X),
     ++ssPv1(W)]).

input_clause(clause342,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP359(X),
     ++ssSkP358(W)]).

input_clause(clause343,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP358(X),
     ++ssSkP357(W)]).

input_clause(clause344,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP357(X),
     ++ssSkP356(W)]).

input_clause(clause345,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP356(X),
     ++ssSkP355(W)]).

input_clause(clause346,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP355(X),
     ++ssSkP354(W)]).

input_clause(clause347,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP354(X),
     ++ssSkP353(W)]).

input_clause(clause348,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP352(X),
     ++ssSkP351(W)]).

input_clause(clause349,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP350(X),
     ++ssSkP349(W)]).

input_clause(clause350,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP349(X),
     ++ssSkP348(W)]).

input_clause(clause351,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP348(X),
     ++ssSkP347(W)]).

input_clause(clause352,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP347(X),
     ++ssSkP346(W)]).

input_clause(clause353,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP345(X),
     ++ssSkP344(W)]).

input_clause(clause354,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP344(X),
     ++ssSkP343(W)]).

input_clause(clause355,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP343(X),
     ++ssSkP342(W)]).

input_clause(clause356,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP342(X),
     ++ssPv4(W)]).

input_clause(clause357,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP337(X),
     ++ssSkP336(W)]).

input_clause(clause358,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP336(X),
     ++ssSkP335(W)]).

input_clause(clause359,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP335(X),
     ++ssSkP334(W)]).

input_clause(clause360,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP334(X),
     ++ssSkP333(W)]).

input_clause(clause361,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP333(X),
     ++ssSkP332(W)]).

input_clause(clause362,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP332(X),
     ++ssSkP331(W)]).

input_clause(clause363,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP330(X),
     ++ssSkP329(W)]).

input_clause(clause364,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP329(X),
     ++ssSkP328(W)]).

input_clause(clause365,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP328(X),
     ++ssSkP327(W)]).

input_clause(clause366,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP327(X),
     ++ssSkP326(W)]).

input_clause(clause367,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP325(X),
     ++ssSkP324(W)]).

input_clause(clause368,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP324(X),
     ++ssSkP323(W)]).

input_clause(clause369,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP322(X),
     ++ssSkP321(W)]).

input_clause(clause370,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP321(X),
     ++ssSkP320(W)]).

input_clause(clause371,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP320(X),
     ++ssSkP319(W)]).

input_clause(clause372,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP319(X),
     ++ssPv3(W)]).

input_clause(clause373,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP314(X),
     ++ssSkP313(W)]).

input_clause(clause374,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP313(X),
     ++ssSkP312(W)]).

input_clause(clause375,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP312(X),
     ++ssSkP311(W)]).

input_clause(clause376,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP311(X),
     ++ssSkP310(W)]).

input_clause(clause377,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP310(X),
     ++ssSkP309(W)]).

input_clause(clause378,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP308(X),
     ++ssSkP307(W)]).

input_clause(clause379,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP306(X),
     ++ssSkP305(W)]).

input_clause(clause380,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP305(X),
     ++ssSkP304(W)]).

input_clause(clause381,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP304(X),
     ++ssSkP303(W)]).

input_clause(clause382,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP303(X),
     ++ssSkP302(W)]).

input_clause(clause383,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP302(X),
     ++ssSkP301(W)]).

input_clause(clause384,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP301(X),
     ++ssSkP300(W)]).

input_clause(clause385,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP300(X),
     ++ssSkP299(W)]).

input_clause(clause386,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP299(X),
     ++ssSkP298(W)]).

input_clause(clause387,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP298(X),
     ++ssSkP297(W)]).

input_clause(clause388,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP297(X),
     ++ssSkP296(W)]).

input_clause(clause389,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP296(X),
     ++ssSkP295(W)]).

input_clause(clause390,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP289(X),
     ++ssSkP288(W)]).

input_clause(clause391,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP288(X),
     ++ssSkP287(W)]).

input_clause(clause392,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP287(X),
     ++ssSkP286(W)]).

input_clause(clause393,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP286(X),
     ++ssSkP285(W)]).

input_clause(clause394,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP285(X),
     ++ssSkP284(W)]).

input_clause(clause395,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP283(X),
     ++ssSkP282(W)]).

input_clause(clause396,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP282(X),
     ++ssSkP281(W)]).

input_clause(clause397,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP281(X),
     ++ssSkP280(W)]).

input_clause(clause398,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP279(X),
     ++ssSkP278(W)]).

input_clause(clause399,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP278(X),
     ++ssSkP277(W)]).

input_clause(clause400,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP277(X),
     ++ssSkP276(W)]).

input_clause(clause401,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP275(X),
     ++ssSkP274(W)]).

input_clause(clause402,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP274(X),
     ++ssSkP273(W)]).

input_clause(clause403,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP273(X),
     ++ssSkP272(W)]).

input_clause(clause404,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP272(X),
     ++ssSkP271(W)]).

input_clause(clause405,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP271(X),
     ++ssSkP270(W)]).

input_clause(clause406,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP265(X),
     ++ssSkP264(W)]).

input_clause(clause407,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP264(X),
     ++ssSkP263(W)]).

input_clause(clause408,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP263(X),
     ++ssSkP262(W)]).

input_clause(clause409,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP262(X),
     ++ssSkP261(W)]).

input_clause(clause410,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP260(X),
     ++ssSkP259(W)]).

input_clause(clause411,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP258(X),
     ++ssSkP257(W)]).

input_clause(clause412,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP257(X),
     ++ssSkP256(W)]).

input_clause(clause413,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP256(X),
     ++ssSkP255(W)]).

input_clause(clause414,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP255(X),
     ++ssSkP254(W)]).

input_clause(clause415,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP254(X),
     ++ssSkP253(W)]).

input_clause(clause416,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP253(X),
     ++ssSkP252(W)]).

input_clause(clause417,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP252(X),
     ++ssSkP251(W)]).

input_clause(clause418,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP251(X),
     ++ssSkP250(W)]).

input_clause(clause419,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP250(X),
     ++ssSkP249(W)]).

input_clause(clause420,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP249(X),
     ++ssSkP248(W)]).

input_clause(clause421,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP248(X),
     ++ssSkP247(W)]).

input_clause(clause422,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP247(X),
     ++ssSkP246(W)]).

input_clause(clause423,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP245(X),
     ++ssPv1(W)]).

input_clause(clause424,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP240(X),
     ++ssSkP239(W)]).

input_clause(clause425,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP239(X),
     ++ssSkP238(W)]).

input_clause(clause426,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP237(X),
     ++ssSkP236(W)]).

input_clause(clause427,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP236(X),
     ++ssSkP235(W)]).

input_clause(clause428,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP235(X),
     ++ssSkP234(W)]).

input_clause(clause429,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP234(X),
     ++ssSkP233(W)]).

input_clause(clause430,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP232(X),
     ++ssSkP231(W)]).

input_clause(clause431,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP231(X),
     ++ssSkP230(W)]).

input_clause(clause432,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP230(X),
     ++ssSkP229(W)]).

input_clause(clause433,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP229(X),
     ++ssSkP228(W)]).

input_clause(clause434,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP228(X),
     ++ssSkP227(W)]).

input_clause(clause435,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP227(X),
     ++ssSkP226(W)]).

input_clause(clause436,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP226(X),
     ++ssSkP225(W)]).

input_clause(clause437,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP224(X),
     ++ssSkP223(W)]).

input_clause(clause438,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP223(X),
     ++ssSkP222(W)]).

input_clause(clause439,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP222(X),
     ++ssSkP221(W)]).

input_clause(clause440,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP221(X),
     ++ssPv2(W)]).

input_clause(clause441,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP216(X),
     ++ssSkP215(W)]).

input_clause(clause442,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP214(X),
     ++ssSkP213(W)]).

input_clause(clause443,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP212(X),
     ++ssSkP211(W)]).

input_clause(clause444,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP211(X),
     ++ssSkP210(W)]).

input_clause(clause445,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP210(X),
     ++ssSkP209(W)]).

input_clause(clause446,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP209(X),
     ++ssSkP208(W)]).

input_clause(clause447,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP207(X),
     ++ssSkP206(W)]).

input_clause(clause448,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP206(X),
     ++ssSkP205(W)]).

input_clause(clause449,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP205(X),
     ++ssSkP204(W)]).

input_clause(clause450,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP204(X),
     ++ssSkP203(W)]).

input_clause(clause451,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP203(X),
     ++ssSkP202(W)]).

input_clause(clause452,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP202(X),
     ++ssSkP201(W)]).

input_clause(clause453,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP195(X),
     ++ssSkP194(W)]).

input_clause(clause454,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP194(X),
     ++ssSkP193(W)]).

input_clause(clause455,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP193(X),
     ++ssSkP192(W)]).

input_clause(clause456,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP192(X),
     ++ssSkP191(W)]).

input_clause(clause457,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP191(X),
     ++ssSkP190(W)]).

input_clause(clause458,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP189(X),
     ++ssSkP188(W)]).

input_clause(clause459,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP187(X),
     ++ssSkP186(W)]).

input_clause(clause460,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP186(X),
     ++ssPv11(W)]).

input_clause(clause461,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP180(X),
     ++ssSkP179(W)]).

input_clause(clause462,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP179(X),
     ++ssSkP178(W)]).

input_clause(clause463,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP178(X),
     ++ssSkP177(W)]).

input_clause(clause464,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP177(X),
     ++ssSkP176(W)]).

input_clause(clause465,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP176(X),
     ++ssSkP175(W)]).

input_clause(clause466,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP174(X),
     ++ssSkP173(W)]).

input_clause(clause467,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP173(X),
     ++ssSkP172(W)]).

input_clause(clause468,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP172(X),
     ++ssSkP171(W)]).

input_clause(clause469,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP171(X),
     ++ssSkP170(W)]).

input_clause(clause470,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP170(X),
     ++ssSkP169(W)]).

input_clause(clause471,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP169(X),
     ++ssSkP168(W)]).

input_clause(clause472,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP168(X),
     ++ssSkP167(W)]).

input_clause(clause473,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP166(X),
     ++ssSkP165(W)]).

input_clause(clause474,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP165(X),
     ++ssSkP164(W)]).

input_clause(clause475,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP164(X),
     ++ssSkP163(W)]).

input_clause(clause476,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP163(X),
     ++ssSkP162(W)]).

input_clause(clause477,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP162(X),
     ++ssPv2(W)]).

input_clause(clause478,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP156(X),
     ++ssSkP155(W)]).

input_clause(clause479,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP155(X),
     ++ssSkP154(W)]).

input_clause(clause480,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP153(X),
     ++ssSkP152(W)]).

input_clause(clause481,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP151(X),
     ++ssSkP150(W)]).

input_clause(clause482,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP150(X),
     ++ssSkP149(W)]).

input_clause(clause483,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP143(X),
     ++ssSkP142(W)]).

input_clause(clause484,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP141(X),
     ++ssSkP140(W)]).

input_clause(clause485,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP140(X),
     ++ssSkP139(W)]).

input_clause(clause486,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP139(X),
     ++ssSkP138(W)]).

input_clause(clause487,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP131(X),
     ++ssSkP130(W)]).

input_clause(clause488,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP130(X),
     ++ssSkP129(W)]).

input_clause(clause489,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP129(X),
     ++ssSkP128(W)]).

input_clause(clause490,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP128(X),
     ++ssSkP127(W)]).

input_clause(clause491,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP127(X),
     ++ssSkP126(W)]).

input_clause(clause492,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP125(X),
     ++ssSkP124(W)]).

input_clause(clause493,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP124(X),
     ++ssSkP123(W)]).

input_clause(clause494,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP123(X),
     ++ssSkP122(W)]).

input_clause(clause495,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP122(X),
     ++ssSkP121(W)]).

input_clause(clause496,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP121(X),
     ++ssSkP120(W)]).

input_clause(clause497,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP119(X),
     ++ssSkP118(W)]).

input_clause(clause498,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP118(X),
     ++ssSkP117(W)]).

input_clause(clause499,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP111(X),
     ++ssSkP110(W)]).

input_clause(clause500,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP109(X),
     ++ssSkP108(W)]).

input_clause(clause501,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP108(X),
     ++ssSkP107(W)]).

input_clause(clause502,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP107(X),
     ++ssSkP106(W)]).

input_clause(clause503,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP99(X),
     ++ssSkP98(W)]).

input_clause(clause504,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP98(X),
     ++ssSkP97(W)]).

input_clause(clause505,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP97(X),
     ++ssSkP96(W)]).

input_clause(clause506,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP96(X),
     ++ssSkP95(W)]).

input_clause(clause507,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP95(X),
     ++ssSkP94(W)]).

input_clause(clause508,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP94(X),
     ++ssSkP93(W)]).

input_clause(clause509,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP92(X),
     ++ssSkP91(W)]).

input_clause(clause510,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP91(X),
     ++ssSkP90(W)]).

input_clause(clause511,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP90(X),
     ++ssSkP89(W)]).

input_clause(clause512,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP89(X),
     ++ssSkP88(W)]).

input_clause(clause513,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP88(X),
     ++ssSkP87(W)]).

input_clause(clause514,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP87(X),
     ++ssSkP86(W)]).

input_clause(clause515,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP86(X),
     ++ssSkP85(W)]).

input_clause(clause516,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP84(X),
     ++ssSkP83(W)]).

input_clause(clause517,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP83(X),
     ++ssSkP82(W)]).

input_clause(clause518,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP82(X),
     ++ssSkP81(W)]).

input_clause(clause519,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP81(X),
     ++ssPv2(W)]).

input_clause(clause520,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP75(X),
     ++ssSkP74(W)]).

input_clause(clause521,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP74(X),
     ++ssSkP73(W)]).

input_clause(clause522,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP73(X),
     ++ssSkP72(W)]).

input_clause(clause523,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP72(X),
     ++ssSkP71(W)]).

input_clause(clause524,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP70(X),
     ++ssSkP69(W)]).

input_clause(clause525,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP69(X),
     ++ssSkP68(W)]).

input_clause(clause526,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP68(X),
     ++ssSkP67(W)]).

input_clause(clause527,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP67(X),
     ++ssSkP66(W)]).

input_clause(clause528,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP65(X),
     ++ssSkP64(W)]).

input_clause(clause529,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP64(X),
     ++ssSkP63(W)]).

input_clause(clause530,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP57(X),
     ++ssSkP56(W)]).

input_clause(clause531,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP56(X),
     ++ssSkP55(W)]).

input_clause(clause532,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP54(X),
     ++ssSkP53(W)]).

input_clause(clause533,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP52(X),
     ++ssSkP51(W)]).

input_clause(clause534,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP51(X),
     ++ssSkP50(W)]).

input_clause(clause535,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP50(X),
     ++ssSkP49(W)]).

input_clause(clause536,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP49(X),
     ++ssSkP48(W)]).

input_clause(clause537,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP48(X),
     ++ssSkP47(W)]).

input_clause(clause538,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP47(X),
     ++ssSkP46(W)]).

input_clause(clause539,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP46(X),
     ++ssSkP45(W)]).

input_clause(clause540,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP45(X),
     ++ssSkP44(W)]).

input_clause(clause541,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP44(X),
     ++ssSkP43(W)]).

input_clause(clause542,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP37(X),
     ++ssSkP36(W)]).

input_clause(clause543,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP35(X),
     ++ssSkP34(W)]).

input_clause(clause544,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP34(X),
     ++ssSkP33(W)]).

input_clause(clause545,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP33(X),
     ++ssSkP32(W)]).

input_clause(clause546,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP32(X),
     ++ssSkP31(W)]).

input_clause(clause547,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP31(X),
     ++ssSkP30(W)]).

input_clause(clause548,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP30(X),
     ++ssSkP29(W)]).

input_clause(clause549,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP29(X),
     ++ssSkP28(W)]).

input_clause(clause550,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP28(X),
     ++ssSkP27(W)]).

input_clause(clause551,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP27(X),
     ++ssSkP26(W)]).

input_clause(clause552,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP26(X),
     ++ssSkP25(W)]).

input_clause(clause553,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP25(X),
     ++ssSkP24(W)]).

input_clause(clause554,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP24(X),
     ++ssSkP23(W)]).

input_clause(clause555,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP22(X),
     ++ssPv5(W)]).

input_clause(clause556,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP15(X),
     ++ssSkP14(W)]).

input_clause(clause557,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP14(X),
     ++ssSkP13(W)]).

input_clause(clause558,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP13(X),
     ++ssSkP12(W)]).

input_clause(clause559,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP11(X),
     ++ssSkP10(W)]).

input_clause(clause560,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP10(X),
     ++ssSkP9(W)]).

input_clause(clause561,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP9(X),
     ++ssSkP8(W)]).

input_clause(clause562,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP8(X),
     ++ssSkP7(W)]).

input_clause(clause563,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP7(X),
     ++ssSkP6(W)]).

input_clause(clause564,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP6(X),
     ++ssSkP5(W)]).

input_clause(clause565,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP5(X),
     ++ssSkP4(W)]).

input_clause(clause566,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP4(X),
     ++ssSkP3(W)]).

input_clause(clause567,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP3(X),
     ++ssSkP2(W)]).

input_clause(clause568,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv1(W),
     --ssSkP389(X)]).

input_clause(clause569,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv1(W),
     --ssSkP294(X)]).

input_clause(clause570,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv2(W),
     --ssSkP270(X)]).

input_clause(clause571,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv6(W),
     --ssSkP201(X)]).

input_clause(clause572,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv13(W),
     --ssSkP149(X)]).

input_clause(clause573,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv14(W),
     --ssSkP137(X)]).

input_clause(clause574,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv6(W),
     --ssSkP117(X)]).

input_clause(clause575,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv14(W),
     --ssSkP105(X)]).

input_clause(clause576,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv8(W),
     --ssSkP63(X)]).

input_clause(clause577,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv6(W),
     --ssSkP43(X)]).

input_clause(clause578,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv6(W),
     --ssSkP2(X)]).
%--------------------------------------------------------------------------
