%--------------------------------------------------------------------------
% File     : GEO004-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Axioms   : Substitution axioms for betweenness for simple curves
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    :

% Status   :
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   0 unit;   4 RR)
%            Number of literals   :   12 (   4 equality)
%            Maximal clause size  :    3 (   3 average)
%            Number of predicates :    2 (   0 propositional; 2-4 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :   20 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO004+1.eq 
%--------------------------------------------------------------------------
input_clause(between_c_substitution_1_1,axiom,
    [--equal(A,B),
     --between_c(A,C,D,E),
     ++between_c(B,C,D,E)]).

input_clause(between_c_substitution_2_2,axiom,
    [--equal(A,B),
     --between_c(C,A,D,E),
     ++between_c(C,B,D,E)]).

input_clause(between_c_substitution_3_3,axiom,
    [--equal(A,B),
     --between_c(C,D,A,E),
     ++between_c(C,D,B,E)]).

input_clause(between_c_substitution_4_4,axiom,
    [--equal(A,B),
     --between_c(C,D,E,A),
     ++between_c(C,D,E,B)]).
%--------------------------------------------------------------------------
