%--------------------------------------------------------------------------
% File     : HEN002-0 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Henkin Models
% Axioms   : Substitution axioms for Henkin model axioms
% Version  : [MOW76] (equality) axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   0 unit;   2 RR)
%            Number of literals   :   10 (   6 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   12 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Substitution axioms 
input_clause(divide_substitution1,axiom,
    [--equal(A,B),
     ++equal(divide(A,C),divide(B,C))]).

input_clause(divide_substitution2,axiom,
    [--equal(D,E),
     ++equal(divide(F,D),divide(F,E))]).

input_clause(less_equal_substitution1,axiom,
    [--equal(G,H),
     --less_equal(G,I),
     ++less_equal(H,I)]).

input_clause(less_equal_substitution2,axiom,
    [--equal(J,K),
     --less_equal(L,J),
     ++less_equal(L,K)]).
%--------------------------------------------------------------------------
