%--------------------------------------------------------------------------
% File     : BOO006-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Boolean Algebra
% Problem  : Multiplication is bounded (X * 0 = 0)
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [Whi61] Whitesitt (1961), Boolean Algebra and Its Applications
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [OMW76] Overbeek et al. (1976), Complexity and Related Enhance
% Source   : [MOW76]
% Names    : B3 part 2 [MOW76]
%          : B6 [MOW76]
%          : Lemma proved [OMW76]
%          : prob3_part2.ver1 [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0, 0.17 v2.3.0, 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   37 (   0 non-Horn;  12 unit;  22 RR)
%            Number of literals   :   95 (  24 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :  126 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms 
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms 
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_equations,conjecture,
    [--product(x,additive_identity,additive_identity)]).
%--------------------------------------------------------------------------
