%--------------------------------------------------------------------------
% File     : BOO036-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Algebra (Ternary Boolean)
% Problem  : Ternary Boolean algebra (equality) axioms
% Version  : [OTTER] (equality) axioms.
% English  : 

% Refs     : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
%          : [Win82] Winker (1982), Generation and Verification of Finite M
% Source   : [OTTER]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   6 unit;   3 RR)
%            Number of literals   :   19 (  19 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   0 constant; 1-3 arity)
%            Number of variables  :   33 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Ternary Boolean algebra (equality) axioms
include('Axioms/BOO001-0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
