%--------------------------------------------------------------------------
% File     : CAT020-3 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Category Theory
% Problem  : Category theory axioms
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : 

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   29 (   2 non-Horn;   4 unit;  19 RR)
%            Number of literals   :   64 (  36 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    4 (   0 constant; 1-2 arity)
%            Number of variables  :   61 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Category theory axioms
include('Axioms/CAT003-0.ax').
include('Axioms/CAT003-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
