%--------------------------------------------------------------------------
% File     : FLD097-2 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Difficult inequality
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   42 (   3 non-Horn;  18 unit;  42 RR)
%            Number of literals   :   88 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   13 (   9 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(w_is_defined,conjecture,
    [++defined(w)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(t_is_defined,conjecture,
    [++defined(t)]).

input_clause(less_or_equal_8,conjecture,
    [++less_or_equal(additive_identity,a)]).

input_clause(less_or_equal_9,conjecture,
    [++less_or_equal(additive_identity,b)]).

input_clause(add_equals_u_10,conjecture,
    [++equalish(add(multiplicative_identity,a),u)]).

input_clause(add_equals_v_11,conjecture,
    [++equalish(add(multiplicative_identity,b),v)]).

input_clause(multiply_equals_w_12,conjecture,
    [++equalish(multiply(u,v),w)]).

input_clause(add_equals_s_13,conjecture,
    [++equalish(add(a,b),s)]).

input_clause(add_equals_t_14,conjecture,
    [++equalish(add(multiplicative_identity,s),t)]).

input_clause(not_less_or_equal_15,conjecture,
    [--less_or_equal(t,w)]).
%--------------------------------------------------------------------------
