%--------------------------------------------------------------------------
% File     : FLD097-4 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Difficult inequality
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.88 v2.6.0, 0.67 v2.5.0, 1.00 v2.1.0
% Syntax   : Number of clauses    :   41 (   3 non-Horn;  18 unit;  41 RR)
%            Number of literals   :   92 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   13 (   9 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(w_is_defined,conjecture,
    [++defined(w)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(t_is_defined,conjecture,
    [++defined(t)]).

input_clause(less_or_equal_8,conjecture,
    [++less_or_equal(additive_identity,a)]).

input_clause(less_or_equal_9,conjecture,
    [++less_or_equal(additive_identity,b)]).

input_clause(sum_10,conjecture,
    [++sum(multiplicative_identity,a,u)]).

input_clause(sum_11,conjecture,
    [++sum(multiplicative_identity,b,v)]).

input_clause(product_12,conjecture,
    [++product(u,v,w)]).

input_clause(sum_13,conjecture,
    [++sum(a,b,s)]).

input_clause(sum_14,conjecture,
    [++sum(multiplicative_identity,s,t)]).

input_clause(not_less_or_equal_15,conjecture,
    [--less_or_equal(t,w)]).
%--------------------------------------------------------------------------
