%--------------------------------------------------------------------------
% File     : GEO060-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Reflection is an involution
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [Qua89]
% Names    : R6 [Qua89]

% Status   : unsatisfiable
% Rating   : 0.83 v2.6.0, 0.70 v2.5.0, 0.67 v2.4.0, 0.78 v2.2.1, 1.00 v2.0.0
% Syntax   : Number of clauses    :   57 (   5 non-Horn;   9 unit;  25 RR)
%            Number of literals   :  139 (  76 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   11 (   5 constant; 0-6 arity)
%            Number of variables  :  269 (   3 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include definition of reflection 
include('Axioms/GEO002-2.ax').
include('Axioms/GEO002-2.eq').
%--------------------------------------------------------------------------
input_clause(prove__involution,conjecture,
    [--equal(u,reflection(reflection(u,v),v))]).
%--------------------------------------------------------------------------
