%--------------------------------------------------------------------------
% File     : GEO084-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Sum is monotone, part 2
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.25 v2.6.0, 0.22 v2.5.0, 0.44 v2.4.0
% Syntax   : Number of clauses    :   70 (  21 non-Horn;   6 unit;  62 RR)
%            Number of literals   :  207 (  44 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   18 (   4 constant; 0-3 arity)
%            Number of variables  :  178 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO084+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(corollary_2_6_2_67,conjecture,
    [++part_of(sk14,sk16)]).

input_clause(corollary_2_6_2_68,conjecture,
    [++part_of(sk15,sk16)]).

input_clause(corollary_2_6_2_69,conjecture,
    [++meet(sk17,sk14,sk15)]).

input_clause(corollary_2_6_2_70,conjecture,
    [--part_of(sum(sk14,sk15),sk16)]).
%--------------------------------------------------------------------------
