%--------------------------------------------------------------------------
% File     : GRP004-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Left inverse and identity => Right inverse exists
% Version  : [Ver92] axioms.
% English  : In a group with left inverses and left identity every element 
%            has a right inverse.

% Refs     : [Ver92] Veroff (1992), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   4 unit;   5 RR)
%            Number of literals   :   18 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Veroff's minimal axiom set 
include('Axioms/GRP005-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_right_inverse,conjecture,
    [--product(a,inverse(a),identity)]).
%--------------------------------------------------------------------------
