%--------------------------------------------------------------------------
% File     : GRP048-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Inverse substitution is dependent
% Version  : [Ver92] axioms.
% English  : 

% Refs     : [Ver92] Veroff (1992), Email to G. Sutcliffe
% Source   : [Ver92]
% Names    : - [Ver92]

% Status   : unsatisfiable
% Rating   : 0.25 v2.6.0, 0.29 v2.5.0, 0.00 v2.4.0, 0.00 v2.3.0, 0.14 v2.2.1, 0.33 v2.1.0, 0.29 v2.0.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   5 unit;   6 RR)
%            Number of literals   :   19 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Veroff's minimal axiom set 
include('Axioms/GRP005-0.ax').
%--------------------------------------------------------------------------
input_clause(a_equals_b,hypothesis,
    [++equalish(a,b)]).

input_clause(prove_inverse_substitution,conjecture,
    [--equalish(inverse(a),inverse(b))]).
%--------------------------------------------------------------------------
