%--------------------------------------------------------------------------
% File     : HWC004-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Hardware Creation
% Problem  : Definitions of AND, OR and NOT
% Version  : [WO+92] axioms.
%            Axiom formulation : Ground axioms.
% English  : 

% Refs     : [WO+92] Wos et al. (1992), Automated Reasoning: Introduction a
% Source   : [ANL]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   18 (   0 non-Horn;  11 unit;  13 RR)
%            Number of literals   :   26 (  26 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   20 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Definitions of AND, OR and NOT
include('Axioms/HWC001-0.ax').
include('Axioms/HWC001-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
