%--------------------------------------------------------------------------
% File     : HWV023-2 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Hardware Verification
% Problem  : Safelogic VHDL design verification obligation
% Version  : [Mar02] axioms : Especial.
% English  : 

% Refs     : [CHM02] Claessen et al. (2002), Verification of Hardware Systems
%          : [Mar02] Martensson (2002), Email to G. Sutcliffe
% Source   : [Mar02]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.25 v2.5.0
% Syntax   : Number of clauses    :  204 (  62 non-Horn;  31 unit; 123 RR)
%            Number of literals   :  557 ( 208 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-2 arity)
%            Number of functors   :   46 (   8 constant; 0-3 arity)
%            Number of variables  :  403 (  20 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality
include('Axioms/EQU001-0.ax').
%----Include VHDL design axioms
include('Axioms/HWV004-0.ax').
include('Axioms/HWV004-0.eq').
%--------------------------------------------------------------------------
input_clause(quest_1,conjecture,
    [++equal(fwork_DOTfifo_DOTrtl_DOTlevel_(t_206),1)]).

input_clause(quest_2,conjecture,
    [++p__pred_(fwork_DOTfifo_DOTrtl_DOTrd_(t_206))]).

input_clause(quest_3,conjecture,
    [--p__pred_(fwork_DOTfifo_DOTrtl_DOTreset_(t_206))]).

input_clause(quest_4,conjecture,
    [--p__pred_(fwork_DOTfifo_DOTrtl_DOTwr_(t_206))]).

input_clause(quest_5,conjecture,
    [--p__pred_(fwork_DOTfifo_DOTrtl_DOTempty_(f_ADD_(t_206,1)))]).
%--------------------------------------------------------------------------
