%--------------------------------------------------------------------------
% File     : KRS015-1 : TPTP v2.6.0. Released v2.0.0.
% Domain   : Knowledge Representation
% Problem  : Paramasivam problem T-Box 5b
% Version  : Especial.
% English  : e exists.

% Refs     : [PP95]  Paramasivam & Plaisted (1995), Automated Deduction Tec
% Source   : [PP95]
% Names    : Problem 5(b) [PP95]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   26 (  10 non-Horn;   1 unit;  24 RR)
%            Number of literals   :   91 (   0 equality)
%            Maximal clause size  :    6 (   3 average)
%            Number of predicates :    9 (   0 propositional; 1-2 arity)
%            Number of functors   :    9 (   1 constant; 0-1 arity)
%            Number of variables  :   41 (   8 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++e(exist)]).

input_clause(clause_2,axiom,
    [++t2least(X1),
     --c(X1)]).

input_clause(clause_3,axiom,
    [++c(X1),
     --t2least(X1)]).

input_clause(clause_4,axiom,
    [--t2least(X1),
     --equalish(u1r2(X1),u1r1(X1))]).

input_clause(clause_5,axiom,
    [++t(X1,u1r1(X1)),
     --t2least(X1)]).

input_clause(clause_6,axiom,
    [++t(X1,u1r2(X1)),
     --t2least(X1)]).

input_clause(clause_7,axiom,
    [++t2least(X1),
     ++equalish(X3,X2),
     --t(X1,X3),
     --t(X1,X2)]).

input_clause(clause_8,axiom,
    [++t1most(X1),
     --d(X1)]).

input_clause(clause_9,axiom,
    [++d(X1),
     --t1most(X1)]).

input_clause(clause_10,axiom,
    [++equalish(X3,X2),
     --t1most(X1),
     --t(X1,X3),
     --t(X1,X2)]).

input_clause(clause_11,axiom,
    [++t1most(X1),
     --equalish(u3r2(X1),u3r1(X1))]).

input_clause(clause_12,axiom,
    [++t1most(X1),
     ++t(X1,u3r1(X1))]).

input_clause(clause_13,axiom,
    [++t1most(X1),
     ++t(X1,u3r2(X1))]).

input_clause(clause_14,axiom,
    [++r(X1,u4r4(X1)),
     --e(X1)]).

input_clause(clause_15,axiom,
    [++s(X1,X4),
     --e(X1),
     --r(X1,X4)]).

input_clause(clause_16,axiom,
    [++r(X1,X4),
     --e(X1),
     --s(X1,X4)]).

input_clause(clause_17,axiom,
    [++d(X3),
     --e(X1),
     --s(X1,X3)]).

input_clause(clause_18,axiom,
    [++c(X2),
     --e(X1),
     --r(X1,X2)]).

input_clause(clause_19,axiom,
    [++e(X1),
     ++s(X1,u4r3(X1)),
     ++r(X1,u4r3(X1)),
     --c(u4r1(X1)),
     --d(u4r2(X1)),
     --r(X1,X5)]).

input_clause(clause_20,axiom,
    [++e(X1),
     --c(u4r1(X1)),
     --d(u4r2(X1)),
     --r(X1,u4r3(X1)),
     --s(X1,u4r3(X1)),
     --r(X1,X5)]).

input_clause(clause_21,axiom,
    [++e(X1),
     ++s(X1,u4r2(X1)),
     ++s(X1,u4r3(X1)),
     ++r(X1,u4r3(X1)),
     --c(u4r1(X1)),
     --r(X1,X5)]).

input_clause(clause_22,axiom,
    [++e(X1),
     ++s(X1,u4r2(X1)),
     --c(u4r1(X1)),
     --r(X1,u4r3(X1)),
     --s(X1,u4r3(X1)),
     --r(X1,X5)]).

input_clause(clause_23,axiom,
    [++e(X1),
     ++r(X1,u4r1(X1)),
     ++s(X1,u4r3(X1)),
     ++r(X1,u4r3(X1)),
     --d(u4r2(X1)),
     --r(X1,X5)]).

input_clause(clause_24,axiom,
    [++e(X1),
     ++r(X1,u4r1(X1)),
     --d(u4r2(X1)),
     --r(X1,u4r3(X1)),
     --s(X1,u4r3(X1)),
     --r(X1,X5)]).

input_clause(clause_25,axiom,
    [++e(X1),
     ++r(X1,u4r1(X1)),
     ++s(X1,u4r2(X1)),
     ++s(X1,u4r3(X1)),
     ++r(X1,u4r3(X1)),
     --r(X1,X5)]).

input_clause(clause_26,axiom,
    [++e(X1),
     ++r(X1,u4r1(X1)),
     ++s(X1,u4r2(X1)),
     --r(X1,u4r3(X1)),
     --s(X1,u4r3(X1)),
     --r(X1,X5)]).
%--------------------------------------------------------------------------
