%--------------------------------------------------------------------------
% File     : LAT093-1 : TPTP v2.6.0. Released v2.6.0.
% Domain   : Lattice Theory (Weakly Associative Lattices)
% Problem  : Axiom for weakly associative lattices (WAL), part 2
% Version  : [MP96] (equality) axioms : Especial.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.45 v2.6.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   3 unit;   3 RR)
%            Number of literals   :   16 (  16 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   24 (   1 singleton)
%            Maximal term depth   :   11 (   1 average)

% Comments : A UEQ part of LAT030-1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(join_substitution1,axiom,
    [--equal(A,B),
     ++equal(join(A,C),join(B,C))]).

input_clause(join_substitution2,axiom,
    [--equal(A,B),
     ++equal(join(C,A),join(C,B))]).

input_clause(meet_substitution1,axiom,
    [--equal(A,B),
     ++equal(meet(A,C),meet(B,C))]).

input_clause(meet_substitution2,axiom,
    [--equal(A,B),
     ++equal(meet(C,A),meet(C,B))]).

input_clause(single_axiom,axiom,
    [++equal(join(meet(join(meet(A,B),meet(B,join(A,B))),C),meet(join(meet(A,join(join(meet(B,D),meet(E,B)),B)),meet(join(meet(B,meet(meet(join(B,D),join(E,B)),B)),meet(F,join(B,meet(meet(join(B,D),join(E,B)),B)))),join(A,join(join(meet(B,D),meet(E,B)),B)))),join(join(meet(A,B),meet(B,join(A,B))),C))),B)]).

input_clause(prove_wal_axioms_2,conjecture,
    [--equal(meet(b,a),meet(a,b))]).
%--------------------------------------------------------------------------
