%--------------------------------------------------------------------------
% File     : LCL250-1 : TPTP v2.6.0. Bugfixed v2.3.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Principia Mathematica 3.42
% Version  : [WR27] axioms : Reduced & Augmented.
% English  : 

% Refs     : [WR27]  Whitehead & Russell (1927), Principia Mathematica
%          : [NSS63] Newell et al. (1963), Empirical Explorations with the 
%          : [ORo89] O'Rourke (1989), LT Revisited: Explanation-Based Learn
%          : [SE94]  Segre & Elkan (1994), A High-Performance Explanation-B
% Source   : [SE94]
% Names    : Problem 3.42 [WR27]

% Status   : unsatisfiable
% Rating   : 0.38 v2.6.0, 0.00 v2.5.0, 0.14 v2.4.0, 0.00 v2.3.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   6 unit;   4 RR)
%            Number of literals   :   14 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-1 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   17 (   1 singleton)
%            Maximal term depth   :    5 (   3 average)

% Comments : Reduced to use only or and not, and includes a redundant rule
%            of transitivity of implication, and a reduced rule of
%            detachment.
% Bugfixes : v2.3.0 - Function and/2 removed from prove_this
%--------------------------------------------------------------------------
%----Include axioms of propositional logic 
include('Axioms/LCL003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_this,conjecture,
    [--theorem(or(not(or(not(q),r)),or(not(not(or(not(p),not(q)))),r)))]).
%--------------------------------------------------------------------------
