%--------------------------------------------------------------------------
% File     : MGT066+1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Management (Organisation Theory)
% Problem  : Inequalities.
% Version  : [Han98] axioms.
% English  : 

% Refs     : [Kam00] Kamps (2000), Email to G. Sutcliffe
%            [CH00]  Carroll & Hannan (2000), The Demography of Corporation
%            [Han98] Hannan (1998), Rethinking Age Dependence in Organizati
% Source   : [Kam00]
% Names    : 

% Status   : satisfiable
% Rating   : 0.50 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of formulae    :   17 (   1 unit)
%            Number of atoms       :   46 (  17 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :   30 (   1 ~  ;   4  |;  11  &)
%                                         (   3 <=>;  11 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   43 (   0 singleton;  43 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001+0.ax').
%----Include Inequalities.
include('Axioms/MGT001+0.ax').
include('Axioms/MGT001+0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
