%--------------------------------------------------------------------------
% File     : NLP161-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 48
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat. They are 
%            wearing cheap black coats."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.60 v2.6.0, 0.50 v2.4.0
% Syntax   : Number of clauses    :   78 (  32 non-Horn;   2 unit;  64 RR)
%            Number of literals   :  289 (   0 equality)
%            Maximal clause size  :   29 (   3 average)
%            Number of predicates :   35 (   1 propositional; 0-4 arity)
%            Number of functors   :   27 (  18 constant; 0-3 arity)
%            Number of variables  :  130 (  29 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP161+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc62)]).

input_clause(clause2,conjecture,
    [++actual_world(skc18)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++ssSkP0(skc65,skc62)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++group(skc62,skc65)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++two(skc62,skc65)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++chevy(skc62,skc70)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++white(skc62,skc70)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++dirty(skc62,skc70)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++old(skc62,skc70)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++event(skc62,skc66)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++present(skc62,skc66)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++barrel(skc62,skc66)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++placename(skc62,skc68)]).

input_clause(clause14,conjecture,
    [++ssSkC0,
     ++hollywood_placename(skc62,skc68)]).

input_clause(clause15,conjecture,
    [++ssSkC0,
     ++city(skc62,skc69)]).

input_clause(clause16,conjecture,
    [++ssSkC0,
     ++lonely(skc62,skc67)]).

input_clause(clause17,conjecture,
    [++ssSkC0,
     ++street(skc62,skc67)]).

input_clause(clause18,conjecture,
    [++ssSkC0,
     ++frontseat(skc62,skc67)]).

input_clause(clause19,conjecture,
    [++ssSkC0,
     ++group(skc62,skc63)]).

input_clause(clause20,conjecture,
    [++ssSkC0,
     ++group(skc62,skc64)]).

input_clause(clause21,conjecture,
    [--ssSkC0,
     ++ssSkP0(skc21,skc18)]).

input_clause(clause22,conjecture,
    [--ssSkC0,
     ++group(skc18,skc21)]).

input_clause(clause23,conjecture,
    [--ssSkC0,
     ++two(skc18,skc21)]).

input_clause(clause24,conjecture,
    [--ssSkC0,
     ++chevy(skc18,skc26)]).

input_clause(clause25,conjecture,
    [--ssSkC0,
     ++white(skc18,skc26)]).

input_clause(clause26,conjecture,
    [--ssSkC0,
     ++dirty(skc18,skc26)]).

input_clause(clause27,conjecture,
    [--ssSkC0,
     ++old(skc18,skc26)]).

input_clause(clause28,conjecture,
    [--ssSkC0,
     ++event(skc18,skc22)]).

input_clause(clause29,conjecture,
    [--ssSkC0,
     ++present(skc18,skc22)]).

input_clause(clause30,conjecture,
    [--ssSkC0,
     ++barrel(skc18,skc22)]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++placename(skc18,skc24)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++hollywood_placename(skc18,skc24)]).

input_clause(clause33,conjecture,
    [--ssSkC0,
     ++frontseat(skc18,skc25)]).

input_clause(clause34,conjecture,
    [--ssSkC0,
     ++city(skc18,skc25)]).

input_clause(clause35,conjecture,
    [--ssSkC0,
     ++lonely(skc18,skc23)]).

input_clause(clause36,conjecture,
    [--ssSkC0,
     ++street(skc18,skc23)]).

input_clause(clause37,conjecture,
    [--ssSkC0,
     ++group(skc18,skc19)]).

input_clause(clause38,conjecture,
    [--ssSkC0,
     ++group(skc18,skc20)]).

input_clause(clause39,conjecture,
    [++ssSkC0,
     ++agent(skc62,skc66,skc70)]).

input_clause(clause40,conjecture,
    [++ssSkC0,
     ++of(skc62,skc68,skc69)]).

input_clause(clause41,conjecture,
    [++ssSkC0,
     ++in(skc62,skc66,skc69)]).

input_clause(clause42,conjecture,
    [++ssSkC0,
     ++ssSkP1(skc67,skc65,skc62)]).

input_clause(clause43,conjecture,
    [++ssSkC0,
     ++down(skc62,skc66,skc67)]).

input_clause(clause44,conjecture,
    [++ssSkC0,
     ++ssSkP2(skc64,skc63,skc62)]).

input_clause(clause45,conjecture,
    [--ssSkC0,
     ++agent(skc18,skc22,skc26)]).

input_clause(clause46,conjecture,
    [--ssSkC0,
     ++of(skc18,skc24,skc25)]).

input_clause(clause47,conjecture,
    [--ssSkC0,
     ++in(skc18,skc22,skc25)]).

input_clause(clause48,conjecture,
    [--ssSkC0,
     ++ssSkP1(skc25,skc21,skc18)]).

input_clause(clause49,conjecture,
    [--ssSkC0,
     ++down(skc18,skc22,skc23)]).

input_clause(clause50,conjecture,
    [--ssSkC0,
     ++ssSkP2(skc20,skc19,skc18)]).

input_clause(clause51,conjecture,
    [++ssSkP0(U,V),
     ++member(V,skf11(V,U),U)]).

input_clause(clause52,conjecture,
    [--member(skc62,U,skc63),
     ++ssSkC0,
     ++coat(skc62,U)]).

input_clause(clause53,conjecture,
    [--member(skc62,U,skc63),
     ++ssSkC0,
     ++black(skc62,U)]).

input_clause(clause54,conjecture,
    [--member(skc62,U,skc63),
     ++ssSkC0,
     ++cheap(skc62,U)]).

input_clause(clause55,conjecture,
    [--member(skc18,U,skc19),
     --ssSkC0,
     ++coat(skc18,U)]).

input_clause(clause56,conjecture,
    [--member(skc18,U,skc19),
     --ssSkC0,
     ++black(skc18,U)]).

input_clause(clause57,conjecture,
    [--member(skc18,U,skc19),
     --ssSkC0,
     ++cheap(skc18,U)]).

input_clause(clause58,conjecture,
    [++ssSkP1(U,V,W),
     ++member(W,skf16(U,W,V),V)]).

input_clause(clause59,conjecture,
    [++ssSkP2(U,V,W),
     ++member(W,skf21(U,W,X),U)]).

input_clause(clause60,conjecture,
    [++ssSkP2(U,V,W),
     ++member(W,skf19(U,W,V),V)]).

input_clause(clause61,conjecture,
    [--member(U,V,W),
     --ssSkP0(W,U),
     ++fellow(U,V)]).

input_clause(clause62,conjecture,
    [--member(U,V,W),
     --ssSkP0(W,U),
     ++young(U,V)]).

input_clause(clause63,conjecture,
    [--young(U,skf11(U,V)),
     --fellow(U,skf11(U,V)),
     ++ssSkP0(W,U)]).

input_clause(clause64,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++state(U,skf13(U,Y,Z))]).

input_clause(clause65,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++in(U,skf12(V,U,X),X)]).

input_clause(clause66,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++be(U,skf13(U,Y,V),V,skf12(V,U,Y))]).

input_clause(clause67,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++wear(U,skf17(U,Z,X1))]).

input_clause(clause68,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++nonreflexive(U,skf17(U,Z,X1))]).

input_clause(clause69,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++present(U,skf17(U,Z,X1))]).

input_clause(clause70,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++event(U,skf17(U,Z,X1))]).

input_clause(clause71,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++agent(U,skf17(U,V,Z),V)]).

input_clause(clause72,conjecture,
    [--in(U,V,W),
     --be(U,X,skf16(W,U,Y),V),
     --state(U,X),
     ++ssSkP1(W,Z,U)]).

input_clause(clause73,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++patient(U,skf17(U,V,X),X)]).

input_clause(clause74,conjecture,
    [--wear(U,V),
     --nonreflexive(U,V),
     --present(U,V),
     --patient(U,V,skf19(W,U,X)),
     --agent(U,V,skf21(W,U,X)),
     --event(U,V),
     ++ssSkP2(W,Y,U)]).

input_clause(clause75,conjecture,
    [--ssSkP0(U,V),
     --group(V,U),
     --two(V,U),
     --chevy(V,W),
     --white(V,W),
     --dirty(V,W),
     --old(V,W),
     --agent(V,X,W),
     --event(V,X),
     --present(V,X),
     --barrel(V,X),
     --placename(V,Y),
     --hollywood_placename(V,Y),
     --frontseat(V,Z),
     --of(V,Y,Z),
     --city(V,Z),
     --in(V,X,Z),
     --ssSkP1(Z,U,V),
     --down(V,X,X1),
     --lonely(V,X1),
     --street(V,X1),
     --group(V,X2),
     --ssSkP2(X3,X2,V),
     --group(V,X3),
     --actual_world(V),
     ++ssSkC0,
     ++member(V,skf23(V,X2),X2)]).

input_clause(clause76,conjecture,
    [--ssSkP0(U,V),
     --group(V,U),
     --two(V,U),
     --chevy(V,W),
     --white(V,W),
     --dirty(V,W),
     --old(V,W),
     --agent(V,X,W),
     --event(V,X),
     --present(V,X),
     --barrel(V,X),
     --placename(V,Y),
     --hollywood_placename(V,Y),
     --of(V,Y,Z),
     --city(V,Z),
     --in(V,X,Z),
     --ssSkP1(X1,U,V),
     --down(V,X,X1),
     --lonely(V,X1),
     --street(V,X1),
     --frontseat(V,X1),
     --group(V,X2),
     --ssSkP2(X3,X2,V),
     --group(V,X3),
     --actual_world(V),
     --ssSkC0,
     ++member(V,skf10(V,X2),X2)]).

input_clause(clause77,conjecture,
    [--ssSkP0(U,V),
     --group(V,U),
     --two(V,U),
     --chevy(V,W),
     --white(V,W),
     --dirty(V,W),
     --old(V,W),
     --agent(V,X,W),
     --event(V,X),
     --present(V,X),
     --barrel(V,X),
     --placename(V,Y),
     --hollywood_placename(V,Y),
     --frontseat(V,Z),
     --of(V,Y,Z),
     --city(V,Z),
     --in(V,X,Z),
     --ssSkP1(Z,U,V),
     --down(V,X,X1),
     --lonely(V,X1),
     --street(V,X1),
     --group(V,X2),
     --cheap(V,skf23(V,X3)),
     --black(V,skf23(V,X3)),
     --coat(V,skf23(V,X3)),
     --ssSkP2(X4,X2,V),
     --group(V,X4),
     --actual_world(V),
     ++ssSkC0]).

input_clause(clause78,conjecture,
    [--ssSkP0(U,V),
     --group(V,U),
     --two(V,U),
     --chevy(V,W),
     --white(V,W),
     --dirty(V,W),
     --old(V,W),
     --agent(V,X,W),
     --event(V,X),
     --present(V,X),
     --barrel(V,X),
     --placename(V,Y),
     --hollywood_placename(V,Y),
     --of(V,Y,Z),
     --city(V,Z),
     --in(V,X,Z),
     --ssSkP1(X1,U,V),
     --down(V,X,X1),
     --lonely(V,X1),
     --street(V,X1),
     --frontseat(V,X1),
     --group(V,X2),
     --cheap(V,skf10(V,X3)),
     --black(V,skf10(V,X3)),
     --coat(V,skf10(V,X3)),
     --ssSkP2(X4,X2,V),
     --group(V,X4),
     --actual_world(V),
     --ssSkC0]).
%--------------------------------------------------------------------------
