%--------------------------------------------------------------------------
% File     : NUM011-1 : TPTP v2.6.0. Bugfixed v1.2.1.
% Domain   : Number Theory
% Problem  : Peano axiom 3
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Problem 236-237 [BL+86]

% Status   : unsatisfiable
% Rating   : 0.83 v2.6.0, 0.89 v2.5.0, 0.91 v2.4.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :  407 (  59 non-Horn;  14 unit; 259 RR)
%            Number of literals   : 1048 ( 410 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   20 (   0 propositional; 1-5 arity)
%            Number of functors   :   92 (  13 constant; 0-5 arity)
%            Number of variables  : 1092 (  32 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Bugfix in NUM003-0.ax.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.eq').
%----Include the axioms for number theory from Godel's set axioms 
include('Axioms/NUM003-0.ax').
%----Include the equality axioms for number theory from Godel's set 
%----axioms 
include('Axioms/NUM003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_natural_number,hypothesis,
    [++member(f75,natural_numbers)]).

input_clause(prove_zero_is_first,conjecture,
    [++equal(empty_set,successor(f75))]).
%--------------------------------------------------------------------------
