%--------------------------------------------------------------------------
% File     : NUM016-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : There exist infinitely many primes
% Version  : [Cha70] axioms : Incomplete.
% English  : 

% Refs     : [Luc68] Luckham (1968), Some Tree-paring Strategies for Theore
%          : [Cha70] Chang (1970), The Unit Proof and the Input Proof in Th
%          : [CL73]  Chang & Lee (1973), Symbolic Logic and Mechanical Theo
% Source   : [Cha70]
% Names    : Example 8a [Luc68]
%          : Example 9 [Cha70]
%          : Example 9 [CL73]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    8 (   3 non-Horn;   2 unit;   4 RR)
%            Number of literals   :   15 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    3 (   1 constant; 0-1 arity)
%            Number of variables  :   10 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(nothing_is_less_than_itself,axiom,
    [--less(X,X)]).

input_clause(numbers_are_different,axiom,
    [--less(X,Y),
     --less(Y,X)]).

input_clause(a_prime_is_less_than_the_next_one,axiom,
    [++less(X,factorial_plus_one(X))]).

input_clause(divisor_is_smaller,axiom,
    [--divides(X,factorial_plus_one(Y)),
     ++less(Y,X)]).

input_clause(division_by_prime_divisor,axiom,
    [++prime(X),
     ++divides(prime_divisor(X),X)]).

input_clause(prime_divsiors,axiom,
    [++prime(X),
     ++prime(prime_divisor(X))]).

input_clause(smaller_prime_divisors,axiom,
    [++prime(X),
     ++less(prime_divisor(X),X)]).

input_clause(prove_there_is_another_prime,conjecture,
    [--prime(X),
     --less(a,X),
     ++less(factorial_plus_one(a),X)]).
%--------------------------------------------------------------------------
