%--------------------------------------------------------------------------
% File     : PUZ043-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Puzzles (Mars and Venus)
% Problem  : Mars and Venus axioms
% Version  : [ANL] axioms.
% English  : 

% Refs     : [Rap95] Raptis (1995), Email to G. Sutcliffe
% Source   : [ANL]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   29 (   4 non-Horn;   1 unit;  24 RR)
%            Number of literals   :   74 (  18 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    9 (   0 propositional; 1-2 arity)
%            Number of functors   :    1 (   0 constant; 1-1 arity)
%            Number of variables  :   48 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Mars and Venus axioms
include('Axioms/PUZ001-0.ax').
include('Axioms/PUZ001-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
