%--------------------------------------------------------------------------
% File     : SET057+1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Set Theory
% Problem  : Expanded equality definition
% Version  : [Qua92] axioms : Reduced & Augmented > Complete.
% English  :

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
%          : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic:
% Source   : [Qua92]
% Names    :

% Status   : theorem
% Rating   : 1.00 v2.2.1
% Syntax   : Number of formulae    :   42 (  16 unit)
%            Number of atoms       :   96 (  17 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   59 (   5 ~  ;   4  |;  23  &)
%                                         (  18 <=>;   9 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   27 (   5 constant; 0-3 arity)
%            Number of variables   :   84 (   0 singleton;  80 !;   4 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include set theory axioms
include('Axioms/SET005+0.ax').
%--------------------------------------------------------------------------
%----EQ2: Expanded equality definition
input_formula(equality1_2,conjecture,(
    ! [X,Y] : 
      ( member(not_subclass_element(X,Y),Y)
     => ( equal(X,Y)
        | member(not_subclass_element(Y,X),Y) ) )   )).
%--------------------------------------------------------------------------
