%--------------------------------------------------------------------------
% File     : SET689+4 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Set Theory (Naive)
% Problem  : Property of subset 
% Version  : [Pas99] axioms.
% English  : If A is a subset of B,B a subset of C and C a subset of A,
%            then A is equal to C.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 0.00 v2.5.0, 0.12 v2.4.0, 0.00 v2.2.1
% Syntax   : Number of formulae    :   33 (   2 unit)
%            Number of atoms       :   81 (  39 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   50 (   2 ~  ;   2  |;  13  &)
%                                         (  10 <=>;  23 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :   87 (   0 singleton;  86 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%--------------------------------------------------------------------------
input_formula(thI05,conjecture,(
    ! [A,B,C] : 
      ( ( subset(A,B)
        & subset(B,C)
        & subset(C,A) )
     => equal_set(A,C) )   )).
%--------------------------------------------------------------------------
