%--------------------------------------------------------------------------
% File     : SET784+1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Set Theory
% Problem  : Mapping axioms for the SET006+0 set theory axioms
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of formulae    :  113 (   2 unit)
%            Number of atoms       :  350 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  239 (   2 ~  ;   2  |; 103  &)
%                                         (  30 <=>; 102 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  505 (   0 singleton; 496 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001+0.ax').
%----Include Naive set theory axioms based on Goedel's set theory
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include Mapping axioms for the SET006+0 set theory axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
