%--------------------------------------------------------------------------
% File     : SWC423+1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Software Creation
% Problem  : List specification
% Version  : [Wei00] axioms.
% English  : Components in a software library specified in first-order logic 

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of formulae    :  132 (  10 unit)
%            Number of atoms       :  496 ( 117 equality)
%            Maximal formula depth :   17 (   5 average)
%            Number of connectives :  388 (  24 ~  ;   8  |;  67  &)
%                                         (  26 <=>; 263 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  299 (   0 singleton; 286 !;  13 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001+0.ax').
%----Include List specification
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
