%--------------------------------------------------------------------------
% File     : SYN055-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 25
% Version  : Especial.
% English  : 

% Refs     : [KM64]  Kalish & Montegue (1964), Logic: Techniques of Formal 
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 25 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   2 non-Horn;   1 unit;   7 RR)
%            Number of literals   :   16 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    5 (   0 propositional; 1-1 arity)
%            Number of functors   :    2 (   2 constant; 0-0 arity)
%            Number of variables  :    6 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++big_p(a)]).

input_clause(clause_2,axiom,
    [--big_f(X),
     --big_g(X),
     --big_r(X)]).

input_clause(clause_3,axiom,
    [--big_p(X),
     ++big_f(X)]).

input_clause(clause_4,axiom,
    [--big_p(X),
     ++big_g(X)]).

input_clause(clause_5,axiom,
    [--big_p(X),
     ++big_q(X),
     ++big_p(b)]).

input_clause(clause_6,conjecture,
    [--big_p(X),
     ++big_q(X),
     ++big_r(b)]).

input_clause(clause_7,conjecture,
    [--big_q(X),
     --big_p(X)]).
%--------------------------------------------------------------------------
