%--------------------------------------------------------------------------
% File     : SYN066-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 37
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 37 [Pel86]
%          : p37.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    6 (   1 non-Horn;   2 unit;   3 RR)
%            Number of literals   :   10 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    3 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   1 constant; 0-2 arity)
%            Number of variables  :   12 (   4 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_p(Y,X),
     ++big_p(f(X,Y),g(X))]).

input_clause(clause_2,axiom,
    [++big_p(f(X,Y),X)]).

input_clause(clause_3,axiom,
    [--big_p(f(X,Y),g(X)),
     ++big_q(h(X,Y),g(X))]).

input_clause(clause_4,axiom,
    [++big_p(X,Y),
     ++big_q(i(X,Y),X)]).

input_clause(clause_5,axiom,
    [--big_q(X,Y),
     ++big_r(Z,Z)]).

input_clause(clause_6,conjecture,
    [--big_r(a,Z)]).
%--------------------------------------------------------------------------
