%--------------------------------------------------------------------------
% File     : SYN084-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 62
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Pel88] Pelletier (1988), Errata
%          : [Pel95] Pelletier (1995), Email to G. Sutcliffe
% Source   : [Pel88]
% Names    : Pelletier 62 [Pel86]

% Status   : satisfiable
% Rating   : 0.00 v2.3.0, 0.33 v2.2.1, 0.25 v2.2.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   13 (   8 non-Horn;   1 unit;   7 RR)
%            Number of literals   :   50 (   0 equality)
%            Maximal clause size  :    5 (   3 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   3 constant; 0-1 arity)
%            Number of variables  :   14 (   6 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : This problem is incorrect in [Pel86] and is 'corrected' in
%            [Pel88]. The 1988 version is broken too [Pel95]. This is the
%            correct version.
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++big_p(a)]).

input_clause(clause_2,conjecture,
    [--big_p(f(Y)),
     ++big_p(f(f(X))),
     ++big_p(X),
     --big_p(a)]).

input_clause(clause_3,conjecture,
    [++big_p(Y),
     ++big_p(f(f(X))),
     ++big_p(X),
     --big_p(a)]).

input_clause(clause_4,conjecture,
    [--big_p(c),
     ++big_p(f(c)),
     ++big_p(f(f(X))),
     ++big_p(X),
     --big_p(a)]).

input_clause(clause_5,conjecture,
    [--big_p(f(f(c))),
     ++big_p(f(f(X))),
     ++big_p(X),
     --big_p(a)]).

input_clause(clause_6,conjecture,
    [--big_p(f(f(c))),
     ++big_p(f(f(X))),
     --big_p(f(X)),
     --big_p(a)]).

input_clause(clause_7,conjecture,
    [--big_p(c),
     ++big_p(f(c)),
     ++big_p(f(f(X))),
     --big_p(f(X)),
     --big_p(a)]).

input_clause(clause_8,conjecture,
    [++big_p(Y),
     ++big_p(f(f(X))),
     --big_p(f(X)),
     --big_p(a)]).

input_clause(clause_9,conjecture,
    [--big_p(f(Y)),
     ++big_p(f(f(X))),
     --big_p(f(X)),
     --big_p(a)]).

input_clause(clause_10,conjecture,
    [--big_p(f(f(c))),
     ++big_p(f(b)),
     --big_p(b)]).

input_clause(clause_11,conjecture,
    [--big_p(c),
     ++big_p(f(c)),
     ++big_p(f(b)),
     --big_p(b)]).

input_clause(clause_12,conjecture,
    [--big_p(a),
     ++big_p(Y),
     ++big_p(f(b)),
     --big_p(b)]).

input_clause(clause_13,conjecture,
    [--big_p(a),
     --big_p(f(Y)),
     ++big_p(f(b)),
     --big_p(b)]).
%--------------------------------------------------------------------------
