%--------------------------------------------------------------------------
% File     : SYN337-1 : TPTP v2.6.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.15 (2)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch15N2 [Tam94]

% Status   : satisfiable
% Rating   : 0.00 v2.5.0, 0.17 v2.4.0, 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   5 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    1 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-1 arity)
%            Number of variables  :    5 (   4 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(a,Y)]).

input_clause(clause2,conjecture,
    [++f(z(Y),a)]).

input_clause(clause3,conjecture,
    [++f(z(Y),Y)]).

input_clause(clause4,conjecture,
    [--f(b,Y)]).

input_clause(clause5,conjecture,
    [--f(b,z(Y))]).
%--------------------------------------------------------------------------
