%--------------------------------------------------------------------------
% File     : SYN367+1 : TPTP v2.6.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Peter Andrews Problem X2118
% Version  : Especial.
% English  : 

% Refs     : [And86] Andrews (1986), An Introduction to Mathematical Logic 
%          : [And94] Andrews (1994), Email to G. Sutcliffe
% Source   : [And94]
% Names    : X2118 [And86]

% Status   : theorem
% Rating   : 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.00 v2.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    6 (   0 equality)
%            Maximal formula depth :    6 (   6 average)
%            Number of connectives :    6 (   1 ~  ;   2  |;   2  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   1 propositional; 0-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    3 (   0 singleton;   3 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(x2118,conjecture,(
    ! [X] : 
      ( ( p
        & big_q(X) )
      | ( ~ p
        & big_r(X) ) )
 => ( ! [X] : big_q(X)
    | ! [X] : big_r(X) )   )).
%--------------------------------------------------------------------------
