%--------------------------------------------------------------------------
% File     : SYN552-1 : TPTP v2.6.0. Bugfixed v2.5.0.
% Domain   : Syntactic
% Problem  : The E Killer
% Version  : Biased.
% English  : 

% Refs     : [Sch99] Schulz (1999), Email to G. Sutcliffe
% Source   : [Sch99]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   3 unit;   4 RR)
%            Number of literals   :   14 (  14 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   16 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : This is an example that brings out the bug in E 0.5 and
%            earlier, in the simplify-reflect code.
%          : Biased against E 0.5
% Bugfixes : v2.5.0 - Added missing equality axioms.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitution_1,axiom,
    [--equal(A,B),
     ++equal(f(A,C),f(B,C))]).

input_clause(f_substitution_2,axiom,
    [--equal(A,B),
     ++equal(f(C,A),f(C,B))]).

input_clause(g_substitution_1,axiom,
    [--equal(A,B),
     ++equal(g(A),g(B))]).

input_clause(c1,axiom,
    [++equal(g(X1),g(X2))]).

input_clause(c2,axiom,
    [--equal(f(g(b),b),f(g(a),a))]).
%--------------------------------------------------------------------------
