%--------------------------------------------------------------------------
% File     : SYN595-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 3634
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   27 (   1 non-Horn;   8 unit;  25 RR)
%            Number of literals   :   62 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-2 arity)
%            Number of functors   :   17 (   7 constant; 0-2 arity)
%            Number of variables  :   58 (   1 singleton)
%            Maximal term depth   :    9 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p2_1,conjecture,
    [++p2(X10,X10)]).

input_clause(p7_2,conjecture,
    [++p7(X27,X27)]).

input_clause(p2_3,conjecture,
    [++p2(c21,f3(c17))]).

input_clause(not_p2_4,conjecture,
    [--p2(c16,f3(c17))]).

input_clause(p14_5,conjecture,
    [++p14(c18,f3(f4(f5(c17))))]).

input_clause(p15_6,conjecture,
    [++p15(X4,X5),
     --p14(X4,X5)]).

input_clause(not_p14_7,conjecture,
    [--p14(X4,X5),
     --p2(X4,X5)]).

input_clause(p14_8,conjecture,
    [++p14(c19,f6(f3(f4(f5(c17))),c16))]).

input_clause(p7_9,conjecture,
    [++p7(f12(X36),f12(X37)),
     --p7(X36,X37)]).

input_clause(p2_10,conjecture,
    [++p2(f3(X17),f3(X18)),
     --p2(X17,X18)]).

input_clause(p2_11,conjecture,
    [++p2(f4(X19),f4(X20)),
     --p2(X19,X20)]).

input_clause(p2_12,conjecture,
    [++p2(f5(X21),f5(X22)),
     --p2(X21,X22)]).

input_clause(p7_13,conjecture,
    [++p7(f11(X34),f11(X35)),
     --p2(X34,X35)]).

input_clause(p14_14,conjecture,
    [++p14(X4,X5),
     ++p2(X4,X5),
     --p15(X4,X5)]).

input_clause(p7_15,conjecture,
    [++p7(X28,X29),
     --p7(X27,X28),
     --p7(X27,X29)]).

input_clause(p2_16,conjecture,
    [++p2(X11,X12),
     --p2(X10,X11),
     --p2(X10,X12)]).

input_clause(p2_17,conjecture,
    [++p2(c19,f6(f3(f4(f5(c17))),f13(c16,f3(f5(c17)))))]).

input_clause(p14_18,conjecture,
    [++p14(X0,X1),
     --p2(X2,X0),
     --p2(X3,X1),
     --p14(X2,X3)]).

input_clause(p15_19,conjecture,
    [++p15(X6,X7),
     --p2(X8,X6),
     --p2(X9,X7),
     --p15(X8,X9)]).

input_clause(p2_20,conjecture,
    [++p2(f13(X13,X14),f13(X15,X16)),
     --p2(X13,X15),
     --p2(X14,X16)]).

input_clause(p7_21,conjecture,
    [++p7(f9(X42,X43),f9(X44,X45)),
     --p7(X42,X44),
     --p7(X43,X45)]).

input_clause(p7_22,conjecture,
    [++p7(f8(X38,X39),f8(X40,X41)),
     --p7(X38,X40),
     --p7(X39,X41)]).

input_clause(p7_23,conjecture,
    [++p7(f10(X30,X31),f10(X32,X33)),
     --p2(X31,X33),
     --p7(X30,X32)]).

input_clause(p2_24,conjecture,
    [++p2(f6(X23,X24),f6(X25,X26)),
     --p2(X23,X25),
     --p2(X24,X26)]).

input_clause(p7_25,conjecture,
    [++p7(c20,f8(f10(f12(f11(f3(f5(c17)))),c18),f8(f10(f11(f3(f4(f5(c17)))),
c21),f9(f11(c19),f10(f11(f3(f4(f5(c17)))),c22)))))]).

input_clause(not_p2_26,conjecture,
    [--p2(X48,f3(c17)),
     --p14(X46,f3(f4(f5(c17)))),
     --p15(X47,f6(f3(f4(f5(c17))),c16)),
     --p7(f8(f10(f12(f11(f3(f5(c17)))),c18),f8(f10(f11(f3(f4(f5(c17)))),
f3(c17)),f9(f11(f6(f3(f4(f5(c17))),f13(c16,f3(f5(c17))))),
f10(f11(f3(f4(f5(c17)))),c22)))),f8(f10(f12(f11(f3(f5(c17)))),X46),
f8(f10(f11(f3(f4(f5(c17)))),X48),f9(f11(X47),f10(f11(f3(f4(f5(c17)))),
c22)))))]).

input_clause(not_p14_27,conjecture,
    [--p14(X46,f3(f4(f5(c17)))),
     --p15(X47,f6(f3(f4(f5(c17))),c16)),
     --p14(f6(f3(f4(f5(c17))),f13(c16,f3(f5(c17)))),X47),
     --p7(f8(f10(f12(f11(f3(f5(c17)))),c18),f8(f10(f11(f3(f4(f5(c17)))),
f3(c17)),f9(f11(f6(f3(f4(f5(c17))),f13(c16,f3(f5(c17))))),
f10(f11(f3(f4(f5(c17)))),c22)))),f8(f10(f12(f11(f3(f5(c17)))),X46),
f8(f10(f11(f3(f4(f5(c17)))),X48),f9(f11(X47),f10(f11(f3(f4(f5(c17)))),
c22)))))]).
%--------------------------------------------------------------------------
