%--------------------------------------------------------------------------
% File     : SYN621-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 3998
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   34 (   3 non-Horn;   8 unit;  25 RR)
%            Number of literals   :   82 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    8 (   0 propositional; 2-2 arity)
%            Number of functors   :   19 (   6 constant; 0-4 arity)
%            Number of variables  :   95 (   1 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p10_1,conjecture,
    [++p10(X0,X0)]).

input_clause(p8_2,conjecture,
    [++p8(X78,X78)]).

input_clause(p7_3,conjecture,
    [++p7(X71,X71)]).

input_clause(p4_4,conjecture,
    [++p4(X38,X38)]).

input_clause(p2_5,conjecture,
    [++p2(X12,X12)]).

input_clause(p13_6,conjecture,
    [++p13(X7,X7)]).

input_clause(not_p2_7,conjecture,
    [--p2(c23,f3(c24))]).

input_clause(p13_8,conjecture,
    [++p13(f14(X10),f14(X11)),
     --p7(X10,X11)]).

input_clause(p4_9,conjecture,
    [++p4(f5(X59),f5(X60)),
     --p4(X59,X60)]).

input_clause(p4_10,conjecture,
    [++p4(f16(X45),f16(X46)),
     --p2(X45,X46)]).

input_clause(p2_11,conjecture,
    [++p2(f3(X24),f3(X25)),
     --p2(X24,X25)]).

input_clause(p2_12,conjecture,
    [++p2(f18(X22),f18(X23)),
     --p2(X22,X23)]).

input_clause(p2_13,conjecture,
    [++p2(f17(X20),f17(X21)),
     --p2(X20,X21)]).

input_clause(p10_14,conjecture,
    [++p10(X1,X2),
     --p10(X0,X1),
     --p10(X0,X2)]).

input_clause(p8_15,conjecture,
    [++p8(X79,X80),
     --p8(X78,X79),
     --p8(X78,X80)]).

input_clause(p7_16,conjecture,
    [++p7(X72,X73),
     --p7(X71,X72),
     --p7(X71,X73)]).

input_clause(p4_17,conjecture,
    [++p4(X39,X40),
     --p4(X38,X39),
     --p4(X38,X40)]).

input_clause(p21_18,conjecture,
    [++p21(X30,X31),
     --p21(X30,X32),
     --p21(X32,X31)]).

input_clause(p2_19,conjecture,
    [++p2(X13,X14),
     --p2(X12,X13),
     --p2(X12,X14)]).

input_clause(p13_20,conjecture,
    [++p13(X8,X9),
     --p13(X7,X8),
     --p13(X7,X9)]).

input_clause(p21_21,conjecture,
    [++p21(X26,X27),
     --p4(X28,X26),
     --p4(X29,X27),
     --p21(X28,X29)]).

input_clause(p22_22,conjecture,
    [++p22(X34,X35),
     --p22(X37,X36),
     --p4(X37,X34),
     --p13(X36,X35)]).

input_clause(p7_23,conjecture,
    [++p7(f11(X74,X75),f11(X76,X77)),
     --p10(X75,X77),
     --p2(X74,X76)]).

input_clause(p10_24,conjecture,
    [++p10(f12(X3,X4),f12(X5,X6)),
     --p2(X3,X5),
     --p2(X4,X6)]).

input_clause(p4_25,conjecture,
    [++p4(f15(X41,X42),f15(X43,X44)),
     --p4(X41,X43),
     --p4(X42,X44)]).

input_clause(p4_26,conjecture,
    [++p4(f19(X47,X48),f19(X49,X50)),
     --p4(X48,X50),
     --p7(X47,X49)]).

input_clause(p4_27,conjecture,
    [++p4(f6(X61,X62),f6(X63,X64)),
     --p4(X61,X63),
     --p4(X62,X64)]).

input_clause(p2_28,conjecture,
    [++p2(X15,f3(c24)),
     ++p22(f20(X17,X15,X18,X16),f14(f11(X17,f12(X15,X18))))]).

input_clause(p4_29,conjecture,
    [++p4(f9(X65,X66,X67),f9(X68,X69,X70)),
     --p7(X65,X68),
     --p8(X66,X69),
     --p4(X67,X70)]).

input_clause(p4_30,conjecture,
    [++p4(f20(X51,X52,X53,X54),f20(X55,X56,X57,X58)),
     --p2(X53,X57),
     --p4(X54,X58),
     --p2(X51,X55),
     --p2(X52,X56)]).

input_clause(p21_31,conjecture,
    [++p21(f5(f6(c27,f9(f11(c25,f12(c23,c26)),c28,c27))),f5(f6(c27,X33))),
     --p22(X33,f14(f11(c25,f12(c23,c26))))]).

input_clause(not_p21_32,conjecture,
    [--p21(f5(f6(c27,f9(f11(c25,f12(c23,c26)),c28,c27))),f15(f19(f11(c25,
f12(c23,c26)),c27),f16(f3(f17(f18(c24))))))]).

input_clause(p2_33,conjecture,
    [++p2(X15,f3(c24)),
     ++p21(f5(f6(X16,f20(X17,X15,X18,X16))),f5(f6(X16,X19))),
     --p22(X19,f14(f11(X17,f12(X15,X18))))]).

input_clause(p2_34,conjecture,
    [++p2(X15,f3(c24)),
     ++p21(f5(f6(X16,f20(X17,X15,X18,X16))),f15(f19(f11(X17,f12(X15,X18)),X16),
f16(f3(f17(f18(c24))))))]).
%--------------------------------------------------------------------------
