%--------------------------------------------------------------------------
% File     : SYN650-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4422
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.25 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   45 (   3 non-Horn;  14 unit;  34 RR)
%            Number of literals   :  114 (   0 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-2 arity)
%            Number of functors   :   22 (   8 constant; 0-5 arity)
%            Number of variables  :  123 (   1 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p10_1,conjecture,
    [++p10(X0,X0)]).

input_clause(p8_2,conjecture,
    [++p8(X54,X54)]).

input_clause(p7_3,conjecture,
    [++p7(X51,X51)]).

input_clause(p6_4,conjecture,
    [++p6(X44,X44)]).

input_clause(p2_5,conjecture,
    [++p2(X12,X12)]).

input_clause(p19_6,conjecture,
    [++p19(X7,X7)]).

input_clause(not_p2_7,conjecture,
    [--p2(c27,f3(c26))]).

input_clause(p22_8,conjecture,
    [++p22(f3(f4(f5(c26))),c27)]).

input_clause(p23_9,conjecture,
    [++p23(X29),
     --p23(X30),
     --p2(X30,X29)]).

input_clause(p24_10,conjecture,
    [++p24(c33,f20(f11(c29,f12(c27,c30))))]).

input_clause(p19_11,conjecture,
    [++p19(f20(X10),f20(X11)),
     --p6(X10,X11)]).

input_clause(p8_12,conjecture,
    [++p8(f16(X67),f16(X68)),
     --p8(X67,X68)]).

input_clause(p8_13,conjecture,
    [++p8(f14(X61),f14(X62)),
     --p2(X61,X62)]).

input_clause(p2_14,conjecture,
    [++p2(f5(X23),f5(X24)),
     --p2(X23,X24)]).

input_clause(p2_15,conjecture,
    [++p2(f4(X21),f4(X22)),
     --p2(X21,X22)]).

input_clause(p2_16,conjecture,
    [++p2(f3(X19),f3(X20)),
     --p2(X19,X20)]).

input_clause(p10_17,conjecture,
    [++p10(X1,X2),
     --p10(X0,X1),
     --p10(X0,X2)]).

input_clause(p8_18,conjecture,
    [++p8(X55,X56),
     --p8(X54,X55),
     --p8(X54,X56)]).

input_clause(p7_19,conjecture,
    [++p7(X52,X53),
     --p7(X51,X52),
     --p7(X51,X53)]).

input_clause(p6_20,conjecture,
    [++p6(X45,X46),
     --p6(X44,X45),
     --p6(X44,X46)]).

input_clause(p2_21,conjecture,
    [++p2(X13,X14),
     --p2(X12,X13),
     --p2(X12,X14)]).

input_clause(p19_22,conjecture,
    [++p19(X8,X9),
     --p19(X7,X8),
     --p19(X7,X9)]).

input_clause(p8_23,conjecture,
    [++p8(c28,f9(f11(c29,f12(c27,c30)),c31,c32))]).

input_clause(not_p8_24,conjecture,
    [--p8(c33,f9(f11(c29,f12(c27,c30)),c31,c32))]).

input_clause(p25_25,conjecture,
    [++p25(X40,X41),
     --p8(X42,X40),
     --p8(X43,X41),
     --p25(X42,X43)]).

input_clause(p22_26,conjecture,
    [++p22(X25,X26),
     --p2(X28,X26),
     --p22(X27,X28),
     --p2(X27,X25)]).

input_clause(p24_27,conjecture,
    [++p24(X36,X37),
     --p24(X39,X38),
     --p8(X39,X36),
     --p19(X38,X37)]).

input_clause(p10_28,conjecture,
    [++p10(f12(X3,X4),f12(X5,X6)),
     --p2(X3,X5),
     --p2(X4,X6)]).

input_clause(p8_29,conjecture,
    [++p8(f17(X69,X70),f17(X71,X72)),
     --p8(X69,X71),
     --p8(X70,X72)]).

input_clause(p8_30,conjecture,
    [++p8(f15(X63,X64),f15(X65,X66)),
     --p6(X63,X65),
     --p8(X64,X66)]).

input_clause(p8_31,conjecture,
    [++p8(f13(X57,X58),f13(X59,X60)),
     --p8(X57,X59),
     --p8(X58,X60)]).

input_clause(p6_32,conjecture,
    [++p6(f11(X47,X48),f11(X49,X50)),
     --p10(X48,X50),
     --p2(X47,X49)]).

input_clause(p2_33,conjecture,
    [++p2(f18(X15,X16),f18(X17,X18)),
     --p6(X15,X17),
     --p8(X16,X18)]).

input_clause(f18_is_not_p23_34,conjecture,
    [--p23(f18(f11(c29,f12(c27,c30)),f9(f11(c29,f12(c27,c30)),c31,c32)))]).

input_clause(p8_35,conjecture,
    [++p8(f16(f17(c32,c33)),f13(f15(f11(c29,f12(c27,c30)),c32),
f14(f3(f4(f5(c26))))))]).

input_clause(p8_36,conjecture,
    [++p8(f9(X83,X84,X85),f9(X86,X87,X88)),
     --p7(X84,X87),
     --p8(X85,X88),
     --p6(X83,X86)]).

input_clause(p24_37,conjecture,
    [++p24(f9(f11(X31,f12(X32,X33)),c31,X34),f20(f11(X31,f12(X32,X33)))),
     --p22(f3(f4(f5(c26))),X32)]).

input_clause(p8_38,conjecture,
    [++p8(f16(f17(c32,f9(f11(c29,f12(c27,c30)),c31,c32))),f13(f15(f11(c29,
f12(c27,c30)),c32),f14(f3(f4(f5(c26))))))]).

input_clause(p8_39,conjecture,
    [++p8(f21(X73,X74,X75,X76,X77),f21(X78,X79,X80,X81,X82)),
     --p8(X76,X81),
     --p8(X77,X82),
     --p2(X73,X78),
     --p2(X74,X79),
     --p2(X75,X80)]).

input_clause(p25_40,conjecture,
    [++p25(f16(f17(X34,f9(f11(X31,f12(X32,X33)),c31,X34))),f16(f17(X34,X35))),
     --p22(f3(f4(f5(c26))),X32),
     --p24(X35,f20(f11(X31,f12(X32,X33))))]).

input_clause(p25_41,conjecture,
    [++p25(f16(f17(X34,f9(f11(X31,f12(X32,X33)),c31,X34))),f13(f15(f11(X31,
f12(X32,X33)),X34),f14(f3(f4(f5(c26)))))),
     --p22(f3(f4(f5(c26))),X32)]).

input_clause(p8_42,conjecture,
    [++p8(X35,f9(f11(X31,f12(X32,X33)),c31,X34)),
     ++p24(f21(X31,X32,X33,X34,X35),f20(f11(X31,f12(X32,X33)))),
     --p22(f3(f4(f5(c26))),X32),
     --p23(f18(f11(X31,f12(X32,X33)),X35)),
     --p24(X35,f20(f11(X31,f12(X32,X33))))]).

input_clause(p8_43,conjecture,
    [++p8(X35,f9(f11(X31,f12(X32,X33)),c31,X34)),
     --p22(f3(f4(f5(c26))),X32),
     --p23(f18(f11(X31,f12(X32,X33)),X35)),
     --p24(X35,f20(f11(X31,f12(X32,X33)))),
     --p25(f16(f17(X34,X35)),f16(f17(X34,f21(X31,X32,X33,X34,X35))))]).

input_clause(p8_44,conjecture,
    [++p8(X35,f9(f11(X31,f12(X32,X33)),c31,X34)),
     ++p24(f21(X31,X32,X33,X34,X35),f20(f11(X31,f12(X32,X33)))),
     ++p23(f18(f11(X31,f12(X32,X33)),f9(f11(X31,f12(X32,X33)),c31,X34))),
     --p22(f3(f4(f5(c26))),X32),
     --p24(X35,f20(f11(X31,f12(X32,X33))))]).

input_clause(p8_45,conjecture,
    [++p8(X35,f9(f11(X31,f12(X32,X33)),c31,X34)),
     ++p23(f18(f11(X31,f12(X32,X33)),f9(f11(X31,f12(X32,X33)),c31,X34))),
     --p22(f3(f4(f5(c26))),X32),
     --p24(X35,f20(f11(X31,f12(X32,X33)))),
     --p25(f16(f17(X34,X35)),f16(f17(X34,f21(X31,X32,X33,X34,X35))))]).
%--------------------------------------------------------------------------
