%--------------------------------------------------------------------------
% File     : SYN657-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4500
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   50 (   3 non-Horn;  20 unit;  42 RR)
%            Number of literals   :  108 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   10 (   0 propositional; 2-2 arity)
%            Number of functors   :   25 (  10 constant; 0-3 arity)
%            Number of variables  :  102 (   2 singleton)
%            Maximal term depth   :    7 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p17_1,conjecture,
    [++p17(X0,X0)]).

input_clause(p7_2,conjecture,
    [++p7(X85,X85)]).

input_clause(p6_3,conjecture,
    [++p6(X71,X71)]).

input_clause(p4_4,conjecture,
    [++p4(X36,X36)]).

input_clause(p3_5,conjecture,
    [++p3(X33,X33)]).

input_clause(p2_6,conjecture,
    [++p2(X5,X5)]).

input_clause(p24_7,conjecture,
    [++p24(c32,c31)]).

input_clause(p26_8,conjecture,
    [++p26(c32,c31)]).

input_clause(p26_9,conjecture,
    [++p26(c31,c35)]).

input_clause(p24_10,conjecture,
    [++p24(c32,c34)]).

input_clause(not_p6_11,conjecture,
    [--p6(c28,f10(c33))]).

input_clause(p23_12,conjecture,
    [++p23(f10(f11(f12(c33))),c28)]).

input_clause(p25_13,conjecture,
    [++p25(c35,f18(f8(c27,f9(c28,c29))))]).

input_clause(p25_14,conjecture,
    [++p25(c32,f18(f8(c27,f9(c28,c29))))]).

input_clause(p6_15,conjecture,
    [++p6(f21(f8(X82,f9(X83,X84))),X83)]).

input_clause(p17_16,conjecture,
    [++p17(f18(X3),f18(X4)),
     --p2(X3,X4)]).

input_clause(p6_17,conjecture,
    [++p6(f21(X80),f21(X81)),
     --p2(X80,X81)]).

input_clause(p6_18,conjecture,
    [++p6(f12(X78),f12(X79)),
     --p6(X78,X79)]).

input_clause(p6_19,conjecture,
    [++p6(f11(X76),f11(X77)),
     --p6(X76,X77)]).

input_clause(p6_20,conjecture,
    [++p6(f10(X74),f10(X75)),
     --p6(X74,X75)]).

input_clause(p4_21,conjecture,
    [++p4(f19(X53),f19(X54)),
     --p4(X53,X54)]).

input_clause(p4_22,conjecture,
    [++p4(f15(X47),f15(X48)),
     --p6(X47,X48)]).

input_clause(p17_23,conjecture,
    [++p17(X1,X2),
     --p17(X0,X1),
     --p17(X0,X2)]).

input_clause(p7_24,conjecture,
    [++p7(X86,X87),
     --p7(X85,X86),
     --p7(X85,X87)]).

input_clause(p6_25,conjecture,
    [++p6(X72,X73),
     --p6(X71,X72),
     --p6(X71,X73)]).

input_clause(p4_26,conjecture,
    [++p4(X37,X38),
     --p4(X36,X37),
     --p4(X36,X38)]).

input_clause(p3_27,conjecture,
    [++p3(X34,X35),
     --p3(X33,X34),
     --p3(X33,X35)]).

input_clause(p2_28,conjecture,
    [++p2(X6,X7),
     --p2(X5,X6),
     --p2(X5,X7)]).

input_clause(p4_29,conjecture,
    [++p4(f5(f8(c27,f9(c28,c29)),c30,c31),c32)]).

input_clause(p4_30,conjecture,
    [++p4(c35,f13(c32,f16(f8(c27,f9(c28,c29)),c31)))]).

input_clause(p23_31,conjecture,
    [++p23(X12,X13),
     --p6(X14,X12),
     --p6(X15,X13),
     --p23(X14,X15)]).

input_clause(p26_32,conjecture,
    [++p26(X28,X29),
     --p4(X30,X28),
     --p4(X31,X29),
     --p26(X30,X31)]).

input_clause(p25_33,conjecture,
    [++p25(X21,X22),
     --p25(X24,X23),
     --p4(X24,X21),
     --p17(X23,X22)]).

input_clause(p24_34,conjecture,
    [++p24(X16,X17),
     --p4(X18,X16),
     --p4(X19,X17),
     --p24(X18,X19)]).

input_clause(p2_35,conjecture,
    [++p2(f8(X8,X9),f8(X10,X11)),
     --p6(X8,X10),
     --p7(X9,X11)]).

input_clause(p7_36,conjecture,
    [++p7(f9(X88,X89),f9(X90,X91)),
     --p6(X88,X90),
     --p6(X89,X91)]).

input_clause(p4_37,conjecture,
    [++p4(f20(X55,X56),f20(X57,X58)),
     --p4(X55,X57),
     --p4(X56,X58)]).

input_clause(p4_38,conjecture,
    [++p4(f16(X49,X50),f16(X51,X52)),
     --p2(X49,X51),
     --p4(X50,X52)]).

input_clause(p4_39,conjecture,
    [++p4(f14(X43,X44),f14(X45,X46)),
     --p4(X43,X45),
     --p4(X44,X46)]).

input_clause(p4_40,conjecture,
    [++p4(f13(X39,X40),f13(X41,X42)),
     --p4(X39,X41),
     --p4(X40,X42)]).

input_clause(not_p24_41,conjecture,
    [--p24(X92,c35),
     --p24(c32,X92),
     --p25(X92,f18(f8(c27,f9(c28,c29))))]).

input_clause(p4_42,conjecture,
    [++p4(f16(f8(c27,f9(c28,c29)),c34),f16(f8(c27,f9(c28,c29)),c31))]).

input_clause(p24_43,conjecture,
    [++p24(c34,f13(c32,f14(f16(f8(c27,f9(c28,c29)),c31),
f15(f10(f11(f12(c33)))))))]).

input_clause(not_p4_44,conjecture,
    [--p4(f5(f8(c27,f9(c28,c29)),c36,c31),f5(f8(c27,f9(c28,c29)),c36,c34))]).

input_clause(p24_45,conjecture,
    [++p24(f19(f20(c31,c34)),f19(f20(c31,X20))),
     --p25(X20,f18(f8(c27,f9(c28,c29))))]).

input_clause(p4_46,conjecture,
    [++p4(f5(X65,X66,X67),f5(X68,X69,X70)),
     --p3(X66,X69),
     --p4(X67,X70),
     --p2(X65,X68)]).

input_clause(p4_47,conjecture,
    [++p4(f22(X59,X60,X61),f22(X62,X63,X64)),
     --p4(X60,X63),
     --p4(X61,X64),
     --p2(X59,X62)]).

input_clause(p6_48,conjecture,
    [++p6(f21(X25),f10(c33)),
     ++p25(f22(X25,X26,X27),f18(X25)),
     ++p4(f5(X25,c36,X26),f5(X25,c36,X27))]).

input_clause(p6_49,conjecture,
    [++p6(f21(X25),f10(c33)),
     ++p4(f5(X25,c36,X26),f5(X25,c36,X27)),
     --p24(f19(f20(X26,X27)),f19(f20(X26,f22(X25,X26,X27))))]).

input_clause(p26_50,conjecture,
    [++p26(f19(f20(c31,c32)),f19(f20(c31,X32))),
     ++p26(f19(f20(c31,c35)),f19(f20(c31,X32))),
     --p25(X32,f18(f8(c27,f9(c28,c29))))]).
%--------------------------------------------------------------------------
