%--------------------------------------------------------------------------
% File     : SYN728+1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Peter Andrews Problem THM69
% Version  : Especial.
% English  : 

% Refs     : [And97] Andrews (1994), Email to G. Sutcliffe
% Source   : [And97]
% Names    : THM69 [And97]

% Status   : theorem
% Rating   : 0.00 v2.5.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    9 (   0 equality)
%            Maximal formula depth :    8 (   8 average)
%            Number of connectives :    9 (   1 ~  ;   1  |;   4  &)
%                                         (   0 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :    8 (   0 singleton;   5 !;   3 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(thm69,conjecture,(
    ( ! [X] : 
        ( ? [Y] : p(X,Y)
       => ! [Z] : p(Z,Z) )
    & ! [R] : 
      ? [S] : 
        ( p(R,S)
        | ( m(R)
          & q(f(R,S)) ) )
    & ! [W] : 
        ( q(W)
       => ~ m(g(W)) ) )
 => ! [U] : 
    ? [V] : 
      ( p(g(U),V)
      & p(U,U) )   )).
%--------------------------------------------------------------------------
