%--------------------------------------------------------------------------
% File     : SYN904-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : QBF converse PDL, SSS - K=4 C=10 V=8 D=4.5
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-qbf-cpdl-cnfSSS-K4-C10-V8-D4.5 [Sch01]

% Status   : satisfiable
% Rating   : 0.60 v2.6.0, 0.75 v2.5.0
% Syntax   : Number of clauses    :  586 (  23 non-Horn;  11 unit; 586 RR)
%            Number of literals   : 2198 (   0 equality)
%            Maximal clause size  :    5 (   3 average)
%            Number of predicates :  517 (  11 propositional; 0-2 arity)
%            Number of functors   :   71 (  11 constant; 0-1 arity)
%            Number of variables  : 1593 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Relational translation with renaming on the *-free converse
%            PDL formula.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--ssSkC10]).

input_clause(clause2,conjecture,
    [--ssSkC9]).

input_clause(clause3,conjecture,
    [--ssSkC8]).

input_clause(clause4,conjecture,
    [--ssSkC7]).

input_clause(clause5,conjecture,
    [--ssSkC6]).

input_clause(clause6,conjecture,
    [--ssSkC5]).

input_clause(clause7,conjecture,
    [--ssSkC4]).

input_clause(clause8,conjecture,
    [--ssSkC3]).

input_clause(clause9,conjecture,
    [--ssSkC2]).

input_clause(clause10,conjecture,
    [--ssSkC1]).

input_clause(clause11,conjecture,
    [--ssSkC0]).

input_clause(clause12,conjecture,
    [++ssSkP479(skc21),
     ++ssSkC10]).

input_clause(clause13,conjecture,
    [++ssSkP356(skc20),
     ++ssSkC9]).

input_clause(clause14,conjecture,
    [++ssSkP315(skc19),
     ++ssSkC8]).

input_clause(clause15,conjecture,
    [++ssSkP281(skc18),
     ++ssSkC7]).

input_clause(clause16,conjecture,
    [++ssSkP239(skc17),
     ++ssSkC6]).

input_clause(clause17,conjecture,
    [++ssSkP197(skc16),
     ++ssSkC5]).

input_clause(clause18,conjecture,
    [++ssSkP176(skc15),
     ++ssSkC4]).

input_clause(clause19,conjecture,
    [++ssSkP144(skc14),
     ++ssSkC3]).

input_clause(clause20,conjecture,
    [++ssSkP115(skc13),
     ++ssSkC2]).

input_clause(clause21,conjecture,
    [++ssSkP75(skc12),
     ++ssSkC1]).

input_clause(clause22,conjecture,
    [++ssSkP41(skc11),
     ++ssSkC0]).

input_clause(clause23,conjecture,
    [--ssSkP384(U),
     ++ssSkP372(U)]).

input_clause(clause24,conjecture,
    [--ssSkP384(U),
     ++ssPv31(U)]).

input_clause(clause25,conjecture,
    [--ssSkP385(U),
     ++ssSkP379(U)]).

input_clause(clause26,conjecture,
    [--ssSkP385(U),
     ++ssPv10(U)]).

input_clause(clause27,conjecture,
    [--ssSkP386(U),
     ++ssSkP375(U)]).

input_clause(clause28,conjecture,
    [--ssSkP386(U),
     ++ssPv30(U)]).

input_clause(clause29,conjecture,
    [--ssSkP387(U),
     ++ssSkP376(U)]).

input_clause(clause30,conjecture,
    [--ssSkP387(U),
     ++ssPv15(U)]).

input_clause(clause31,conjecture,
    [--ssSkP388(U),
     ++ssSkP378(U)]).

input_clause(clause32,conjecture,
    [--ssSkP388(U),
     ++ssPv29(U)]).

input_clause(clause33,conjecture,
    [--ssSkP389(U),
     ++ssSkP374(U)]).

input_clause(clause34,conjecture,
    [--ssSkP389(U),
     ++ssPv12(U)]).

input_clause(clause35,conjecture,
    [--ssSkP390(U),
     ++ssSkP381(U)]).

input_clause(clause36,conjecture,
    [--ssSkP390(U),
     ++ssPv28(U)]).

input_clause(clause37,conjecture,
    [--ssSkP391(U),
     ++ssSkP383(U)]).

input_clause(clause38,conjecture,
    [--ssSkP391(U),
     ++ssPv14(U)]).

input_clause(clause39,conjecture,
    [--ssSkP392(U),
     ++ssSkP373(U)]).

input_clause(clause40,conjecture,
    [--ssSkP392(U),
     ++ssPv27(U)]).

input_clause(clause41,conjecture,
    [--ssSkP394(U),
     ++ssSkP377(U)]).

input_clause(clause42,conjecture,
    [--ssSkP394(U),
     ++ssPv26(U)]).

input_clause(clause43,conjecture,
    [--ssSkP395(U),
     ++ssSkP380(U)]).

input_clause(clause44,conjecture,
    [--ssSkP395(U),
     ++ssPv13(U)]).

input_clause(clause45,conjecture,
    [--ssSkP396(U),
     ++ssSkP382(U)]).

input_clause(clause46,conjecture,
    [--ssSkP396(U),
     ++ssPv25(U)]).

input_clause(clause47,conjecture,
    [--ssSkP397(U),
     ++ssSkP357(U)]).

input_clause(clause48,conjecture,
    [--ssSkP397(U),
     ++ssSkP393(U)]).

input_clause(clause49,conjecture,
    [--ssSkP411(U),
     ++ssSkP410(U)]).

input_clause(clause50,conjecture,
    [--ssSkP413(U),
     ++ssSkP412(U)]).

input_clause(clause51,conjecture,
    [--ssSkP415(U),
     ++ssSkP414(U)]).

input_clause(clause52,conjecture,
    [--ssSkP417(U),
     ++ssSkP416(U)]).

input_clause(clause53,conjecture,
    [--ssSkP419(U),
     ++ssSkP409(U)]).

input_clause(clause54,conjecture,
    [--ssSkP419(U),
     ++ssSkP418(U)]).

input_clause(clause55,conjecture,
    [--ssSkP421(U),
     ++ssSkP420(U)]).

input_clause(clause56,conjecture,
    [--ssSkP423(U),
     ++ssSkP408(U)]).

input_clause(clause57,conjecture,
    [--ssSkP423(U),
     ++ssSkP422(U)]).

input_clause(clause58,conjecture,
    [--ssSkP425(U),
     ++ssSkP407(U)]).

input_clause(clause59,conjecture,
    [--ssSkP425(U),
     ++ssSkP424(U)]).

input_clause(clause60,conjecture,
    [--ssSkP427(U),
     ++ssSkP406(U)]).

input_clause(clause61,conjecture,
    [--ssSkP427(U),
     ++ssSkP426(U)]).

input_clause(clause62,conjecture,
    [--ssSkP429(U),
     ++ssSkP405(U)]).

input_clause(clause63,conjecture,
    [--ssSkP429(U),
     ++ssSkP428(U)]).

input_clause(clause64,conjecture,
    [--ssSkP431(U),
     ++ssSkP430(U)]).

input_clause(clause65,conjecture,
    [--ssSkP433(U),
     ++ssSkP432(U)]).

input_clause(clause66,conjecture,
    [--ssSkP435(U),
     ++ssSkP434(U)]).

input_clause(clause67,conjecture,
    [--ssSkP437(U),
     ++ssSkP436(U)]).

input_clause(clause68,conjecture,
    [--ssSkP439(U),
     ++ssSkP438(U)]).

input_clause(clause69,conjecture,
    [--ssSkP441(U),
     ++ssSkP440(U)]).

input_clause(clause70,conjecture,
    [--ssSkP443(U),
     ++ssSkP442(U)]).

input_clause(clause71,conjecture,
    [--ssSkP445(U),
     ++ssSkP444(U)]).

input_clause(clause72,conjecture,
    [--ssSkP447(U),
     ++ssSkP446(U)]).

input_clause(clause73,conjecture,
    [--ssSkP449(U),
     ++ssSkP404(U)]).

input_clause(clause74,conjecture,
    [--ssSkP449(U),
     ++ssSkP448(U)]).

input_clause(clause75,conjecture,
    [--ssSkP451(U),
     ++ssSkP403(U)]).

input_clause(clause76,conjecture,
    [--ssSkP451(U),
     ++ssSkP450(U)]).

input_clause(clause77,conjecture,
    [--ssSkP453(U),
     ++ssSkP402(U)]).

input_clause(clause78,conjecture,
    [--ssSkP453(U),
     ++ssSkP452(U)]).

input_clause(clause79,conjecture,
    [--ssSkP455(U),
     ++ssSkP401(U)]).

input_clause(clause80,conjecture,
    [--ssSkP455(U),
     ++ssSkP454(U)]).

input_clause(clause81,conjecture,
    [--ssSkP457(U),
     ++ssSkP400(U)]).

input_clause(clause82,conjecture,
    [--ssSkP457(U),
     ++ssSkP456(U)]).

input_clause(clause83,conjecture,
    [--ssSkP459(U),
     ++ssSkP399(U)]).

input_clause(clause84,conjecture,
    [--ssSkP459(U),
     ++ssSkP458(U)]).

input_clause(clause85,conjecture,
    [--ssSkP461(U),
     ++ssSkP398(U)]).

input_clause(clause86,conjecture,
    [--ssSkP461(U),
     ++ssSkP460(U)]).

input_clause(clause87,conjecture,
    [--ssSkP463(U),
     ++ssSkP462(U)]).

input_clause(clause88,conjecture,
    [--ssSkP465(U),
     ++ssSkP464(U)]).

input_clause(clause89,conjecture,
    [--ssSkP467(U),
     ++ssSkP466(U)]).

input_clause(clause90,conjecture,
    [--ssSkP469(U),
     ++ssSkP468(U)]).

input_clause(clause91,conjecture,
    [--ssSkP471(U),
     ++ssSkP470(U)]).

input_clause(clause92,conjecture,
    [--ssSkP473(U),
     ++ssSkP472(U)]).

input_clause(clause93,conjecture,
    [--ssSkP475(U),
     ++ssSkP474(U)]).

input_clause(clause94,conjecture,
    [--ssSkP477(U),
     ++ssSkP476(U)]).

input_clause(clause95,conjecture,
    [--ssSkP479(U),
     ++ssSkP478(U)]).

input_clause(clause96,conjecture,
    [--ssSkP372(U),
     ++ssSkP359(skf73(U))]).

input_clause(clause97,conjecture,
    [--ssSkP373(U),
     ++ssSkP365(skf74(U))]).

input_clause(clause98,conjecture,
    [--ssSkP374(U),
     ++ssSkP369(skf75(U))]).

input_clause(clause99,conjecture,
    [--ssSkP375(U),
     ++ssSkP363(skf76(U))]).

input_clause(clause100,conjecture,
    [--ssSkP376(U),
     ++ssSkP362(skf77(U))]).

input_clause(clause101,conjecture,
    [--ssSkP377(U),
     ++ssSkP370(skf78(U))]).

input_clause(clause102,conjecture,
    [--ssSkP378(U),
     ++ssSkP367(skf79(U))]).

input_clause(clause103,conjecture,
    [--ssSkP379(U),
     ++ssSkP368(skf80(U))]).

input_clause(clause104,conjecture,
    [--ssSkP380(U),
     ++ssSkP364(skf81(U))]).

input_clause(clause105,conjecture,
    [--ssSkP381(U),
     ++ssSkP360(skf82(U))]).

input_clause(clause106,conjecture,
    [--ssSkP382(U),
     ++ssSkP366(skf83(U))]).

input_clause(clause107,conjecture,
    [--ssSkP383(U),
     ++ssSkP361(skf84(U))]).

input_clause(clause108,conjecture,
    [--ssSkP398(U),
     ++ssSkP384(skf85(U))]).

input_clause(clause109,conjecture,
    [--ssSkP399(U),
     ++ssSkP386(skf86(U))]).

input_clause(clause110,conjecture,
    [--ssSkP400(U),
     ++ssSkP388(skf87(U))]).

input_clause(clause111,conjecture,
    [--ssSkP401(U),
     ++ssSkP390(skf88(U))]).

input_clause(clause112,conjecture,
    [--ssSkP402(U),
     ++ssSkP392(skf89(U))]).

input_clause(clause113,conjecture,
    [--ssSkP403(U),
     ++ssSkP394(skf90(U))]).

input_clause(clause114,conjecture,
    [--ssSkP404(U),
     ++ssSkP396(skf91(U))]).

input_clause(clause115,conjecture,
    [--ssSkP405(U),
     ++ssSkP387(skf92(U))]).

input_clause(clause116,conjecture,
    [--ssSkP406(U),
     ++ssSkP391(skf93(U))]).

input_clause(clause117,conjecture,
    [--ssSkP407(U),
     ++ssSkP395(skf94(U))]).

input_clause(clause118,conjecture,
    [--ssSkP408(U),
     ++ssSkP389(skf95(U))]).

input_clause(clause119,conjecture,
    [--ssSkP409(U),
     ++ssSkP385(skf96(U))]).

input_clause(clause120,conjecture,
    [--ssSkP357(U),
     ++ssRr(U,skf60(U))]).

input_clause(clause121,conjecture,
    [--ssPv31(skf61(U)),
     --ssSkP359(U)]).

input_clause(clause122,conjecture,
    [--ssSkP359(U),
     ++ssRr(U,skf61(U))]).

input_clause(clause123,conjecture,
    [--ssPv28(skf62(U)),
     --ssSkP360(U)]).

input_clause(clause124,conjecture,
    [--ssSkP360(U),
     ++ssRr(U,skf62(U))]).

input_clause(clause125,conjecture,
    [--ssPv14(skf63(U)),
     --ssSkP361(U)]).

input_clause(clause126,conjecture,
    [--ssSkP361(U),
     ++ssRr(U,skf63(U))]).

input_clause(clause127,conjecture,
    [--ssPv15(skf64(U)),
     --ssSkP362(U)]).

input_clause(clause128,conjecture,
    [--ssSkP362(U),
     ++ssRr(U,skf64(U))]).

input_clause(clause129,conjecture,
    [--ssPv30(skf65(U)),
     --ssSkP363(U)]).

input_clause(clause130,conjecture,
    [--ssSkP363(U),
     ++ssRr(U,skf65(U))]).

input_clause(clause131,conjecture,
    [--ssPv13(skf66(U)),
     --ssSkP364(U)]).

input_clause(clause132,conjecture,
    [--ssSkP364(U),
     ++ssRr(U,skf66(U))]).

input_clause(clause133,conjecture,
    [--ssPv27(skf67(U)),
     --ssSkP365(U)]).

input_clause(clause134,conjecture,
    [--ssSkP365(U),
     ++ssRr(U,skf67(U))]).

input_clause(clause135,conjecture,
    [--ssPv25(skf68(U)),
     --ssSkP366(U)]).

input_clause(clause136,conjecture,
    [--ssSkP366(U),
     ++ssRr(U,skf68(U))]).

input_clause(clause137,conjecture,
    [--ssPv29(skf69(U)),
     --ssSkP367(U)]).

input_clause(clause138,conjecture,
    [--ssSkP367(U),
     ++ssRr(U,skf69(U))]).

input_clause(clause139,conjecture,
    [--ssPv10(skf70(U)),
     --ssSkP368(U)]).

input_clause(clause140,conjecture,
    [--ssSkP368(U),
     ++ssRr(U,skf70(U))]).

input_clause(clause141,conjecture,
    [--ssPv12(skf71(U)),
     --ssSkP369(U)]).

input_clause(clause142,conjecture,
    [--ssSkP369(U),
     ++ssRr(U,skf71(U))]).

input_clause(clause143,conjecture,
    [--ssPv26(skf72(U)),
     --ssSkP370(U)]).

input_clause(clause144,conjecture,
    [--ssSkP370(U),
     ++ssRr(U,skf72(U))]).

input_clause(clause145,conjecture,
    [--ssSkP372(U),
     ++ssRr(skf73(U),U)]).

input_clause(clause146,conjecture,
    [--ssSkP373(U),
     ++ssRr(skf74(U),U)]).

input_clause(clause147,conjecture,
    [--ssSkP374(U),
     ++ssRr(skf75(U),U)]).

input_clause(clause148,conjecture,
    [--ssSkP375(U),
     ++ssRr(skf76(U),U)]).

input_clause(clause149,conjecture,
    [--ssSkP376(U),
     ++ssRr(skf77(U),U)]).

input_clause(clause150,conjecture,
    [--ssSkP377(U),
     ++ssRr(skf78(U),U)]).

input_clause(clause151,conjecture,
    [--ssSkP378(U),
     ++ssRr(skf79(U),U)]).

input_clause(clause152,conjecture,
    [--ssSkP379(U),
     ++ssRr(skf80(U),U)]).

input_clause(clause153,conjecture,
    [--ssSkP380(U),
     ++ssRr(skf81(U),U)]).

input_clause(clause154,conjecture,
    [--ssSkP381(U),
     ++ssRr(skf82(U),U)]).

input_clause(clause155,conjecture,
    [--ssSkP382(U),
     ++ssRr(skf83(U),U)]).

input_clause(clause156,conjecture,
    [--ssSkP383(U),
     ++ssRr(skf84(U),U)]).

input_clause(clause157,conjecture,
    [--ssSkP398(U),
     ++ssRr(U,skf85(U))]).

input_clause(clause158,conjecture,
    [--ssSkP399(U),
     ++ssRr(U,skf86(U))]).

input_clause(clause159,conjecture,
    [--ssSkP400(U),
     ++ssRr(U,skf87(U))]).

input_clause(clause160,conjecture,
    [--ssSkP401(U),
     ++ssRr(U,skf88(U))]).

input_clause(clause161,conjecture,
    [--ssSkP402(U),
     ++ssRr(U,skf89(U))]).

input_clause(clause162,conjecture,
    [--ssSkP403(U),
     ++ssRr(U,skf90(U))]).

input_clause(clause163,conjecture,
    [--ssSkP404(U),
     ++ssRr(U,skf91(U))]).

input_clause(clause164,conjecture,
    [--ssSkP405(U),
     ++ssRr(U,skf92(U))]).

input_clause(clause165,conjecture,
    [--ssSkP406(U),
     ++ssRr(U,skf93(U))]).

input_clause(clause166,conjecture,
    [--ssSkP407(U),
     ++ssRr(U,skf94(U))]).

input_clause(clause167,conjecture,
    [--ssSkP408(U),
     ++ssRr(U,skf95(U))]).

input_clause(clause168,conjecture,
    [--ssSkP409(U),
     ++ssRr(U,skf96(U))]).

input_clause(clause169,conjecture,
    [--ssSkP411(U),
     ++ssRr(U,skf97(U))]).

input_clause(clause170,conjecture,
    [--ssSkP413(U),
     ++ssRr(U,skf98(U))]).

input_clause(clause171,conjecture,
    [--ssSkP415(U),
     ++ssRr(U,skf99(U))]).

input_clause(clause172,conjecture,
    [--ssSkP417(U),
     ++ssRr(U,skf100(U))]).

input_clause(clause173,conjecture,
    [--ssSkP421(U),
     ++ssRr(U,skf101(U))]).

input_clause(clause174,conjecture,
    [--ssSkP431(U),
     ++ssRr(U,skf102(U))]).

input_clause(clause175,conjecture,
    [--ssSkP433(U),
     ++ssRr(U,skf103(U))]).

input_clause(clause176,conjecture,
    [--ssSkP435(U),
     ++ssRr(U,skf104(U))]).

input_clause(clause177,conjecture,
    [--ssSkP437(U),
     ++ssRr(U,skf105(U))]).

input_clause(clause178,conjecture,
    [--ssSkP439(U),
     ++ssRr(U,skf106(U))]).

input_clause(clause179,conjecture,
    [--ssSkP441(U),
     ++ssRr(U,skf107(U))]).

input_clause(clause180,conjecture,
    [--ssSkP443(U),
     ++ssRr(U,skf108(U))]).

input_clause(clause181,conjecture,
    [--ssSkP445(U),
     ++ssRr(U,skf109(U))]).

input_clause(clause182,conjecture,
    [--ssSkP447(U),
     ++ssRr(U,skf110(U))]).

input_clause(clause183,conjecture,
    [--ssSkP463(U),
     ++ssRr(U,skf111(U))]).

input_clause(clause184,conjecture,
    [--ssSkP465(U),
     ++ssRr(U,skf112(U))]).

input_clause(clause185,conjecture,
    [--ssSkP467(U),
     ++ssRr(U,skf113(U))]).

input_clause(clause186,conjecture,
    [--ssSkP469(U),
     ++ssRr(U,skf114(U))]).

input_clause(clause187,conjecture,
    [--ssSkP471(U),
     ++ssRr(U,skf115(U))]).

input_clause(clause188,conjecture,
    [--ssSkP473(U),
     ++ssRr(U,skf116(U))]).

input_clause(clause189,conjecture,
    [--ssSkP475(U),
     ++ssRr(U,skf117(U))]).

input_clause(clause190,conjecture,
    [--ssSkP477(U),
     ++ssRr(U,skf118(U))]).

input_clause(clause191,conjecture,
    [--ssSkP479(U),
     ++ssRr(U,skf119(U))]).

input_clause(clause192,conjecture,
    [--ssSkP332(U),
     ++ssPv19(U),
     ++ssSkP331(U)]).

input_clause(clause193,conjecture,
    [--ssSkP308(U),
     ++ssPv34(U),
     ++ssSkP307(U)]).

input_clause(clause194,conjecture,
    [--ssSkP270(U),
     ++ssPv31(U),
     ++ssSkP269(U)]).

input_clause(clause195,conjecture,
    [--ssSkP234(U),
     ++ssPv36(U),
     ++ssSkP233(U)]).

input_clause(clause196,conjecture,
    [--ssSkP192(U),
     ++ssPv36(U),
     ++ssSkP191(U)]).

input_clause(clause197,conjecture,
    [--ssSkP189(U),
     ++ssPv34(U),
     ++ssSkP188(U)]).

input_clause(clause198,conjecture,
    [--ssSkP148(U),
     ++ssPv15(U),
     ++ssSkP147(U)]).

input_clause(clause199,conjecture,
    [--ssSkP140(U),
     ++ssPv37(U),
     ++ssSkP139(U)]).

input_clause(clause200,conjecture,
    [--ssSkP130(U),
     ++ssPv28(U),
     ++ssSkP129(U)]).

input_clause(clause201,conjecture,
    [--ssSkP113(U),
     ++ssPv39(U),
     ++ssSkP112(U)]).

input_clause(clause202,conjecture,
    [--ssSkP73(U),
     ++ssPv39(U),
     ++ssSkP72(U)]).

input_clause(clause203,conjecture,
    [--ssSkP30(U),
     ++ssPv31(U),
     ++ssSkP29(U)]).

input_clause(clause204,conjecture,
    [--ssSkP345(U),
     --ssPv30(U),
     ++ssSkP344(U)]).

input_clause(clause205,conjecture,
    [--ssSkP339(U),
     --ssPv25(U),
     ++ssSkP338(U)]).

input_clause(clause206,conjecture,
    [--ssSkP295(U),
     --ssPv22(U),
     ++ssSkP294(U)]).

input_clause(clause207,conjecture,
    [--ssSkP285(U),
     --ssPv13(U),
     ++ssSkP284(U)]).

input_clause(clause208,conjecture,
    [--ssSkP276(U),
     --ssPv36(U),
     ++ssSkP275(U)]).

input_clause(clause209,conjecture,
    [--ssSkP263(U),
     --ssPv25(U),
     ++ssSkP262(U)]).

input_clause(clause210,conjecture,
    [--ssSkP222(U),
     --ssPv25(U),
     ++ssSkP221(U)]).

input_clause(clause211,conjecture,
    [--ssSkP206(U),
     --ssPv10(U),
     ++ssSkP205(U)]).

input_clause(clause212,conjecture,
    [--ssSkP183(U),
     --ssPv29(U),
     ++ssSkP182(U)]).

input_clause(clause213,conjecture,
    [--ssSkP172(U),
     --ssPv37(U),
     ++ssSkP171(U)]).

input_clause(clause214,conjecture,
    [--ssSkP154(U),
     --ssPv20(U),
     ++ssSkP153(U)]).

input_clause(clause215,conjecture,
    [--ssSkP127(U),
     --ssPv26(U),
     ++ssSkP126(U)]).

input_clause(clause216,conjecture,
    [--ssSkP102(U),
     --ssPv29(U),
     ++ssSkP101(U)]).

input_clause(clause217,conjecture,
    [--ssSkP86(U),
     --ssPv14(U),
     ++ssSkP85(U)]).

input_clause(clause218,conjecture,
    [--ssSkP66(U),
     --ssPv33(U),
     ++ssSkP65(U)]).

input_clause(clause219,conjecture,
    [--ssSkP59(U),
     --ssPv27(U),
     ++ssSkP58(U)]).

input_clause(clause220,conjecture,
    [--ssSkP40(U),
     --ssPv40(U),
     ++ssSkP39(U)]).

input_clause(clause221,conjecture,
    [--ssSkP28(U),
     --ssPv30(U),
     ++ssSkP27(U)]).

input_clause(clause222,conjecture,
    [--ssSkP371(U,V),
     --ssSkP478(V),
     ++ssSkP477(U)]).

input_clause(clause223,conjecture,
    [--ssSkP371(U,V),
     --ssSkP476(V),
     ++ssSkP475(U)]).

input_clause(clause224,conjecture,
    [--ssSkP317(U,V),
     --ssSkP356(V),
     ++ssSkP355(U)]).

input_clause(clause225,conjecture,
    [--ssSkP317(U,V),
     --ssSkP355(V),
     ++ssSkP354(U)]).

input_clause(clause226,conjecture,
    [--ssSkP283(U,V),
     --ssSkP315(V),
     ++ssSkP314(U)]).

input_clause(clause227,conjecture,
    [--ssSkP283(U,V),
     --ssSkP314(V),
     ++ssSkP313(U)]).

input_clause(clause228,conjecture,
    [--ssSkP241(U,V),
     --ssSkP281(V),
     ++ssSkP280(U)]).

input_clause(clause229,conjecture,
    [--ssSkP241(U,V),
     --ssSkP280(V),
     ++ssSkP279(U)]).

input_clause(clause230,conjecture,
    [--ssSkP199(U,V),
     --ssSkP239(V),
     ++ssSkP238(U)]).

input_clause(clause231,conjecture,
    [--ssSkP199(U,V),
     --ssSkP238(V),
     ++ssSkP237(U)]).

input_clause(clause232,conjecture,
    [--ssSkP178(U,V),
     --ssSkP197(V),
     ++ssSkP196(U)]).

input_clause(clause233,conjecture,
    [--ssSkP178(U,V),
     --ssSkP196(V),
     ++ssSkP195(U)]).

input_clause(clause234,conjecture,
    [--ssSkP146(U,V),
     --ssSkP176(V),
     ++ssSkP175(U)]).

input_clause(clause235,conjecture,
    [--ssSkP146(U,V),
     --ssSkP175(V),
     ++ssSkP174(U)]).

input_clause(clause236,conjecture,
    [--ssSkP117(U,V),
     --ssSkP144(V),
     ++ssSkP143(U)]).

input_clause(clause237,conjecture,
    [--ssSkP117(U,V),
     --ssSkP143(V),
     ++ssSkP142(U)]).

input_clause(clause238,conjecture,
    [--ssSkP77(U,V),
     --ssSkP115(V),
     ++ssSkP114(U)]).

input_clause(clause239,conjecture,
    [--ssSkP77(U,V),
     --ssSkP114(V),
     ++ssSkP113(U)]).

input_clause(clause240,conjecture,
    [--ssSkP43(U,V),
     --ssSkP75(V),
     ++ssSkP74(U)]).

input_clause(clause241,conjecture,
    [--ssSkP43(U,V),
     --ssSkP74(V),
     ++ssSkP73(U)]).

input_clause(clause242,conjecture,
    [--ssSkP1(U,V),
     --ssSkP41(V),
     ++ssSkP40(U)]).

input_clause(clause243,conjecture,
    [--ssSkP1(U,V),
     --ssSkP39(V),
     ++ssSkP38(U)]).

input_clause(clause244,conjecture,
    [--ssRr(U,V),
     --ssSkP358(W,V),
     ++ssSkP371(W,U)]).

input_clause(clause245,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP358(W,V)]).

input_clause(clause246,conjecture,
    [--ssRr(U,V),
     --ssSkP316(W,V),
     ++ssSkP317(W,U)]).

input_clause(clause247,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP316(W,V)]).

input_clause(clause248,conjecture,
    [--ssRr(U,V),
     --ssSkP282(W,V),
     ++ssSkP283(W,U)]).

input_clause(clause249,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP282(W,V)]).

input_clause(clause250,conjecture,
    [--ssRr(U,V),
     --ssSkP240(W,V),
     ++ssSkP241(W,U)]).

input_clause(clause251,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP240(W,V)]).

input_clause(clause252,conjecture,
    [--ssRr(U,V),
     --ssSkP198(W,V),
     ++ssSkP199(W,U)]).

input_clause(clause253,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP198(W,V)]).

input_clause(clause254,conjecture,
    [--ssRr(U,V),
     --ssSkP177(W,V),
     ++ssSkP178(W,U)]).

input_clause(clause255,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP177(W,V)]).

input_clause(clause256,conjecture,
    [--ssRr(U,V),
     --ssSkP145(W,V),
     ++ssSkP146(W,U)]).

input_clause(clause257,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP145(W,V)]).

input_clause(clause258,conjecture,
    [--ssRr(U,V),
     --ssSkP116(W,V),
     ++ssSkP117(W,U)]).

input_clause(clause259,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP116(W,V)]).

input_clause(clause260,conjecture,
    [--ssRr(U,V),
     --ssSkP76(W,V),
     ++ssSkP77(W,U)]).

input_clause(clause261,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP76(W,V)]).

input_clause(clause262,conjecture,
    [--ssRr(U,V),
     --ssSkP42(W,V),
     ++ssSkP43(W,U)]).

input_clause(clause263,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP42(W,V)]).

input_clause(clause264,conjecture,
    [--ssRr(U,V),
     --ssSkP0(W,V),
     ++ssSkP1(W,U)]).

input_clause(clause265,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP0(W,V)]).

input_clause(clause266,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP474(X),
     ++ssSkP473(W)]).

input_clause(clause267,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP472(X),
     ++ssSkP471(W)]).

input_clause(clause268,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP470(X),
     ++ssSkP469(W)]).

input_clause(clause269,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP468(X),
     ++ssSkP467(W)]).

input_clause(clause270,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP466(X),
     ++ssSkP465(W)]).

input_clause(clause271,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP464(X),
     ++ssSkP463(W)]).

input_clause(clause272,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP462(X),
     ++ssSkP461(W)]).

input_clause(clause273,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP460(X),
     ++ssSkP459(W)]).

input_clause(clause274,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP458(X),
     ++ssSkP457(W)]).

input_clause(clause275,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP456(X),
     ++ssSkP455(W)]).

input_clause(clause276,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP454(X),
     ++ssSkP453(W)]).

input_clause(clause277,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP452(X),
     ++ssSkP451(W)]).

input_clause(clause278,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP450(X),
     ++ssSkP449(W)]).

input_clause(clause279,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP448(X),
     ++ssSkP447(W)]).

input_clause(clause280,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP446(X),
     ++ssSkP445(W)]).

input_clause(clause281,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP444(X),
     ++ssSkP443(W)]).

input_clause(clause282,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP442(X),
     ++ssSkP441(W)]).

input_clause(clause283,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP440(X),
     ++ssSkP439(W)]).

input_clause(clause284,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP438(X),
     ++ssSkP437(W)]).

input_clause(clause285,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP436(X),
     ++ssSkP435(W)]).

input_clause(clause286,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP434(X),
     ++ssSkP433(W)]).

input_clause(clause287,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP432(X),
     ++ssSkP431(W)]).

input_clause(clause288,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP430(X),
     ++ssSkP429(W)]).

input_clause(clause289,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP428(X),
     ++ssSkP427(W)]).

input_clause(clause290,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP426(X),
     ++ssSkP425(W)]).

input_clause(clause291,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP424(X),
     ++ssSkP423(W)]).

input_clause(clause292,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP422(X),
     ++ssSkP421(W)]).

input_clause(clause293,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP420(X),
     ++ssSkP419(W)]).

input_clause(clause294,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP418(X),
     ++ssSkP417(W)]).

input_clause(clause295,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP416(X),
     ++ssSkP415(W)]).

input_clause(clause296,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP414(X),
     ++ssSkP413(W)]).

input_clause(clause297,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP412(X),
     ++ssSkP411(W)]).

input_clause(clause298,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP410(X),
     ++ssSkP397(W)]).

input_clause(clause299,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP393(X),
     ++ssSkP357(W)]).

input_clause(clause300,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP354(X),
     ++ssSkP353(W)]).

input_clause(clause301,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP353(X),
     ++ssSkP352(W)]).

input_clause(clause302,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP352(X),
     ++ssSkP351(W)]).

input_clause(clause303,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP351(X),
     ++ssSkP350(W)]).

input_clause(clause304,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP350(X),
     ++ssSkP349(W)]).

input_clause(clause305,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP349(X),
     ++ssSkP348(W)]).

input_clause(clause306,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP348(X),
     ++ssSkP347(W)]).

input_clause(clause307,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP347(X),
     ++ssSkP346(W)]).

input_clause(clause308,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP346(X),
     ++ssSkP345(W)]).

input_clause(clause309,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP344(X),
     ++ssSkP343(W)]).

input_clause(clause310,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP343(X),
     ++ssSkP342(W)]).

input_clause(clause311,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP342(X),
     ++ssSkP341(W)]).

input_clause(clause312,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP341(X),
     ++ssSkP340(W)]).

input_clause(clause313,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP340(X),
     ++ssSkP339(W)]).

input_clause(clause314,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP338(X),
     ++ssSkP337(W)]).

input_clause(clause315,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP337(X),
     ++ssSkP336(W)]).

input_clause(clause316,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP336(X),
     ++ssSkP335(W)]).

input_clause(clause317,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP335(X),
     ++ssSkP334(W)]).

input_clause(clause318,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP334(X),
     ++ssSkP333(W)]).

input_clause(clause319,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP333(X),
     ++ssSkP332(W)]).

input_clause(clause320,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP331(X),
     ++ssSkP330(W)]).

input_clause(clause321,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP330(X),
     ++ssSkP329(W)]).

input_clause(clause322,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP329(X),
     ++ssSkP328(W)]).

input_clause(clause323,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP328(X),
     ++ssSkP327(W)]).

input_clause(clause324,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP327(X),
     ++ssSkP326(W)]).

input_clause(clause325,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP326(X),
     ++ssSkP325(W)]).

input_clause(clause326,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP325(X),
     ++ssSkP324(W)]).

input_clause(clause327,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP324(X),
     ++ssSkP323(W)]).

input_clause(clause328,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP323(X),
     ++ssSkP322(W)]).

input_clause(clause329,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP322(X),
     ++ssSkP321(W)]).

input_clause(clause330,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP321(X),
     ++ssSkP320(W)]).

input_clause(clause331,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP320(X),
     ++ssSkP319(W)]).

input_clause(clause332,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP319(X),
     ++ssSkP318(W)]).

input_clause(clause333,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP318(X),
     ++ssPv5(W)]).

input_clause(clause334,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP313(X),
     ++ssSkP312(W)]).

input_clause(clause335,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP312(X),
     ++ssSkP311(W)]).

input_clause(clause336,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP311(X),
     ++ssSkP310(W)]).

input_clause(clause337,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP310(X),
     ++ssSkP309(W)]).

input_clause(clause338,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP309(X),
     ++ssSkP308(W)]).

input_clause(clause339,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP307(X),
     ++ssSkP306(W)]).

input_clause(clause340,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP306(X),
     ++ssSkP305(W)]).

input_clause(clause341,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP305(X),
     ++ssSkP304(W)]).

input_clause(clause342,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP304(X),
     ++ssSkP303(W)]).

input_clause(clause343,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP303(X),
     ++ssSkP302(W)]).

input_clause(clause344,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP302(X),
     ++ssSkP301(W)]).

input_clause(clause345,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP301(X),
     ++ssSkP300(W)]).

input_clause(clause346,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP300(X),
     ++ssSkP299(W)]).

input_clause(clause347,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP299(X),
     ++ssSkP298(W)]).

input_clause(clause348,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP298(X),
     ++ssSkP297(W)]).

input_clause(clause349,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP297(X),
     ++ssSkP296(W)]).

input_clause(clause350,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP296(X),
     ++ssSkP295(W)]).

input_clause(clause351,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP294(X),
     ++ssSkP293(W)]).

input_clause(clause352,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP293(X),
     ++ssSkP292(W)]).

input_clause(clause353,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP292(X),
     ++ssSkP291(W)]).

input_clause(clause354,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP291(X),
     ++ssSkP290(W)]).

input_clause(clause355,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP290(X),
     ++ssSkP289(W)]).

input_clause(clause356,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP289(X),
     ++ssSkP288(W)]).

input_clause(clause357,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP288(X),
     ++ssSkP287(W)]).

input_clause(clause358,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP287(X),
     ++ssSkP286(W)]).

input_clause(clause359,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP286(X),
     ++ssSkP285(W)]).

input_clause(clause360,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP284(X),
     ++ssPv12(W)]).

input_clause(clause361,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP279(X),
     ++ssSkP278(W)]).

input_clause(clause362,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP278(X),
     ++ssSkP277(W)]).

input_clause(clause363,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP277(X),
     ++ssSkP276(W)]).

input_clause(clause364,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP275(X),
     ++ssSkP274(W)]).

input_clause(clause365,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP274(X),
     ++ssSkP273(W)]).

input_clause(clause366,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP273(X),
     ++ssSkP272(W)]).

input_clause(clause367,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP272(X),
     ++ssSkP271(W)]).

input_clause(clause368,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP271(X),
     ++ssSkP270(W)]).

input_clause(clause369,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP269(X),
     ++ssSkP268(W)]).

input_clause(clause370,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP268(X),
     ++ssSkP267(W)]).

input_clause(clause371,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP267(X),
     ++ssSkP266(W)]).

input_clause(clause372,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP266(X),
     ++ssSkP265(W)]).

input_clause(clause373,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP265(X),
     ++ssSkP264(W)]).

input_clause(clause374,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP264(X),
     ++ssSkP263(W)]).

input_clause(clause375,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP262(X),
     ++ssSkP261(W)]).

input_clause(clause376,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP261(X),
     ++ssSkP260(W)]).

input_clause(clause377,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP260(X),
     ++ssSkP259(W)]).

input_clause(clause378,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP259(X),
     ++ssSkP258(W)]).

input_clause(clause379,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP258(X),
     ++ssSkP257(W)]).

input_clause(clause380,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP257(X),
     ++ssSkP256(W)]).

input_clause(clause381,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP256(X),
     ++ssSkP255(W)]).

input_clause(clause382,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP255(X),
     ++ssSkP254(W)]).

input_clause(clause383,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP254(X),
     ++ssSkP253(W)]).

input_clause(clause384,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP253(X),
     ++ssSkP252(W)]).

input_clause(clause385,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP252(X),
     ++ssSkP251(W)]).

input_clause(clause386,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP251(X),
     ++ssSkP250(W)]).

input_clause(clause387,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP250(X),
     ++ssSkP249(W)]).

input_clause(clause388,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP249(X),
     ++ssSkP248(W)]).

input_clause(clause389,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP248(X),
     ++ssSkP247(W)]).

input_clause(clause390,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP247(X),
     ++ssSkP246(W)]).

input_clause(clause391,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP246(X),
     ++ssSkP245(W)]).

input_clause(clause392,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP245(X),
     ++ssSkP244(W)]).

input_clause(clause393,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP244(X),
     ++ssSkP243(W)]).

input_clause(clause394,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP243(X),
     ++ssSkP242(W)]).

input_clause(clause395,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP242(X),
     ++ssPv4(W)]).

input_clause(clause396,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP237(X),
     ++ssSkP236(W)]).

input_clause(clause397,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP236(X),
     ++ssSkP235(W)]).

input_clause(clause398,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP235(X),
     ++ssSkP234(W)]).

input_clause(clause399,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP233(X),
     ++ssSkP232(W)]).

input_clause(clause400,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP232(X),
     ++ssSkP231(W)]).

input_clause(clause401,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP231(X),
     ++ssSkP230(W)]).

input_clause(clause402,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP230(X),
     ++ssSkP229(W)]).

input_clause(clause403,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP229(X),
     ++ssSkP228(W)]).

input_clause(clause404,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP228(X),
     ++ssSkP227(W)]).

input_clause(clause405,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP227(X),
     ++ssSkP226(W)]).

input_clause(clause406,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP226(X),
     ++ssSkP225(W)]).

input_clause(clause407,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP225(X),
     ++ssSkP224(W)]).

input_clause(clause408,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP224(X),
     ++ssSkP223(W)]).

input_clause(clause409,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP223(X),
     ++ssSkP222(W)]).

input_clause(clause410,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP221(X),
     ++ssSkP220(W)]).

input_clause(clause411,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP220(X),
     ++ssSkP219(W)]).

input_clause(clause412,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP219(X),
     ++ssSkP218(W)]).

input_clause(clause413,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP218(X),
     ++ssSkP217(W)]).

input_clause(clause414,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP217(X),
     ++ssSkP216(W)]).

input_clause(clause415,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP216(X),
     ++ssSkP215(W)]).

input_clause(clause416,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP215(X),
     ++ssSkP214(W)]).

input_clause(clause417,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP214(X),
     ++ssSkP213(W)]).

input_clause(clause418,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP213(X),
     ++ssSkP212(W)]).

input_clause(clause419,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP212(X),
     ++ssSkP211(W)]).

input_clause(clause420,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP211(X),
     ++ssSkP210(W)]).

input_clause(clause421,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP210(X),
     ++ssSkP209(W)]).

input_clause(clause422,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP209(X),
     ++ssSkP208(W)]).

input_clause(clause423,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP208(X),
     ++ssSkP207(W)]).

input_clause(clause424,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP207(X),
     ++ssSkP206(W)]).

input_clause(clause425,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP205(X),
     ++ssSkP204(W)]).

input_clause(clause426,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP204(X),
     ++ssSkP203(W)]).

input_clause(clause427,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP203(X),
     ++ssSkP202(W)]).

input_clause(clause428,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP202(X),
     ++ssSkP201(W)]).

input_clause(clause429,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP201(X),
     ++ssSkP200(W)]).

input_clause(clause430,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP200(X),
     ++ssPv4(W)]).

input_clause(clause431,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP195(X),
     ++ssSkP194(W)]).

input_clause(clause432,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP194(X),
     ++ssSkP193(W)]).

input_clause(clause433,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP193(X),
     ++ssSkP192(W)]).

input_clause(clause434,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP191(X),
     ++ssSkP190(W)]).

input_clause(clause435,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP190(X),
     ++ssSkP189(W)]).

input_clause(clause436,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP188(X),
     ++ssSkP187(W)]).

input_clause(clause437,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP187(X),
     ++ssSkP186(W)]).

input_clause(clause438,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP186(X),
     ++ssSkP185(W)]).

input_clause(clause439,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP185(X),
     ++ssSkP184(W)]).

input_clause(clause440,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP184(X),
     ++ssSkP183(W)]).

input_clause(clause441,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP182(X),
     ++ssSkP181(W)]).

input_clause(clause442,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP181(X),
     ++ssSkP180(W)]).

input_clause(clause443,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP180(X),
     ++ssSkP179(W)]).

input_clause(clause444,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP174(X),
     ++ssSkP173(W)]).

input_clause(clause445,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP173(X),
     ++ssSkP172(W)]).

input_clause(clause446,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP171(X),
     ++ssSkP170(W)]).

input_clause(clause447,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP170(X),
     ++ssSkP169(W)]).

input_clause(clause448,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP169(X),
     ++ssSkP168(W)]).

input_clause(clause449,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP168(X),
     ++ssSkP167(W)]).

input_clause(clause450,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP167(X),
     ++ssSkP166(W)]).

input_clause(clause451,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP166(X),
     ++ssSkP165(W)]).

input_clause(clause452,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP165(X),
     ++ssSkP164(W)]).

input_clause(clause453,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP164(X),
     ++ssSkP163(W)]).

input_clause(clause454,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP163(X),
     ++ssSkP162(W)]).

input_clause(clause455,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP162(X),
     ++ssSkP161(W)]).

input_clause(clause456,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP161(X),
     ++ssSkP160(W)]).

input_clause(clause457,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP160(X),
     ++ssSkP159(W)]).

input_clause(clause458,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP159(X),
     ++ssSkP158(W)]).

input_clause(clause459,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP158(X),
     ++ssSkP157(W)]).

input_clause(clause460,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP157(X),
     ++ssSkP156(W)]).

input_clause(clause461,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP156(X),
     ++ssSkP155(W)]).

input_clause(clause462,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP155(X),
     ++ssSkP154(W)]).

input_clause(clause463,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP153(X),
     ++ssSkP152(W)]).

input_clause(clause464,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP152(X),
     ++ssSkP151(W)]).

input_clause(clause465,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP151(X),
     ++ssSkP150(W)]).

input_clause(clause466,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP150(X),
     ++ssSkP149(W)]).

input_clause(clause467,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP149(X),
     ++ssSkP148(W)]).

input_clause(clause468,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP142(X),
     ++ssSkP141(W)]).

input_clause(clause469,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP141(X),
     ++ssSkP140(W)]).

input_clause(clause470,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP139(X),
     ++ssSkP138(W)]).

input_clause(clause471,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP138(X),
     ++ssSkP137(W)]).

input_clause(clause472,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP137(X),
     ++ssSkP136(W)]).

input_clause(clause473,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP136(X),
     ++ssSkP135(W)]).

input_clause(clause474,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP135(X),
     ++ssSkP134(W)]).

input_clause(clause475,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP134(X),
     ++ssSkP133(W)]).

input_clause(clause476,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP133(X),
     ++ssSkP132(W)]).

input_clause(clause477,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP132(X),
     ++ssSkP131(W)]).

input_clause(clause478,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP131(X),
     ++ssSkP130(W)]).

input_clause(clause479,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP129(X),
     ++ssSkP128(W)]).

input_clause(clause480,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP128(X),
     ++ssSkP127(W)]).

input_clause(clause481,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP126(X),
     ++ssSkP125(W)]).

input_clause(clause482,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP125(X),
     ++ssSkP124(W)]).

input_clause(clause483,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP124(X),
     ++ssSkP123(W)]).

input_clause(clause484,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP123(X),
     ++ssSkP122(W)]).

input_clause(clause485,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP122(X),
     ++ssSkP121(W)]).

input_clause(clause486,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP121(X),
     ++ssSkP120(W)]).

input_clause(clause487,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP120(X),
     ++ssSkP119(W)]).

input_clause(clause488,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP119(X),
     ++ssSkP118(W)]).

input_clause(clause489,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP118(X),
     ++ssPv17(W)]).

input_clause(clause490,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP112(X),
     ++ssSkP111(W)]).

input_clause(clause491,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP111(X),
     ++ssSkP110(W)]).

input_clause(clause492,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP110(X),
     ++ssSkP109(W)]).

input_clause(clause493,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP109(X),
     ++ssSkP108(W)]).

input_clause(clause494,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP108(X),
     ++ssSkP107(W)]).

input_clause(clause495,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP107(X),
     ++ssSkP106(W)]).

input_clause(clause496,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP106(X),
     ++ssSkP105(W)]).

input_clause(clause497,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP105(X),
     ++ssSkP104(W)]).

input_clause(clause498,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP104(X),
     ++ssSkP103(W)]).

input_clause(clause499,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP103(X),
     ++ssSkP102(W)]).

input_clause(clause500,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP101(X),
     ++ssSkP100(W)]).

input_clause(clause501,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP100(X),
     ++ssSkP99(W)]).

input_clause(clause502,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP99(X),
     ++ssSkP98(W)]).

input_clause(clause503,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP98(X),
     ++ssSkP97(W)]).

input_clause(clause504,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP97(X),
     ++ssSkP96(W)]).

input_clause(clause505,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP96(X),
     ++ssSkP95(W)]).

input_clause(clause506,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP95(X),
     ++ssSkP94(W)]).

input_clause(clause507,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP94(X),
     ++ssSkP93(W)]).

input_clause(clause508,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP93(X),
     ++ssSkP92(W)]).

input_clause(clause509,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP92(X),
     ++ssSkP91(W)]).

input_clause(clause510,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP91(X),
     ++ssSkP90(W)]).

input_clause(clause511,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP90(X),
     ++ssSkP89(W)]).

input_clause(clause512,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP89(X),
     ++ssSkP88(W)]).

input_clause(clause513,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP88(X),
     ++ssSkP87(W)]).

input_clause(clause514,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP87(X),
     ++ssSkP86(W)]).

input_clause(clause515,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP85(X),
     ++ssSkP84(W)]).

input_clause(clause516,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP84(X),
     ++ssSkP83(W)]).

input_clause(clause517,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP83(X),
     ++ssSkP82(W)]).

input_clause(clause518,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP82(X),
     ++ssSkP81(W)]).

input_clause(clause519,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP81(X),
     ++ssSkP80(W)]).

input_clause(clause520,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP80(X),
     ++ssSkP79(W)]).

input_clause(clause521,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP79(X),
     ++ssSkP78(W)]).

input_clause(clause522,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP72(X),
     ++ssSkP71(W)]).

input_clause(clause523,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP71(X),
     ++ssSkP70(W)]).

input_clause(clause524,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP70(X),
     ++ssSkP69(W)]).

input_clause(clause525,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP69(X),
     ++ssSkP68(W)]).

input_clause(clause526,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP68(X),
     ++ssSkP67(W)]).

input_clause(clause527,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP67(X),
     ++ssSkP66(W)]).

input_clause(clause528,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP65(X),
     ++ssSkP64(W)]).

input_clause(clause529,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP64(X),
     ++ssSkP63(W)]).

input_clause(clause530,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP63(X),
     ++ssSkP62(W)]).

input_clause(clause531,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP62(X),
     ++ssSkP61(W)]).

input_clause(clause532,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP61(X),
     ++ssSkP60(W)]).

input_clause(clause533,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP60(X),
     ++ssSkP59(W)]).

input_clause(clause534,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP58(X),
     ++ssSkP57(W)]).

input_clause(clause535,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP57(X),
     ++ssSkP56(W)]).

input_clause(clause536,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP56(X),
     ++ssSkP55(W)]).

input_clause(clause537,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP55(X),
     ++ssSkP54(W)]).

input_clause(clause538,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP54(X),
     ++ssSkP53(W)]).

input_clause(clause539,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP53(X),
     ++ssSkP52(W)]).

input_clause(clause540,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP52(X),
     ++ssSkP51(W)]).

input_clause(clause541,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP51(X),
     ++ssSkP50(W)]).

input_clause(clause542,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP50(X),
     ++ssSkP49(W)]).

input_clause(clause543,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP49(X),
     ++ssSkP48(W)]).

input_clause(clause544,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP48(X),
     ++ssSkP47(W)]).

input_clause(clause545,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP47(X),
     ++ssSkP46(W)]).

input_clause(clause546,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP46(X),
     ++ssSkP45(W)]).

input_clause(clause547,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP45(X),
     ++ssSkP44(W)]).

input_clause(clause548,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP44(X),
     ++ssPv12(W)]).

input_clause(clause549,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP38(X),
     ++ssSkP37(W)]).

input_clause(clause550,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP37(X),
     ++ssSkP36(W)]).

input_clause(clause551,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP36(X),
     ++ssSkP35(W)]).

input_clause(clause552,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP35(X),
     ++ssSkP34(W)]).

input_clause(clause553,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP34(X),
     ++ssSkP33(W)]).

input_clause(clause554,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP33(X),
     ++ssSkP32(W)]).

input_clause(clause555,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP32(X),
     ++ssSkP31(W)]).

input_clause(clause556,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP31(X),
     ++ssSkP30(W)]).

input_clause(clause557,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP29(X),
     ++ssSkP28(W)]).

input_clause(clause558,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP27(X),
     ++ssSkP26(W)]).

input_clause(clause559,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP26(X),
     ++ssSkP25(W)]).

input_clause(clause560,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP25(X),
     ++ssSkP24(W)]).

input_clause(clause561,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP24(X),
     ++ssSkP23(W)]).

input_clause(clause562,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP23(X),
     ++ssSkP22(W)]).

input_clause(clause563,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP22(X),
     ++ssSkP21(W)]).

input_clause(clause564,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP21(X),
     ++ssSkP20(W)]).

input_clause(clause565,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP20(X),
     ++ssSkP19(W)]).

input_clause(clause566,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP19(X),
     ++ssSkP18(W)]).

input_clause(clause567,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP18(X),
     ++ssSkP17(W)]).

input_clause(clause568,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP17(X),
     ++ssSkP16(W)]).

input_clause(clause569,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP16(X),
     ++ssSkP15(W)]).

input_clause(clause570,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP15(X),
     ++ssSkP14(W)]).

input_clause(clause571,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP14(X),
     ++ssSkP13(W)]).

input_clause(clause572,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP13(X),
     ++ssSkP12(W)]).

input_clause(clause573,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP12(X),
     ++ssSkP11(W)]).

input_clause(clause574,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP11(X),
     ++ssSkP10(W)]).

input_clause(clause575,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP10(X),
     ++ssSkP9(W)]).

input_clause(clause576,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP9(X),
     ++ssSkP8(W)]).

input_clause(clause577,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP8(X),
     ++ssSkP7(W)]).

input_clause(clause578,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP7(X),
     ++ssSkP6(W)]).

input_clause(clause579,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP6(X),
     ++ssSkP5(W)]).

input_clause(clause580,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP5(X),
     ++ssSkP4(W)]).

input_clause(clause581,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP4(X),
     ++ssSkP3(W)]).

input_clause(clause582,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP3(X),
     ++ssSkP2(W)]).

input_clause(clause583,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv25(W),
     --ssSkP179(X)]).

input_clause(clause584,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv14(W),
     --ssSkP147(X)]).

input_clause(clause585,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv6(W),
     --ssSkP78(X)]).

input_clause(clause586,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv4(W),
     --ssSkP2(X)]).
%--------------------------------------------------------------------------
